<?php

ini_set("memory_limit", "512M");
set_time_limit(8000);
#DEFINE('CMSCONFIG', 'front');
include_once('config.php');
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'Config.php';

error_reporting(E_ALL & ~E_NOTICE & ~E_STRICT & ~E_WARNING);
ini_set("log_errors", 1);
ini_set('display_errors', 'On');
//rejestracja błędów
ini_set("error_log", $configDate[CMSCONFIG]['logsDir'] . 'phpLogCron_' . date("y-m-d") . '.log');


#pobieranie wszystkich funkcji globalnych
foreach (glob($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_function'] . "*.php") as $filename) {
    include_once $filename;
}

#pobieranie wszystkich klas globalnych
foreach (glob($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'global/' . "*.php") as $filename) {
    include_once $filename;
}


$target = $configDate[CMSCONFIG]['dir'] . 'modules/cron/';

if (isset($_GET['name'])) {
    include($target . $_GET['name'] . '.php');
    if (isset($cronClass) AND $cronClass != NULL) {  //sprawdzanie czy jest klasa do wywołania
        $obj = new $cronClass;
    }
} else {
    $sourcedir = opendir($target);
    while (false !== ($filename = readdir($sourcedir))) {
        $cronClass = NULL;
        if (is_file($target . $filename) AND ( $filename != 'index.php')) {

            if (rand(0, 4) == 1) {
                $name_file = explode('.', $filename);
                $date = explode('_', $name_file[0]);
                $test_go = false;
                $log_dir = $configDate[CMSCONFIG]['logsDir'] . 'cron' . $name_file[0] . '.log';
                if (is_file($log_dir)) {
                    $tmp = file_get_contents($log_dir);
                    if (($tmp + $date[1]) < mktime()) {
                        $test_go = true;
                        echo '<br />data (' . $tmp . ') (' . ($date[1] + mktime()) . ')';
                        echo '<br />Nazwa: ' . $filename;
                    }
                } else {
                    $test_go = true;
                    echo '<br />brak pliku';
                }
                if ($test_go == true) {
                    $fp = fopen($log_dir, 'w');
                    fwrite($fp, mktime());
                    fclose($fp);
                    include($target . $filename);
                    if (isset($cronClass) AND $cronClass != NULL) {  //sprawdzanie czy jest klasa do wywołania
                        $obj = new $cronClass;
                    }
                }
            }
        }
    }
}