<?php

class search_adress_base extends search implements SearchInterface {

    public $_licznik;
    public $_child;
    public $_elem = array();

    private function get_parent_structure($what) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'adress_base_structure';
        $wynik = mysqli_query($dbc, "SELECT `idrek`, `parentid`, `waga`, `title` FROM $tabela WHERE `active`='T' AND `parentid`='$what' ORDER BY `waga`;");
        while ($rekord = mysqli_fetch_array($wynik)) {
            $this->_elem['category'][$this->_licznik]['idrek'] = $rekord['idrek'];
            $this->_elem['category'][$this->_licznik]['title'] = $rekord['title'];
            $this->_elem['category'][$this->_licznik]['child'] = $child;
            $this->_licznik++;
            get_parent_structure($rekord['idrek']);
        }
        $this->_child = $this->_child + 1;
    }

    public function searchOption($url_arr) {
        global $dbc;
        $this->_elem['category'] = array();
        //zczytywanie kategorii
        $this->_licznik = 0;
        $tabela = Config::read('db.prefix') . 'adress_base_structure';
        $wynik = mysqli_query($dbc, "SELECT `idrek`, `parentid`, `waga`, `title` FROM $tabela WHERE `active`='T' AND `parentid`='0' ORDER BY `waga`;");
        while ($rekord = mysqli_fetch_array($wynik)) {
            $this->_child = 0;
            $this->_elem['category'][$licznik]['idrek'] = $rekord['idrek'];
            $this->_elem['category'][$licznik]['title'] = $rekord['title'];
            $this->_elem['category'][$licznik]['child'] = 0;
            $this->_licznik++;
            get_parent_structure($rekord['idrek']);
        }
    }

    public function query($what) {
        global $dbc;
        $query_temp = trim($what['query']);
        include(Config::read('system.dir') . Config::read('system.moduleDir') . 'array_url_pl_to_replace.php');
        $query_temp = strtr($query_temp, $url_pl_to_replace);
        $query_temp = str_replace("%20", " ", $query_temp);
        $query_arr = explode(" ", $query_temp);
        $query_sql = '';
        for ($i = 0; $i < count($query_arr); $i++) {

            $query_sql.="`title` LIKE '%" . $query_arr[$i] . "%'";
            $query_sql.="OR `keywords` LIKE '%" . $query_arr[$i] . "%'";
            if ($i < (count($query_arr) - 1))
                $query_sql.=' OR ';
        }
        return $query_sql;
    }

    public function query_category($what) {
        global $dbc;
        $query_temp = trim($what['category']);
        $categoryId = expolde("*", $query_temp);
        $query_sql = '';
        for ($i = 0; $i < count($categoryId); $i++) {
            $query_sql.="`structureid`='" . $categoryId[$i] . "'";
            if ($i < (count($categoryId) - 1))
                $query_sql.=' OR ';
        }
    }

    public function count_query($url_arr) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'adress_base';
        $query = $this->query($url_arr);
        if (isset($url_arr['category'])) {
            $query = '(' . $query . ') AND (' . $this->query_category($url_arr) . ')';
        }

        $wynik = mysqli_query($dbc, "SELECT count(*) FROM $tabela WHERE $query AND `active`='Y';");
        $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
        return $row[0];
    }

    public function result($url_arr) {
        global $dbc;
        include_once(Config::read('system.dir') . Config::read('system.moduleDir') . "function_create_link.php");
        include_once(Config::read('system.dir') . Config::read('system.moduleDir') . "function_get_diff.php");
        $results = array();


        $sql_limit = '';
        if ($this->_config['paging'] == 'Y' AND $this->_config['numberbysite'] > 0) {
            $ile = $this->count_query($url_arr);
            $ile = $ile - $this->_config['shift'];
            if ((!isset($url_arr['nr'])) OR ( $url_arr['nr'] == ''))
                $nr = 1;
            else {
                $nr = addslashes($url_arr['nr']);
            }
            $stron = $ile / $this->_config['numberbysite'];
            $stron = ceil($stron);
            $od_ilu = (($nr - 1) * $this->_config['numberbysite']) + $this->_config['shift'];
            //koniec stronicowanie

            $sql_limit = " LIMIT $od_ilu," . $this->_config['numberbysite'];
        }


        $sql_orderby = '`title`';
        $sql_sortto = 'ASC';

        $elements = array();
        $licznik = 0;
        $tabela = Config::read('db.prefix') . 'adress_base';

        $query = $this->query($url_arr);
        if (isset($url_arr['category'])) {
            $query = '(' . $query . ') AND (' . $this->query_category($url_arr) . ')';
        }

        $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `keywords`, `content`, `poz_x`, `poz_y`, `structureid` FROM $tabela WHERE (" . $query . ") AND `active`='Y' ORDER BY $sql_orderby $sql_sortto $sql_limit;");
        while ($rekord = mysqli_fetch_array($wynik)) {
            $elements[$licznik]['idrek'] = $rekord['idrek'];
            $elements[$licznik]['title'] = $rekord['title'];
            $elements[$licznik]['keywords'] = $rekord['keywords'];
            $elements[$licznik]['content'] = $rekord['content'];
            $elements[$licznik]['poz_x'] = $rekord['poz_x'];
            $elements[$licznik]['poz_y'] = $rekord['poz_y'];

            for ($i = 0; $i < count($fields); $i++) {
                $tabela_fields = Config::read('db.prefix') . 'adress_base_fields_elem';
                $wynik_fields = mysqli_query($dbc, "SELECT `value` FROM $tabela_fields WHERE `idelem`='" . $rekord['idrek'] . "' AND `idfields`='" . $fields[$i]['idrek'] . "';");
                $row = mysqli_fetch_array($wynik_fields, MYSQLI_BOTH);
                $elements[$licznik]['fields'][$i]['name'] = $fields[$i]['name'];
                $elements[$licznik]['fields'][$i]['value'] = $row['value'];
            }


            $tabela_url = Config::read('db.prefix') . 'adress_base_structure';
            $dane_url = mysqli_query($dbc, "SELECT `structureid` FROM $tabela_url WHERE `idrek`=" . $rekord['structureid'] . " AND `active`='T';");
            $row_url = mysqli_fetch_array($dane_url);
            if ($row_url['structureid'] > 0) {
                $elements[$licznik]['url'] = 'http://' . create_link($row_url['structureid']);
            }

            $licznik++;
        }


        $results['url'] = 'module,adress_base,query,' . $url_arr['query'];
        if (isset($url_arr['category']))
            $results['url'].=',category,' . $url_arr['category'];

        $results['sites'] = $stron;
        $results['sitenr'] = $nr;
        $results['elements'] = $elements;
        return $results;
    }

}
