<?php

/**
 * @author IT-Poland.com Jacek Pecko
 * Front przeglądanie swoich ogłoszeń
 * wersja 1.0
 * 28-03-2014
 *  */
//$module['conf_id']
//$module['placment_name']


include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'user/class/User.php';
include_once($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'class_cms_photo.php');
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'photos/class/Photos.php';
include_once($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'class_cms_photo.php');
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'user/class/User.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'announcement/class/Announcement.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'announcementCategory/class/announcmentCategory.php';




//zczytywanie configa głównego
$tabela = Config::read('db.prefix') . 'modules';
$wynik = mysqli_query($dbc, "SELECT `idrek`,`template_dir`, `module_dir` FROM $tabela WHERE `badge`='annoucmentUserEdit';");
$row = mysqli_fetch_array($wynik, MYSQLI_ASSOC);
$template_dir = $row['template_dir'];
$module_dir = $row['module_dir'];
//zczytywanie configa modułu
$tabela = Config::read('db.prefix') . 'annoucmentUserEdit_conf';
$wynik = mysqli_query($dbc, "SELECT * FROM $tabela WHERE `idrek`='" . $module['conf_id'] . "';");
$mod_conf = mysqli_fetch_array($wynik, MYSQLI_ASSOC);
if ($mod_conf['idrek'] > 0) {
    $smarty->assign("mod_conf", $mod_conf);
    $tabela = Config::read('db.prefix') . 'announcement';
    $show_form = true;
    $bug = array();
    if (isset($url_arr['id']) and is_numeric($url_arr['id'])) {
        $idrek = $url_arr['id'];

        $announcementObj = new Announcement();
//sprawdzanie czy ogłószenie należy do tej osoby
        if ($announcementObj->CheckAuthor($idrek) == Config::read('user.id')) {

            $announcement = $announcementObj->getAnnoucement($idrek);
            $announcement['photos'] = $announcementObj->getPhotos($idrek);
            $reason = $announcementObj->getReason($idrek);
            $categoryObj = new announcmentCategory();
            $category = $categoryObj->getCategory($announcement['catId']);

            //zapis kategorii
            if (isset($_POST['goCat'])) {
                $catId = addslashes($_POST['cat']);
                $row_name = array();
                $row_value = array();
                array_push($row_name, 'catId');
                array_push($row_value, $catId);
                array_push($row_name, 'status');
                array_push($row_value, 'NEW');
                array_push($row_name, 'modifited_by');
                array_push($row_value, Config::read('user.id'));
                array_push($row_name, 'modifited_date');
                array_push($row_value, mktime());
                $tabela = Config::read('db.prefix') . 'announcement';
                update_sql($tabela, $row_name, $row_value, '`idrek`=\'' . $idrek . '\'');
                $smarty->assign("saveCat", TRUE);
            }

            if (isset($_POST['goP1'])) {
                $testForm = true;

                if (strlen($_POST['title']) < 10) {
                    array_push($bug, 'Tytuł powinien mieć co najmniej 10 znaków.');
                    $testForm = false;
                }
                if (strlen($_POST['title']) > 254) {
                    array_push($bug, 'Tytuł nie powinien być dłuższy niż 254 znaki.');
                    $testForm = false;
                }

                for ($i = 0; $i < count($category['fields']); $i++) {

                    if ((strlen($_POST['form' . $category['fields'][$i]['idrek']]) > $category['fields'][$i]['maxlength']) and ( $category['fields'][$i]['type'] == 'txt')) {
                        array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' nie może być dłuższe niż ' . $category['fields'][$i]['maxlength'] . ' znaków.');
                        $testForm = false;
                    }

                    if ((strlen($_POST['form' . $category['fields'][$i]['idrek']]) > $category['fields'][$i]['maxlength']) and ( $category['fields'][$i]['type'] == 'textarea')) {
                        array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' nie może być dłuższe niż ' . $category['fields'][$i]['maxlength'] . ' znaków.');
                        $testForm = false;
                    }

                    if ((strlen($_POST['form' . $category['fields'][$i]['idrek']]) < $category['fields'][$i]['minlength']) and ( $category['fields'][$i]['type'] == 'textarea') and $category['fields'][$i]['must'] == "N") {
                        array_push($bug, 'Minimalna długość pola ' . $category['fields'][$i]['show_name'] . ' to ' . $category['fields'][$i]['minlength'] . ' znaków.');
                        $testForm = false;
                    }


//dla pól wymaganych
                    if ($category['fields'][$i]['must'] == 'Y') {
                        if ($category['fields'][$i]['type'] == 'txt') {
                            if (strlen($_POST['form' . $category['fields'][$i]['idrek']]) < 1) {
                                array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' jest wymagane.');
                                $testForm = false;
                            }
                        } else if ($category['fields'][$i]['type'] == 'textarea') {
                            if (strlen($_POST['form' . $category['fields'][$i]['idrek']]) < $category['fields'][$i]['maxlength']) {
                                if (strlen($_POST['form' . $category['fields'][$i]['idrek']]) < 1) {
                                    array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' jest wymagane.');
                                    $testForm = false;
                                }
                            }
                        } else if ($category['fields'][$i]['type'] == 'multiselect') {
                            if (count($_POST['form' . $category['fields'][$i]['idrek']]) < 1) {
                                array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' jest wymagane.');
                                $testForm = false;
                            }
                        }
                    }
                }


//sprawdzanie dodatkowych pół
                for ($i = 0; $i < count($category['fields']); $i++) {

                    if ((strlen($_POST['form' . $category['fields'][$i]['idrek']]) > $category['fields'][$i]['maxlength']) and ( $category['fields'][$i]['type'] == 'txt')) {
                        array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' nie może być dłuższe niż ' . $category['fields'][$i]['maxlength'] . ' znaków.');
                        $testForm = false;
                    }

                    if ((strlen($_POST['form' . $category['fields'][$i]['idrek']]) > $category['fields'][$i]['maxlength']) and ( $category['fields'][$i]['type'] == 'textarea')) {
                        array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' nie może być dłuższe niż ' . $category['fields'][$i]['maxlength'] . ' znaków.');
                        $testForm = false;
                    }

                    if ((strlen($_POST['form' . $category['fields'][$i]['idrek']]) < $category['fields'][$i]['minlength']) and ( $category['fields'][$i]['type'] == 'textarea') and $category['fields'][$i]['must'] == "N") {
                        array_push($bug, 'Minimalna długość pola ' . $category['fields'][$i]['show_name'] . ' to ' . $category['fields'][$i]['minlength'] . ' znaków.');
                        $testForm = false;
                    }


//dla pól wymaganych
                    if ($category['fields'][$i]['must'] == 'Y') {
                        if ($category['fields'][$i]['type'] == 'txt') {
                            if (strlen($_POST['form' . $category['fields'][$i]['idrek']]) < 1) {
                                array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' jest wymagane.');
                                $testForm = false;
                            }
                        } else if ($category['fields'][$i]['type'] == 'textarea') {
                            if (strlen($_POST['form' . $category['fields'][$i]['idrek']]) < $category['fields'][$i]['maxlength']) {
                                if (strlen($_POST['form' . $category['fields'][$i]['idrek']]) < 1) {
                                    array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' jest wymagane.');
                                    $testForm = false;
                                }
                            }
                        } else if ($category['fields'][$i]['type'] == 'multiselect') {
                            if (count($_POST['form' . $category['fields'][$i]['idrek']]) < 1) {
                                array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' jest wymagane.');
                                $testForm = false;
                            }
                        }
                    }
                }
//sprawdzanie dodatkowych pól - KONIEC       
                if ($testForm == true) {

                    $row_name = array();
                    $row_value = array();

                    array_push($row_name, 'title');
                    array_push($row_value, strip_tags($_POST['title']));
                    array_push($row_name, 'status');
                    array_push($row_value, 'NEW');
                    array_push($row_name, 'modifited_by');
                    array_push($row_value, Config::read('user.id'));
                    array_push($row_name, 'modifited_date');
                    array_push($row_value, mktime());
                    $tabela = Config::read('db.prefix') . 'announcement';
                    update_sql($tabela, $row_name, $row_value, '`idrek`=\'' . $idrek . '\'');


                    //zapisywanie wyników dodatkowe pola
                    for ($i = 0; $i < count($category['fields']); $i++) {
                        // echo 'pola';
                        if ($category['fields'][$i]['type'] == 'txt') {
                            //echo 'pole tekstowe';
                            $tabela = Config::read('db.prefix') . 'announcement_fields_txt_val';
                            $row_name = array();
                            $row_value = array();

                            array_push($row_name, 'annId');
                            array_push($row_value, $idrek);
                            array_push($row_name, 'fieldId');
                            array_push($row_value, $category['fields'][$i]['idrek']);
                            array_push($row_name, 'value');
                            array_push($row_value, strip_tags($_POST['form' . $category['fields'][$i]['idrek']]));

                            $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `annId`='" . $idrek . "' and `fieldId`='" . $category['fields'][$i]['idrek'] . "';");
                            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
                            if ($row['idrek'] > 0) {
                                update_sql($tabela, $row_name, $row_value, '`idrek`=\'' . $row['idrek'] . '\'');
                            } else {
                                insert_sql($tabela, $row_name, $row_value);
                            }
                        } else if ($category['fields'][$i]['type'] == 'textarea') {
                            $tabela = Config::read('db.prefix') . 'announcement_fields_textarea_val';
                            $row_name = array();
                            $row_value = array();

                            array_push($row_name, 'annId');
                            array_push($row_value, $idrek);
                            array_push($row_name, 'fieldId');
                            array_push($row_value, $category['fields'][$i]['idrek']);
                            array_push($row_name, 'value');
                            array_push($row_value, strip_tags($_POST['form' . $category['fields'][$i]['idrek']]));
                            $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `annId`='" . $idrek . "' and `fieldId`='" . $category['fields'][$i]['idrek'] . "';");
                            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
                            if ($row['idrek'] > 0) {
                                update_sql($tabela, $row_name, $row_value, '`idrek`=\'' . $row['idrek'] . '\'');
                            } else {
                                insert_sql($tabela, $row_name, $row_value);
                            }
                        } else if ($category['fields'][$i]['type'] == 'multiselect') {

                            $tabela = Config::read('db.prefix') . 'announcement_fields_multi_val';
                            $query = "DELETE from $tabela WHERE `annId` = '" . $idrek . "' AND   `fieldId`='" . $category['fields'][$i]['idrek'] . "';";
                            $wynik = mysqli_query($dbc, $query);

                            for ($iSel = 0; $iSel < count($_POST['form' . $category['fields'][$i]['idrek']]); $iSel++) {
                                for ($iMulti = 0; $iMulti < count($category['fields'][$i]['option']); $iMulti++) {
                                    if ($category['fields'][$i]['option'][$iMulti]['value'] == $_POST['form' . $category['fields'][$i]['idrek']][$iSel]) {

                                        $row_name = array();
                                        $row_value = array();
                                        array_push($row_name, 'annId');
                                        array_push($row_value, $idrek);
                                        array_push($row_name, 'fieldId');
                                        array_push($row_value, $category['fields'][$i]['idrek']);
                                        array_push($row_name, 'optionId');
                                        array_push($row_value, $category['fields'][$i]['option'][$iMulti]['id']);
                                        insert_sql($tabela, $row_name, $row_value);
                                    }
                                }
                            }
                        }
                    }
                    $smarty->assign("save", TRUE);
                }
            }


            if (isset($_POST['goP2'])) {
                $tabela = Config::read('db.prefix') . 'announcement_photos';
                $query = "DELETE from $tabela WHERE `annId` = '" . $idrek . "';";
                $wynik = mysqli_query($dbc, $query);
                for ($i = 0; $i < count($_POST['file_upload']); $i++) {
                    
                    if (strlen($_POST['file_upload'][$i]) > 0) {
                        $photoObj = new Photos();
                        $photoId = $photoObj->putImagesToDateBase($_POST['file_upload'][$i], $announcement['title'], Config::read('anno.PhotoCat'));
                    } else {
                        $photoId = $announcement['photos'][$i];
                    }
                    $row_name = array();
                    $row_value = array();
                    array_push($row_name, 'annId');
                    array_push($row_value, $idrek);
                    array_push($row_name, 'photoId');
                    array_push($row_value, $photoId);
                    insert_sql($tabela, $row_name, $row_value);
                }

                $smarty->assign("save", TRUE);
            }


            if (isset($_POST['goP3'])) {
                $row_name = array();
                $row_value = array();

                array_push($row_name, 'telKom');
                array_push($row_value, strip_tags($_POST['telKom']));
                array_push($row_name, 'tel');
                array_push($row_value, strip_tags($_POST['tel']));
                array_push($row_name, 'street');
                array_push($row_value, strip_tags($_POST['street']));
                array_push($row_name, 'nrDomu');
                array_push($row_value, strip_tags($_POST['nrDomu']));
                array_push($row_name, 'nrMieszkania');
                array_push($row_value, strip_tags($_POST['nrMieszkania']));
                array_push($row_name, 'city');
                array_push($row_value, strip_tags($_POST['city']));
                array_push($row_name, 'zipCode');
                array_push($row_value, strip_tags($_POST['zipCode']));
                array_push($row_name, 'status');
                array_push($row_value, 'NEW');
                array_push($row_name, 'modifited_by');
                array_push($row_value, Config::read('user.id'));   
                array_push($row_name, 'modifited_date');
                array_push($row_value, mktime());                
                $tabela = Config::read('db.prefix') . 'announcement';
                update_sql($tabela, $row_name, $row_value, '`idrek`=\'' . $idrek . '\'');
                $smarty->assign("save", TRUE);
            }


            $announcement = $announcementObj->getAnnoucement($idrek);
            $announcement['photos'] = $announcementObj->getPhotos($idrek);
            $reason = $announcementObj->getReason($idrek);
            $categoryObj = new announcmentCategory();
            $category = $categoryObj->getCategory($announcement['catId']);
        } else {
            $show_form = false;
        }
    } else {
        $show_form = false;
    }
    if ($show_form == true) {
        $img_obj = new cms_photo;
        $annCatObj = new announcmentCategory();
        $catTemp = $annCatObj->getAnnoucementGroupParent($announcement['category']['idrek']);
        $catTemp = array_reverse($catTemp);
        $cat = array();
        $licznik = 0;
        for ($i = 0; $i < count($catTemp); $i++) {
            if ($catTemp[$i] != 0) {
                $cat[$licznik] = $annCatObj->getCategory($catTemp[$i]);
                $licznik++;
            }
        }

        $category = $annCatObj->getCategoryChild(Config::read('announcment.MasterCategory'), 'Y');

        $smarty->assign("category", $category);


        $smarty->assign("cat", $cat);
        $smarty->assign("announcement", $announcement);
        $smarty->assign("reason", $reason);
        $smarty->assign("bug", $bug);
        $smarty->registerObject('cms_photo', $img_obj);
        $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $mod_conf['templateForm'] . '.tpl');
    } else {
        $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $mod_conf['templateSave'] . '.tpl');
    }
}