<?php

include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'user/class/User.php';
/* Rozwinięcie klasy Users */

class AnnoucmentUser extends User {
    /*
     * Pobranue liczby wszystkich ogłoszeń po ID usera
     * return init
     */

    public function getUserAnnCountById($userId = 0) {
        global $core;
        if ($userId == 0)
            $userId = Config::read('user.id');

        $tabela = Config::read('db.prefix') . 'announcement';
        $sql = "SELECT count(*) FROM  $tabela WHERE `created_by` = " . $userId;
        $result = $core->dbh->prepare($sql);
        $result->execute();
        return $result->fetchColumn();
    }

    /*
     * Pobranie liczby wszystkich ogłoszeń po adresie email
     * return init
     */

    public function getUserAnnCountByEmail($email) {
        global $core;
        $tabela = Config::read('db.prefix') . 'announcement';
        $sql = "SELECT count(*) FROM  $tabela WHERE `email` =  '" . $email."'";
        $result = $core->dbh->prepare($sql);
        $result->execute();
        return $result->fetchColumn();
    }

    public function getUserAnnActiveCountById($userId = 0) {
        global $core;
        if ($userId == 0)
            $userId = Config::read('user.id');

        $timeNow = mktime(); //`step` = '4' AND (`status` = 'ACCEPT' OR  `status` = 'NEW') AND `active` = 'Y'  AND (`endDate` > " . $timeNow . " OR `endDate` = 0 OR `endDate` IS NULL)
        $zapytanie = " AND `step` = '4' AND (`status` = 'ACCEPT' OR  `status` = 'NEW')  AND  `active` = 'Y'  AND (`endDate` > " . $timeNow . ' OR `endDate` = 0  OR `endDate` IS NULL )';
        $tabela = Config::read('db.prefix') . 'announcement';
        $sql = "SELECT count(*) FROM  $tabela WHERE `created_by` = " . $userId.$zapytanie;
        $result = $core->dbh->prepare($sql);
        $result->execute();
        return $result->fetchColumn();
    }

    public function getUserAnnActiveCountByEmail($email) {
        global $core;

        $timeNow = mktime();
        $zapytanie = " AND (`status` = 'ACCEPT' OR  `status` = 'NEW') AND  `active` = 'Y'  AND (`endDate` > " . $timeNow ." OR `endDate` = 0  OR `endDate` IS NULL) ";        
        $tabela = Config::read('db.prefix') . 'announcement';
        $sql = "SELECT count(*) FROM  $tabela WHERE `email` = '" . $email ."' ".$zapytanie;
        $result = $core->dbh->prepare($sql);
        $result->execute();
        return $result->fetchColumn();
    }

}
