<?php

include_once 'Announcement.php';

/**
 * Description of CreateSiteMaps
 *
 * @author Jacek
 */
include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'function_create_link';

class announcementCreateSiteMaps extends SiteMaps {

    public function createSiteMap($moduleName = 'annoucement') {
        global $dbc;
        $dir = $this->crateDir($moduleName);

        $elements = array();
        $licznik = 0;
        $annoucmentObj = new Announcement();
        $elements_temp = $annoucmentObj->getAnnouncmentList(Config::read('announcment.MasterCategory'), 'N', 9999999);


        for ($i = 0; $i < count($elements_temp); $i++) {
            if ($elements_temp[$i]['modifited_date'] > 0)
                $elements[$licznik]['date'] = $elements_temp[$i]['modifited_date'];
            else
                $elements[$licznik]['date'] = $elements_temp[$i]['created_date'];
            $elements[$licznik]['url'] = $elements_temp[$i]['url'];

            for ($i2 = 0; $i2 < count($elements_temp[$i]['photos']); $i2++) {
                $elements[$licznik]['photos'][$i2] = show_image($elements_temp[$i]['photos'][$i2], 'full', 'ffffff');
            }


            $licznik++;
        }

        echo 'Ilość rekordów' . count($elements);

        if (count($elements) > 0) {
            return $this->saveSiteMap($elements, $dir, $moduleName);
        } else {
            return false;
        }
    }

}
