<?php

/**
 * @author IT-Poland.com Jacek Pecko
 * Front lista ogłoszeń
 * wersja 1.0
 * 06-04-2014
 *  */
//$module['conf_id']
//$module['placment_name']


include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'user/class/User.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'function_limit.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'class_cms_photo.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'class_cms_token.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'function_check_email.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'function_removeBBcode.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'photos/class/Photos.php';
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'announcementCategory/class/announcmentCategory.php';
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'announcement/class/Announcement.php';
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'announcement/class/AnnouncementUser.php';
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'ViewStats.php';

$img_obj = new cms_photo;
$token_obj = new cms_token;

//zczytywanie configa głównego
$tabela = Config::read('db.prefix') . 'modules';
$wynik = mysqli_query($dbc, "SELECT `idrek`,`template_dir`, `module_dir` FROM $tabela WHERE `badge`='announcement';");
$row = mysqli_fetch_array($wynik, MYSQLI_ASSOC);
$template_dir = $row['template_dir'];
$module_dir = $row['module_dir'];
//zczytywanie configa modułu
$tabela = Config::read('db.prefix') . 'announcement_conf';
$wynik = mysqli_query($dbc, "SELECT * FROM $tabela WHERE `idrek`='" . $module['conf_id'] . "';");
$mod_conf = mysqli_fetch_array($wynik, MYSQLI_ASSOC);
if ($mod_conf['idrek'] > 0) {
    $mod_conf['site'] = $site;
    $userObj = new User();
    //Wyświetlnie ogłoszenia
    if (isset($url_arr['ogloszenie']) and is_numeric($url_arr['ogloszenie'])) {
        $id = $url_arr['ogloszenie'];
        if ($url_arr['opt'] == 3) {
            $smarty->assign("showContact", 1);
        }
        $annoucmentObj = new Announcement();
        $item = $annoucmentObj->getAnnoucement($id);
        if ($item['idrek'] > 0 && $item['acitve'] == true) {

            $item['photos'] = $annoucmentObj->getPhotos($id);
            $item['url'] = $annoucmentObj->getUrl($id);
            $item['url2'] = $annoucmentObj->getUrl2($id);
            $item['url3'] = $annoucmentObj->getUrl3($id);
            $item['url4'] = $annoucmentObj->getUrl4($id);



            //dane użytkownika
            if ($item['created_by'] > 0)
                $item['user'] = $userObj->getUserById($item['created_by']);
            //dane użytkownika koniec
            //statystyki
            $viewObj = new ViewStats();
            $viewObj->setViewStats($id, 'annoucment');
            $item['stats'] = $viewObj->getViewStats($id, 'annoucment');
            //statystyki


            /* obsøuga formularza kontaktowego */
            $bug = array();
            if (isset($_POST['contactFormGo'])) {
                $testForm = true;
                if (strlen($_POST['content']) < 5) {
                    $testForm = false;
                    array_push($bug, 'Nie wpisano treści wiadomości.');
                }

                if (Config::read('user.group') != 12 && Config::read('user.group') != 3 && Config::read('user.group') != 2) {
                    if (strlen($_POST['name']) < 2) {
                        $testForm = false;
                        array_push($bug, 'Nie wpisano imienia.');
                    }

                    if (!check_email($_POST['email'])) {
                        $testForm = false;
                        array_push($bug, 'Podano nieprawidłowy adres e-mail.');
                    }

                    if ($_POST['token'] != limit(md5($_POST['token_hidden']), 6)) {
                        $testForm = false;
                        array_push($bug, 'Wpisany tekst nie zgadza się z tym na rysunku.');
                    }
                }

                if ($testForm == true) {

                    $content_body = addslashes($_POST['content']);
                    $email = 'jacek.pecko@gmail.com';

                    $title = 'Wiadomość wysłana od użytkownika serwisu ' . Config::read('site.domainVisible');

                    if ($item['created_by'] > 0) {
                        $content = '<h1>Witaj ' . $item['user']['nick'] . ',</h1><br /><br />';
                    } else {
                        $content = '<h1>Witaj,</h1><br /><br />';
                    }

                    if (Config::read('user.id') > 0) {
                        $content .= '<p>Użytkownik(-a) zarejestrowany(-a) w serwisie pod loginem <a href="http://' . Config::read('site.domain') . '/uzytkownicy/' . Config::read('user.nick') . '/" target="_blank">' . Config::read('user.nick') . '</a></p><br /><br />';
                    } else {
                        $email_user = addslashes($_POST['email']);
                        $content .= '<p>Niezarejestrowany użytkownik(-a) posługujący się adresem email <a href="mailto:' . $email_user . '" target="_blank">' . $email_user . '</a></p><br /><br />';
                    }

                    $content .= ' wysłał(-a) Ci następującą wiadomość:<br /><br />';
                    $content .= '<em>' . nl2br(strip_tags($content_body)) . '</em><br /><br />';
                    $content .= '<hr /><em>Uwaga: Jeżeli ta wiadomość to SPAM powiadom nas o tym pisząć na adres <a href="mailto:' . Config::read('email.adress') . '" target="_blank">' . Config::read('email.adress') . '</a>.';
                    $content .= '<h3>Dane techniczne osoby piszącej:</h3><br />';
                    $content .= '<strong>Adres IP:</strong>' . $_SERVER['REMOTE_ADDR'] . '<br />';
                    $content .= '<strong>Nazwa hosta:</strong>' . gethostbyaddr($_SERVER['REMOTE_ADDR']) . '<br />';
                    $content .= '<strong>Przeglądarkadarka i system operacyjny:</strong>' . $_SERVER['HTTP_USER_AGENT'] . '<br />';
                    //tymczasowy adres

                    $smarty->assign("content", $content);
                    $content_mail = $smarty->fetch(Config::read('system.frontTemplate') . '/' . Config::read('system.emailTemplate') . '.tpl.html');
                    send_mail($email, CMS_EMAIL_NAME, CMS_EMAIL, $title, $content_mail);
                    if ($item['created_by'] > 0) {
                        $email = $item['user']['mail'];
                    }else{
                        $email = $row['email'];
                    }
                    send_mail($email, CMS_EMAIL_NAME, CMS_EMAIL, $title, $content_mail);
                    $smarty->assign("sendInfo", true);
                }
            }

            /* obsøuga formularza kontaktowego END */


            $smarty->assign("item", $item);


            $site['meta_title'] = $item['title'];
            $site['canonical'] = $annoucmentObj->getUrl($id);            
            $spection_path = $item['title'];
            $smarty->registerObject('cms_photo', $img_obj);


            for ($i = 0; $i < count($item['fields']); $i++) {
                if ($item['fields'][$i]['specName'] == 'desc') {
                    $site['description'] = limit(strip_tags(renoveBBcode($item['fields'][$i]['value'])), 170);
                }
            }
            $smarty->registerObject('cms_token', $token_obj);
            $smarty->assign("userObj", $userObj);
            $userAnnObj = new AnnoucmentUser;
            $smarty->assign("userAnnObj", $userAnnObj);

            $smarty->assign("ads", $annoucmentObj);
            $smarty->assign("bug", $bug);

            /* meta dane */
            if ($url_arr['opt'] == 2) {
                $site['meta_title'] = $item['title'] . ' - Zdęcia';
                $spection_path = $item['title'] . ' - Zdjęcia';
                $site['description'] = 'Zdjęcia - ' . $site['description'];
                $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $mod_conf['templateView2'] . '.tpl');
            } else if ($url_arr['opt'] == 3) {
                $site['meta_title'] = $item['title'] . ' - Kontakt';
                $spection_path = $item['title'] . ' - Kontakt';
                $site['description'] = 'Kontakt - ' . $site['description'];
                $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $mod_conf['templateView3'] . '.tpl');
            } else if ($url_arr['opt'] == 4) {
                $site['meta_title'] = $item['title'];
                $spection_path = $item['title'];
                $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $mod_conf['templateView4'] . '.tpl');
            } else {
                $site['meta_title'] = $item['title'];
                $spection_path = $item['title'];
                $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $mod_conf['templateView1'] . '.tpl');
            }
            $site['description'] = str_replace("\n", "", $site['description']);
            $site['description'] = str_replace("\r", "", $site['description']);
        } else {
            $site_404 = true;
        }
    } else { //lista ogłoszeń
        if ((!isset($url_arr['nr'])) OR ( $url_arr['nr'] == ''))
            $nr = 1;
        else {
            $nr = addslashes($url_arr['nr']);
        }

            $site['meta_title'].=' &bull; Darmowe ogłoszenia';
            $site['description']=  $site['meta_title'].' &bull; Bezpłatne ogłoszenia kupna i sprzedaży. Dodaj teraz za darmo.';        
        
        if ($nr > 1) {
            $site['meta_title'].=' &bull; strona ' . $nr;
            $site['description'].=' &bull; strona numer ' . $nr;
        }

        if ($url_arr['sortby'] == 'date') {
            $mod_conf['sortby'] = 'date';
        } elseif ($url_arr['sortby'] == 'name') {
            $mod_conf['sortby'] = 'name';
        }

        if ($url_arr['sortto'] == 'down') {
            $mod_conf['sortto'] = 'down';
        } elseif ($url_arr['sortto'] == 'up') {
            $mod_conf['sortto'] = 'up';
        }

        $annoucmentObj = new Announcement();
        $elements = $annoucmentObj->getAnnouncmentList($mod_conf['cat_id'], $mod_conf['paging'], $mod_conf['numberbysite'], $nr, $mod_conf['sortby'], $mod_conf['sortto']);
        if ($elements['created_by'] > 0)
            $elements['user'] = $userObj->getUserById($elements['created_by']);

        $catObj = new announcmentCategory();
        $catArr = $catObj->getIdChildCat($mod_conf['cat_id']);


        $ile = $annoucmentObj->getAnnouncmentListCount($mod_conf['cat_id']);
        $stron = $annoucmentObj->getAnnoucmentSites($ile, $mod_conf['numberbysite']);
        $smarty->assign("sites", $stron);
        $smarty->assign("sitenr", $nr);
        $smarty->assign("elements", $elements);
        $smarty->assign("mod_conf", $mod_conf);
        $smarty->registerObject('cms_photo', $img_obj);
        $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $mod_conf['templateList'] . '.tpl');
    }
} 
