<?php

##########################################
#       Moduł "Podobne ogłoszenia"  1.0  #
#       Wymagany SPHINX                  #
#       Autor: Jacek Pecko IT-Poland.com #
##########################################
//$module['conf_id']
//$module['placment_name']
//zczytywanie configa głównego
$tabela = Config::read('db.prefix') . 'modules';
$wynik = mysqli_query($dbc, "SELECT `idrek`,`template_dir` FROM $tabela WHERE `badge`='announcementSimilar';");
$row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
$template_dir = $row['template_dir'];
$module_dir = $row['module_dir'];
//zczytywanie configa modułu
$tabela = Config::read('db.prefix') . 'announcement_similar_conf';
$wynik = mysqli_query($dbc, "SELECT * FROM $tabela WHERE `idrek`='" . $module['conf_id'] . "';");
$mod_conf = mysqli_fetch_array($wynik, MYSQLI_BOTH);

if ($mod_conf['idrek'] > 0) {
    if (isset($url_arr['ogloszenie']) and is_numeric($url_arr['ogloszenie'])) {
        $id = $url_arr['ogloszenie'];
        $annoucmentObj = new Announcement();
        $catObj = new announcmentCategory();
        $item = $annoucmentObj->getAnnoucement($id);
        if ($item['idrek'] > 0 && $item['acitve'] == true) {

            if (is_numeric($mod_conf['numberbysite']) and $mod_conf['numberbysite'] > 0) {
                $numberbysite = $mod_conf['numberbysite'];
            } else {
                $numberbysite = 1000;   // w wypadku nie podania ilości rekordó wybierze 1000 pierwszych
            }

            $sphinx_client = new SphinxClient();
            $sphinx_client->SetMatchMode(SPH_MATCH_ANY);
            $sphinx_client->SetServer(Config::read('sphinx.adress'), Config::read('sphinx.port'));
            $sphinx_client->SetArrayResult(true);
            $sphinx_client->SetFieldWeights(array('title' => 70, 'desc' => 30));
            $sphinx_client->SetFilter('idrek', array($id), true);
            $query_string = $item['title'];
            //$query_string = 'test';
            $index_name = "annoucment";
            $sphinx_client->setLimits(0, $mod_conf['numberbysite']);  //stronicowanie
            $resultSphinx = $sphinx_client->Query($query_string, $index_name);

            $item = array();
            $licznik = 0;
            for ($i = 0; $i < count($resultSphinx['matches']); $i++) {
                $idrek = $resultSphinx['matches'][$i]['attrs']['idrek'];

                if ($annoucmentObj->getIsActive($idrek)) {
                    $item[$licznik]['idrek'] = $resultSphinx['matches'][$i]['attrs']['idrek'];
                    $item[$licznik]['title'] = $annoucmentObj->getTitle($idrek);
                    $item[$licznik]['photos'] = $annoucmentObj->getPhotos($idrek);
                    $item[$licznik]['url'] = $annoucmentObj->getUrl($idrek);
                    $item[$licznik]['url2'] = $annoucmentObj->getUrl($idrek, 2);
                    $item[$licznik]['url3'] = $annoucmentObj->getUrl($idrek, 3);
                    $item[$licznik]['url4'] = $annoucmentObj->getUrl($idrek, 4);
                    $item[$licznik]['url5'] = $annoucmentObj->getUrl($idrek, 5);
                    //kategoria
                    $catId = $annoucmentObj->getCategory($idrek);
                    $catObj = new announcmentCategory;
                    $item[$licznik]['category'] = $catObj->getCategory($catId);
                    //kategoria KONIEC
                    //geo
                    $cityId = $annoucmentObj->getCityId($resultSphinx['matches'][$i]['attrs']['idrek']);
                    $geoObj = new Geo;
                    $item[$licznik]['city'] = $geoObj->getCity($cityId);
                    //geo KONIEC
                    //Opis
                    $catFields = $catObj->getCategoryFields($item[$licznik]['category']['idrek'], TRUE);
                    //  p($item[$i]['category']);
                    $specFieldArr = array();
                    for ($i3 = 0; $i3 < count($catFields); $i3++) {
                        $item[$licznik]['specField'][$catFields[$i3]['specName']] = $annoucmentObj->getFieldValue($resultSphinx['matches'][$i]['attrs']['idrek'], $catFields[$i3]['idrek']);
                        if (isset($catFields[$i3]['specName'])) {
                            $item[$licznik]['specField'][$catFields[$i3]['specName']]['specTitle'] = $catFields[$i3]['specTitle'];
                        }
                    }
                    //Opis
                    $item[$licznik]['created_date'] = $annoucmentObj->getCreatedDate($resultSphinx['matches'][$i]['attrs']['idrek']);
                    $item[$licznik]['created_by_id'] = $annoucmentObj->getCreatedBy($resultSphinx['matches'][$i]['attrs']['idrek']);
                    if ($item[$licznik]['created_by_id'] > 0) {
                        $userObj = new User();
                        $item[$licznik]['created_by_name'] = $userObj->getUserLogin($item[$licznik]['created_by_id']);
                    }
                    $licznik++;
                }
            }


            if ($mod_conf['paging'] == 'Y' AND $mod_conf['numberbysite'] > 0) {
                $stron = $resultSphinx['total'];
                $ile = $row2[0] - $mod_conf['shift'];
                if ((!isset($url_arr['nr'])) OR ( $url_arr['nr'] == ''))
                    $nr = 1;
                else {
                    $nr = addslashes($url_arr['nr']);
                }
            }


            $smarty->assign("sitenr", $nr);
            $smarty->assign("item", $item);
            $smarty->assign('annoucment', $annoucmentObj);
            $smarty->assign("mod_conf", $mod_conf);
            $smarty->registerObject('cms_photo', $img_obj);
            $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $mod_conf['template'] . '.tpl');

            //  $temp_content[$module['placment_name']] = 'test';
        }
    }
}
