<?php

/**
 * Description of session
 *
 * @author IT-Poland.com Jacek Pecko  
 */
class Session {

    protected $_sessiontime;
    protected $_ip;
    protected $_actualadress;
    protected $_datenow;
    protected $_timend;
    protected $_host;
    protected $_hash;
    protected $_notLogedGroup = 15;

    function __construct() {
        global $dbc;
        #oczyszczanie starych sesji
        $this->_sessiontime = Config::read('session.time');
        $this->_timend = time() - $this->_sessiontime;
        $query = "DELETE from `" . Config::read('db.prefix') . "session` WHERE `date`<'$this->_timend';";
        $wynik = mysqli_query($dbc, $query);
        #koniec oczyszczania starych sesji        
        $this->setHash($_COOKIE[Config::read('session.cookiename')]);
    }

    public function startSession() {
        global $dbc;
        $this->_sessiontime = Config::read('session.time');
        $this->_ip = $_SERVER['REMOTE_ADDR'];
        $this->_actualadress = $_SERVER['QUERY_STRING'];
        $this->_datenow = time();
        $this->_timend = $this->_datenow - $this->_sessiontime;
        $this->_host = gethostbyaddr($this->_ip);


        //jest ciacho

        $sessionOk = false;
        if (isset($_COOKIE[Config::read('session.cookiename')])) {
            $this->_hash = $_COOKIE[Config::read('session.cookiename')];
            $tabela = Config::read('db.prefix') . 'session';
            $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `hash`='" . $this->_hash . "';");
            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
            if ($row['idrek'] > 0) {
                $sessionOk = true;
            }
        }

        if ($sessionOk == true) {

            setcookie(Config::read('session.cookiename'), $this->_hash, time() + $this->_sessiontime, '/', '.' . Config::read('site.domain'));
            $query = "UPDATE `" . Config::read('db.prefix') . "session` SET `date`='$this->_datenow',`url`='$this->_actualadress' WHERE `hash` = '$this->_hash';";
            $wynik = mysqli_query($dbc, $query);

            $dane = mysqli_query($dbc, "SELECT `userid`,`nick`,`group` FROM `" . Config::read('db.prefix') . "session` WHERE `hash`='$this->_hash';");
            $row = mysqli_fetch_array($dane);
            $webuser['id'] = $row['userid'];
            $webuser['nick'] = $row['nick'];
            $webuser['group'] = $row['group'];

            Config::write('user.id', $row['userid']);
            Config::write('user.nick', $row['nick']);
            Config::write('user.group', $row['group']);
        } else {
            $this->_hash = md5(time() . $_ip);
            setcookie(Config::read('session.cookiename'), $this->_hash, time() + $this->_sessiontime, '/', '.' . Config::read('site.domain'));
            $query = "INSERT INTO `" . Config::read('db.prefix') . "session` ( `hash`,`date`,`ip`,`userid`,`url`,`host`,`group`)
                           VALUES ( '$this->_hash', '$this->_datenow','$this->_ip','0','$this->_actualadress','$this->_host',$this->_notLogedGroup);";
            $wynik = mysqli_query($dbc, $query);
           
            $webuser['group'] = $this->_notLogedGroup;  //grupa u�ytkownik niezalogowany
            $webuser['id'] = 0;

            Config::write('user.id', 0);
            Config::write('user.group', $this->_notLogedGroup);
        }
        
        
        #koniec sprawdzania i odnawiania cookie
        return true;
    }

    function setHash($_hash) {
        $this->_hash = $_hash;
    }

    function getHash() {
        return $this->_hash;
    }

    public function getIp() {
        if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
            return $_SERVER['HTTP_CLIENT_IP'];
        } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
            return $_SERVER['HTTP_X_FORWARDED_FOR'];
        } else {
            return $_SERVER['REMOTE_ADDR'];
        }
    }

}

