<?php

/**
 * Description of site
 *
 * @author Jacek
 */
class site {

    protected $siteId;
    private $tabla, $dbc;

    function __construct() {
        global $dbc;
        $this->dbc = $dbc;
        $this->tabla = Config::read('db.prefix') . 'countersGraphics';
    }

    function setSiteId($siteId) {
        $this->siteId = $siteId;
    }

    function show($memcache) {
        global $smarty;
        global $session, $admin_links, $dbc, $site;

        $userObj = new User();
        $site['user'] = $userObj;
        $tabela = Config::read('db.prefix') . 'structure';
        $wynik = mysqli_query($this->dbc, "SELECT `idrek`, `parentid`,`template`,`title`, `meta_title`,`keywords`,`description`,`redirect`,`show_group` FROM $tabela WHERE `idrek`='$this->siteId' AND `active`='T';");
        $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);

        $group_show = array();
        $group_show = explode("|", $row['show_group']);
        if (($row['idrek'] > 0 AND ( in_array(Config::read('user.group'), $group_show)) OR count($group_show) == 0)) {
            if (strlen($row['redirect']) > 0) {
                $row['redirect'] = str_replace("{domain}", Config::read('site.domain'), $row['redirect']);
                $row['redirect'] = str_replace("{user_nick}", $webuser['nick'], $row['redirect']);
                header("HTTP/1.1 301 Moved Permanently");
                header('Location: ' . $row['redirect']);
                die();
            }
            $site['idrek'] = $row['idrek'];
            $site['parentid'] = $row['parentid'];
            $site['template'] = $row['template'];
            $site['title'] = $row['title'];
            if (strlen($row['meta_title']) > 0)
                $site['meta_title'] = $row['meta_title'];
            else
                $site['meta_title'] = $row['title'];
            $site['keywords'] = $row['keywords'];
            $site['description'] = $row['description'];
            array_push($admin_links['name'], 'Strona - ' . $row['title'] . ' [' . $row['idrek'] . ']');
            array_push($admin_links['link'], 'http://' . Config::read('site.domain') . '/adminindex.php?pages=structure_element&what=' . $row['idrek']);
        } else if ((!in_array(Config::read('user.group'), $group_show) OR count($group_show) == 0) AND ( $row['idrek'] > 0)) {
            $site_no_group = true;
        } else {
            $site_404 = true;
        }


        if ($site_no_group == false AND $site_404 == false) {

            //odczytywanie przypisanych modu��w
            $temp_content = array();

            if (file_exists(Config::read('system.dir') . Config::read('system.frontTemplate') . $site['template'] . ".tpl.html")) {
                $placment_add = array();
                $tabela_module = Config::read('db.prefix') . 'placement';
                $wynik_module = mysqli_query($this->dbc, "SELECT `idrek`,`placment_name`,`module_id`,`module_conf_id`, `cache_on`, `search` FROM $tabela_module WHERE `structure_id`='" . $site['idrek'] . "' AND `active`='Y' GROUP BY `placment_name` ORDER BY `weight`;");
                while ($rekord_module = mysqli_fetch_array($wynik_module)) {

                    $module['id'] = $rekord_module['module_id'];
                    $module['conf_id'] = $rekord_module['module_conf_id'];
                    $module['placment_name'] = $rekord_module['placment_name'];
                    array_push($placment_add, $rekord_module['placment_name']);
                    $test_cache = false;
                    if ($rekord_module['cache_on'] > 0) {
                        /*

                          $temp_arr = str_split($rekord_module['idrek']);
                          $path_cache = CMS_CACHE_PATH;
                          //Tworzenie katalog�w
                          for ($i = 0; $i < count($temp_arr); $i++) {
                          $path_cache.=$temp_arr[$i] . '/';
                          if (!file_exists($path_cache)) {
                          mkdir($path_cache, 0777);
                          }
                          }

                          $path_cache.=$rekord_module['placment_name'] . '.tmp';
                          if (file_exists($path_cache)) {
                          if ((filemtime($path_cache) + ($rekord_module['cache_on'] * 60)) > mktime())
                          $test_cache = true;
                          }

                         */
                    }
                    $memcachedKey = md5($module['conf_id'] . $rekord_module['placment_name'] . $rekord_module['idrek']);
                    $elementContent = $memcache->get($memcachedKey);

                    if ($rekord_module['cache_on'] > 0 and $elementContent) {
                        $temp_content[$rekord_module['placment_name']] = $elementContent;
                    } else {
                        $smarty->assign("site", $site);
                        //odczytanie plik frontu modu�u
                        $tabela = Config::read('db.prefix') . 'modules';
                        $wynik = mysqli_query($this->dbc, "SELECT `template_dir`,`show_content_path`, `module_dir` FROM $tabela WHERE `idrek`='" . $rekord_module['module_id'] . "';");
                        $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
                        if ($rekord_module['search'] == "Y") {
                            $front_mod = Config::read('system.dir') . Config::read('system.moduleDir') . $row['module_dir'] . '/search.php';
                        } else
                            $front_mod = Config::read('system.dir') . Config::read('system.moduleDir') . $row['module_dir'] . '/front.php';

                        if (file_exists($front_mod))
                            include($front_mod);
                        else if ($rekord_module['search'] == "N") {
                            if (file_exists($row['show_content_path']))
                                include($row['show_content_path']);
                        }
                        if ($rekord_module['cache_on'] > 0) {
                            // file_put_contents($path_cache, $temp_content[$module['placment_name']]);
                            $memcache->set($memcachedKey, $temp_content[$module['placment_name']], time() + $rekord_module['cache_on']);
                        }
                    }
                }

                //zczytywanie dziedzicze�
                $placment_noadd = array();
                $temp_cont = file_get_contents(Config::read('system.dir') . Config::read('system.frontTemplate') . $site['template'] . ".tpl.html");
                preg_match_all("/body\\.(.*?)}/is", $temp_cont, $placemnets);
                for ($i = 0; $i < count($placemnets[0]); $i++) {
                    if (!in_array($placemnets[1][$i], $placment_add))   //je�eli element nie istnieje w tablicy przypisanych placment�w przypisuje go do nowej tablicy element�w pustych 
                        array_push($placment_noadd, $placemnets[1][$i]);
                }

                if ($site['parentid'] > 0) {
                    for ($iCMSgo = 0; $iCMSgo < count($placment_noadd); $iCMSgo++) {
                        $parent_id_bis = $site['parentid'];
                        $test_go = false;
                        $licznikDB0a = 0;
                        while ($parent_id_bis != 0 AND $test_go == false) {
                            $licznikDB0a++;

                            if ($licznikDB0a > 100) //zabezpieczenie przed zap�tleniem
                                $test_go = true;

                            $tabela = Config::read('db.prefix') . 'placement';
                            $wynik = mysqli_query($this->dbc, "SELECT `idrek`,`module_id`,`module_conf_id`, `active`, `parent_to`,`cache_on`, `search` FROM $tabela WHERE `placment_name`='" . $placment_noadd[$iCMSgo] . "' AND `structure_id`='$parent_id_bis'  ORDER BY `weight`;");
                            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
                            if ($row['idrek'] > 0 AND $row['parent_to'] == "Y") { //znaleziono element				
                                $test_go = true;
                                $test_cache = false;


                                if ($row['active'] == "Y") {
                                    $module['id'] = $row['module_id'];
                                    $module['conf_id'] = $row['module_conf_id'];
                                    $module['placment_name'] = $placment_noadd[$iCMSgo];

                                    $test_cache = false;
                                    if ($row['cache_on'] > 0) {
                                        /*
                                          $temp_arr = str_split($row['idrek']);
                                          $path_cache = CMS_CACHE_PATH;
                                          //Tworzenie katalog�w
                                          for ($i_dir = 0; $i_dir < count($temp_arr); $i_dir++) {
                                          $path_cache.=$temp_arr[$i_dir] . '/';
                                          if (!file_exists($path_cache)) {
                                          mkdir($path_cache, 0777);
                                          }
                                          }

                                          $path_cache.=$placment_noadd[$i] . '.tmp';
                                          if (file_exists($path_cache)) {
                                          if ((filemtime($path_cache) + (CMS_CACHE_TIME * 60)) > mktime())
                                          $test_cache = true;
                                          }
                                         * 
                                         */
                                    }

                                    $memcachedKey = md5($module['conf_id']);
                                    $memcachedKey = md5($module['conf_id'] . $rekord_module['placment_name'] . $row['idrek']);

                                    if ($row['cache_on'] > 0 and $elementContent) {
                                        $temp_content[$module['placment_name']] = $elementContent;
                                        // $temp_content[$module['placment_name']] = file_get_contents($path_cache);
                                    } else {
                                        $smarty->assign("site", $site);
                                        //odczytanie plik frontu modu�u
                                        $tabela = Config::read('db.prefix') . 'modules';
                                        $wynik = mysqli_query($this->dbc, "SELECT `template_dir`,`show_content_path`, `module_dir`, `search` FROM $tabela WHERE `idrek`='" . $module['id'] . "';");
                                        $row_mod = mysqli_fetch_array($wynik, MYSQLI_BOTH);
                                        if ($row['search'] == "Y") {
                                            $front_mod = Config::read('system.dir') . Config::read('system.moduleDir') . $row_mod['module_dir'] . '/search.php';
                                        } else
                                            $front_mod = Config::read('system.dir') . Config::read('system.moduleDir') . $row_mod['module_dir'] . '/front.php';

                                        if (file_exists($front_mod))
                                            include($front_mod);
                                        else if ($row['search'] == "N") {
                                            if (file_exists($row_mod['show_content_path']))
                                                include($row_mod['show_content_path']);
                                        }
                                        if ($row['cache_on'] > 0) {
                                            $memcache->set($memcachedKey, $temp_content[$module['placment_name']], time() + $row['cache_on']);
                                            //file_put_contents($path_cache, $temp_content[$module['placment_name']]);
                                        }
                                    }
                                }
                            } else if ($row['idrek'] > 0 AND $row['parent_to'] == "N") {
                                $test_go = true;
                            } else {
                                $tabela = Config::read('db.prefix') . 'structure';
                                $wynik = mysqli_query($this->dbc, "SELECT `idrek`,`parentid` FROM $tabela WHERE `idrek`='$parent_id_bis';");
                                $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
                                if ($row['idrek'] > 0) { //je�li jest element nadrz�dny w strukturze
                                    $parent_id_bis = $row['parentid'];
                                } else {  //je�li nie ma elementu nadrz�dnego w strukturze
                                    $test_go = true;
                                }
                            }
                        }
                    }
                }
            } else {
                array_push($bug_info, "Szablon przypisany do elemenu nie istnieje.");
                $site_404 = true;
            }
        }


        if ($site_404 != true) {
            include_once('modules/adminlinks.php');
            $smarty->assign("body", $temp_content);
            $smarty->assign("site", $site);
            $smarty->display(Config::read('system.frontTemplate') . $site['template'] . '.tpl.html');
        } else {
            return false;
        }
    }

}
