<?php

/**
 * @author IT-Poland.com Jacek Pecko
 * Filmy - szablony
 * wersja 1.0
 * 14-08-2018
 *  */
//$module['conf_id']
//$module['placment_name']
include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'user/class/User.php';
include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'counters/class/counters.php';

include 'conf.php';


//zczytywanie configa głównego
$tabela = Config::read('db.prefix') . 'modules';
$row = $dbc->query("SELECT `idrek`,`template_dir`, `module_dir` FROM $tabela WHERE `badge`='" . $modConfig['badge'] . "';")->fetch_array();
$template_dir = $row['template_dir'];
$module_dir = $row['module_dir'];
//zczytywanie configa modułu
$mod_conf = $dbc->query("SELECT * FROM " . $modConfig['configTableName'] . " WHERE `idrek`='" . $module['conf_id'] . "';")->fetch_array();
$smarty->assign("mod_conf", $mod_conf);
//p($mod_conf);


if ($mod_conf['idrek'] > 0) {
    $bug = array();
    $countersObj = new counters;


    if ($url_arr['add'] == 1) {
        $mod_conf['model'] = 'ADD';
    } else if (is_numeric($url_arr['edit'])) {
        $mod_conf['model'] = 'EDIT';
    } else if ($url_arr['list'] == 1) {
        $mod_conf['model'] = 'LIST';
    } else if ($url_arr['showCode'] > 0) {
        $mod_conf['model'] = 'SHOWCODE';
    }


    if ($mod_conf['model'] == 'LIST') {
        if ((!isset($url_arr['nr'])) OR ( $url_arr['nr'] == ''))
            $nr = 1;
        else {
            $nr = addslashes($url_arr['nr']);
        }

        if ($url_arr['sortby'] == 'date') {
            $mod_conf['sortby'] = 'date';
        } elseif ($url_arr['sortby'] == 'name') {
            $mod_conf['sortby'] = 'name';
        }

        if ($url_arr['sortto'] == 'down') {
            $mod_conf['sortto'] = 'down';
        } elseif ($url_arr['sortto'] == 'up') {
            $mod_conf['sortto'] = 'up';
        }

        $elements = $countersObj->getList($mod_conf['paging'], $mod_conf['numberbysite'], $nr, $mod_conf['sortby'], $mod_conf['sortto']);
        $ile = $countersObj->getListCount();
        $stron = $countersObj->getSites($ile, $mod_conf['numberbysite']);
        $smarty->assign("sites", $stron);
        $smarty->assign("sitenr", $nr);
        $smarty->assign("elements", $elements);
        $mod_conf['template'] = $mod_conf['templateList'];
    } else if ($mod_conf['model'] == 'ADD') {
        if (!isset($url_arr['type'])) {
            $mod_conf['template'] = $mod_conf['templateAddStep1'];
        } else {
            //START - zapis
            if (isset($_POST['goForm'])) {

                $form = postToArray($_POST);

                $test_save = true;
                if (strlen($_POST['nazwa']) < 3) {
                    $test_save = false;
                    array_push($bug, 'Nazwa musi mieć co najmniej 3 znaki.');
                }

                if ($url_arr['type'] == 2 && !is_numeric($_POST['graf_ktory'])) {
                    $test_save = false;
                    array_push($bug, 'Nie wybrano licznika graficznego.');
                }
            }
            //END - Zapis            
            //START - zapis licznika
            if ($test_save == true) {
                $cid = $countersObj->addCounter($form, $url_arr['type']);
                $hash = $countersObj->getCounter($cid);
                $smarty->assign("cid", $hash);
                $mod_conf['template'] = $mod_conf['templateAddStep3'];
            }  //KONIEC - zapis licznika
            else {
                $smarty->assign("type", $url_arr['type']);
                $mod_conf['template'] = $mod_conf['templateAddStep2'];
            }
        }
    } else if ($mod_conf['model'] == 'EDIT') {

        //START - zapis
        if (isset($_POST['goForm'])) {
            $form = postToArray($_POST);
            $form['rodzaj'] = $countersObj->getCounterType($url_arr['edit']);
            $test_save = true;
            if (strlen($_POST['nazwa']) < 3) {
                $test_save = false;
                array_push($bug, 'Nazwa musi mieć co najmniej 3 znaki.');
            }


            if ($form['rodzaj'] == 2 && !is_numeric($_POST['graf_ktory'])) {
                $test_save = false;
                array_push($bug, 'Nie wybrano licznika graficznego.');
            }

            $cid = $countersObj->updateCounter($form, $url_arr['edit']);
            $smarty->assign("save", 'true');
        }
        //END - Zapis    


        $form = $countersObj->getCounter($url_arr['edit']);
        $mod_conf['template'] = $mod_conf['templateEdit'];
    } else if ($mod_conf['model'] == 'SHOWCODE') {
        $counter = $countersObj->getCounter($url_arr['showCode']);
        $smarty->assign("cid", $counter['hash']);
        $mod_conf['template'] = $mod_conf['templateAddStep3'];
    }

    if (isset($form)) {
        $smarty->assign("form", $form);
    }

    $smarty->assign("category", $countersObj->getCategories());
    $smarty->assign("bug", $bug);
    $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $mod_conf['template'] . '.tpl');
}
