<?php

#zaciąganie configu
include(Config::read('system.dir') . 'config.php');
#połączenie z bazą
include(Config::read('system.dir') . 'data/connect.php');
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'class/Core.php';

include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'function_create_link.php';
include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'siteMaps/class/SiteMaps.php';
echo '<hr />';
try {
    global $core;
    $core = Core::getInstance();

    $modules = array();
    $tabela = Config::read('db.prefix') . 'modules';
    $wynik = mysqli_query($dbc, "SELECT `badge` FROM $tabela;");
    while ($rekord = mysqli_fetch_array($wynik)) {
        array_push($modules, $rekord['badge']);
    }

    $siteMaps = array();
    for ($i = 0; $i < count($modules); $i++) {
        $dir = Config::read('system.dir') . Config::read('system.moduleDir') . $modules[$i] . '/class/CreateSiteMaps.php';
        if (file_exists($dir)) {
            echo $dir.'<br />';
            include_once $dir;
            $className = $modules[$i] . CreateSiteMaps;
            $obj = new $className();
            array_push($siteMaps, $obj->createSiteMap($modules[$i]));
            $obj = NULL;
        }
    }
    $content = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<sitemapindex xmlns=\"http://www.sitemaps.org/schemas/sitemap/0.9\">";
    for ($i = 0; $i < count($siteMaps); $i++) {
        $content.="
   <sitemap>
      <loc>http://" . Config::read('site.domain') . "/" . CMS_WORK_DIR . $siteMaps[$i] . "</loc>
      <lastmod>" . date("c") . "</lastmod>
   </sitemap>";
    }

    $content.="</sitemapindex>";

    echo $configDate[CMSCONFIG]['dir'] . CMS_WORK_DIR . 'sitemapIndex.xml';
    
    $out = fopen($configDate[CMSCONFIG]['dir'] . CMS_WORK_DIR . 'sitemapIndex.xml', "w");    
    fwrite($out, $content);
    fclose($out);
    echo '<hr />';
    mysqli_close($dbc);
} catch (Exception $ex) {
    trigger_error('Could not connect to MySQL database. ' . $pe->getMessage(), E_USER_ERROR);
}
