<?php

error_reporting(~0);
ini_set('display_errors', 1);
ini_set("log_errors", 1);

#zaciąganie configu
require_once('config.php');
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'class/Core.php';
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'Config.php';
include($configDate[CMSCONFIG]['dir'] . 'data/connect.php');

#pobieranie wszystkich funkcji globalnych
foreach (glob($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_function'] . "*.php") as $filename) {
    include_once $filename;
}

#pobieranie wszystkich klas globalnych
foreach (glob($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'global/' . "*.php") as $filename) {
    include_once $filename;
}

$cronClass = 'cronPar';  //nazwa klasy

class cronPar {

    public $product;

    function __construct() {
        global $dbc;
        echo 'Uruchomiono cronPar<br />';
        echo 'URL:' . Config::read('parXmlUrlProduct.url') . '<br />';
        $url = Config::read('parXmlUrlProduct.url');
        $temp = $this->getXml($url);
        $xml = simplexml_load_string($temp) or die("Error: Cannot create object");

        for ($i = 0; $i < count($xml->product); $i++) {
            $controlSum = $this->control_sum($xml->product[$i]);
            $productElem = $this->getProduct($xml->product[$i]->id);

            if ($productElem == NULL and $this->getImportId($xml->product[$i]->id) == FALSE) {
                $this->save($xml->product[$i]);  //zapisanie nowego produkctu
            } else if ($controlSum != $productElem['control_sum'] and $productElem['modifited_date'] == NULL) {
                $this->update($xml->product[$i], $productElem['idrek']);
            }
        }
    }

    public function getImportId($import_id) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'shop_import';
        $wynik = mysqli_query($dbc, "SELECT * FROM $tabela WHERE `source_name` = 'par' AND `import_id`='" . $import_id . "';");
        $row = mysqli_fetch_array($wynik, MYSQLI_ASSOC);
        if ($row) {
            return $row['product_id'];
        } else {
            return FALSE;
        }
    }

    public function getXml($url) {
        global $dbc;

        $userName = Config::read('par.user');
        $userPass = Config::read('par.pass');
        $context = stream_context_create(array(
            'http' => array(
                'header' => "Authorization: Basic " . base64_encode("$userName:$userPass")
            )
        ));
        // return file_get_contents($url, false, $context);


        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
        curl_setopt($ch, CURLOPT_USERPWD, "$userName:$userPass");
        $result = curl_exec($ch);
        curl_close($ch);

        return $result;
    }

    public function getXml2($url) {
        return file_get_contents('products.xml');
    }

    public function control_sum($xml) {
        return md5(print_r($xml, true));
    }

    function getProduct($import_id) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'shop_product';
        $wynik = mysqli_query($dbc, "SELECT * FROM $tabela WHERE `import_id`='" . $import_id . "';");
        return mysqli_fetch_array($wynik, MYSQLI_ASSOC);
    }

    function save($element) {
        global $dbc;
        $controlSum = $this->control_sum($element);

        $linkObj = new link();
        $permalink = $linkObj->createPermalink($element->nazwa);

        $tabela = Config::read('db.prefix') . 'shop_product';
        $row_name = array();
        $row_value = array();
        array_push($row_name, 'active');
        array_push($row_value, 'N');
        array_push($row_name, 'import_id');
        array_push($row_value, $element->id);
        array_push($row_name, 'import_source');
        array_push($row_value, 'par');
        array_push($row_name, 'code');
        array_push($row_value, $element->kod);
        array_push($row_name, 'name');
        array_push($row_value, $element->nazwa);
        array_push($row_name, 'permalink');
        array_push($row_value, $permalink);
        array_push($row_name, 'description');
        array_push($row_value, $element->opis);
        //array_push($row_name, 'price_pln');
        //array_push($row_value, $element->cena_pln);
        //array_push($row_name, 'price_euro');
        //array_push($row_value, $element->cena_eur);
        array_push($row_name, 'unit');
        array_push($row_value, $element->jednostka_miary);
        array_push($row_name, 'availability');
        array_push($row_value, 'FALSE');
        array_push($row_name, 'control_sum');
        array_push($row_value, $controlSum);
        array_push($row_name, 'created_by');
        array_push($row_value, '0');
        array_push($row_name, 'created_date');
        array_push($row_value, mktime());
        insert_sql($tabela, $row_name, $row_value);

        $insertId = mysqli_insert_id($dbc);


        $tabela = Config::read('db.prefix') . 'shop_import';
        $row_name = array();
        $row_value = array();
        array_push($row_name, 'source_name');
        array_push($row_value, 'par');
        array_push($row_name, 'product_id');
        array_push($row_value, $insertId);
        array_push($row_name, 'import_id');
        array_push($row_value, $element->id);
        insert_sql($tabela, $row_name, $row_value);

        #zdjecia
        $zdjecia = $this->importPhoto($element->zdjecia->zdjecie);
        $waga = 10;
        for ($i = 0; $i < count($zdjecia); $i++) {

            $photo = explode(".", $zdjecia[$i]);
            $tabela = Config::read('db.prefix') . 'baza_images_category_photos';
            $row_name = array();
            $row_value = array();
            array_push($row_name, 'hash');
            array_push($row_value, $photo[0]);
            array_push($row_name, 'kon');
            array_push($row_value, $photo[1]);
            array_push($row_name, 'cat');
            array_push($row_value, Config::read('shop.importPhotoCatId'));
            array_push($row_name, 'name');
            array_push($row_value, $element->nazwa);
            array_push($row_name, 'source');
            array_push($row_value, 'Par.com.pl');
            array_push($row_name, 'created_by');
            array_push($row_value, '0');
            array_push($row_name, 'created_date');
            array_push($row_value, mktime());
            insert_sql($tabela, $row_name, $row_value);
            $insertPhotoId = mysqli_insert_id($dbc);

            $tabela = Config::read('db.prefix') . 'shop_photo';
            $row_name = array();
            $row_value = array();
            array_push($row_name, 'product_id');
            array_push($row_value, $insertId);
            array_push($row_name, 'photo_id');
            array_push($row_value, $insertPhotoId);
            array_push($row_name, 'waga');
            array_push($row_value, $waga);
            insert_sql($tabela, $row_name, $row_value);

            $waga = $waga + 10;
        }

        //kategorie
        $waga = 10;
        $categorys = $this->getSiteCategory($element->kategorie);
        for ($i = 0; $i < count($categorys); $i++) {
            $tabela = Config::read('db.prefix') . 'shop_product_category';
            $row_name = array();
            $row_value = array();
            array_push($row_name, 'product_id');
            array_push($row_value, $insertId);
            array_push($row_name, 'category_id');
            array_push($row_value, $categorys[$i]);
            array_push($row_name, 'waga');
            array_push($row_value, $waga);

            insert_sql($tabela, $row_name, $row_value);

            $waga = $waga + 10;
        }

        return TRUE;
    }

    function update($element, $idrek) {
        global $dbc;
        $controlSum = $this->control_sum($element);

        $tabela = Config::read('db.prefix') . 'shop_product';
        $row_name = array();
        $row_value = array();
        array_push($row_name, 'code');
        array_push($row_value, $element->kod);
        array_push($row_name, 'name');
        array_push($row_value, $element->nazwa);
        array_push($row_name, 'description');
        array_push($row_value, $element->opis);
        array_push($row_name, 'price_pln');
        array_push($row_value, $element->cena_pln);
        array_push($row_name, 'price_euro');
        array_push($row_value, $element->cena_eur);
        array_push($row_name, 'unit');
        array_push($row_value, $element->jednostka_miary);
        array_push($row_name, 'control_sum');
        array_push($row_value, $controlSum);
        array_push($row_name, 'modifited_by');
        array_push($row_value, '0');
        array_push($row_name, 'modifited_date');
        array_push($row_value, mktime());
        update_sql($tabela, $row_name, $row_value, '`idrek`=\'' . $idrek . '\'');



        #zdjecia

        $zdjecia = $this->importPhoto($element->zdjecia->zdjecie);
        $waga = 10;
        for ($i = 0; $i < count($zdjecia); $i++) {

            $photo = explode(".", $zdjecia[$i]);
            $tabela = Config::read('db.prefix') . 'baza_images_category_photos';
            $row_name = array();
            $row_value = array();
            array_push($row_name, 'hash');
            array_push($row_value, $photo[0]);
            array_push($row_name, 'kon');
            array_push($row_value, $photo[1]);
            array_push($row_name, 'cat');
            array_push($row_value, Config::read('shop.importPhotoCatId'));
            array_push($row_name, 'name');
            array_push($row_value, $element->nazwa);
            array_push($row_name, 'source');
            array_push($row_value, 'Par.com.pl');
            array_push($row_name, 'created_by');
            array_push($row_value, '0');
            array_push($row_name, 'created_date');
            array_push($row_value, mktime());
            insert_sql($tabela, $row_name, $row_value);
            $insertPhotoId = mysqli_insert_id($dbc);

            $tabela = Config::read('db.prefix') . 'shop_photo';

            #kasowanie starych
            $query = "DELETE from $tabela WHERE `product_id` = '$idrek';";
            $wynik = mysqli_query($dbc, $query);

            $row_name = array();
            $row_value = array();
            array_push($row_name, 'product_id');
            array_push($row_value, $idrek);
            array_push($row_name, 'photo_id');
            array_push($row_value, $insertPhotoId);
            array_push($row_name, 'waga');
            array_push($row_value, $waga);
            insert_sql($tabela, $row_name, $row_value);

            $waga = $waga + 10;
        }


        return TRUE;
    }

    function p($array) {
        echo '<pre>';
        print_r($array);
        echo '</pre>';
    }

    function importPhoto($zdjecia) {
        global $dbc;
        $photoUrl = array();
        for ($i = 0; $i < count($zdjecia); $i++) {
            $newUrl = file_get_contents(Config::read('site.staticDomain') . '/uploadToSerwer.php?file=http://www.par.com.pl' . $zdjecia[$i]);
            array_push($photoUrl, $newUrl);
            array_push($photoUrl, $newUrl);
        }
        return $photoUrl;
    }

    function getSiteCategory($element) {
        global $dbc;
        $retArray = array();
        foreach ($element->kategoria as $value) {
            $ids = (array) $value->attributes()->id;
            for ($i = 0; $i < count($ids); $i++) {

                if ($ids[$i] == 165) { //Touch
                    $newId = 6;
                } elseif ($ids[$i] == 166) { //Długopisy, rysiki
                    $newId = 6;
                } elseif ($ids[$i] == 20) { //Kubki, Bidony, Termosy
                    $newId = 22;
                } elseif ($ids[$i] == 167) { //Leak Proof
                    $newId = 22;
                } elseif ($ids[$i] == 45) { //Izotermiczne
                    $newId = 22;
                } elseif ($ids[$i] == 47) { //Termosy
                    $newId = 22;
                } elseif ($ids[$i] == 46) { //Bidony
                    $newId = 22;
                } elseif ($ids[$i] == 173) { //Kubki
                    $newId = 22;
                } elseif ($ids[$i] == 174) { //Samochodowe
                    $newId = 22;
                } elseif ($ids[$i] == 175) { //Zestawy
                    $newId = 22;
                } elseif ($ids[$i] == 168) { //Opaski do R08394
                    $newId = 22;
                } elseif ($ids[$i] == 19) { //Latarki, Narzędzia
                    $newId = 23;
                } elseif ($ids[$i] == 40) { //Latarki
                    $newId = 23;
                } elseif ($ids[$i] == 41) { //Zestawy narzędzi, Scyzoryki
                    $newId = 23;
                } elseif ($ids[$i] == 43) { //Miarki, Ołówki stolarskie
                    $newId = 23;
                } elseif ($ids[$i] == 44) { //Akcesoria samochodowe
                    $newId = 23;
                } elseif ($ids[$i] == 15) { //Czapki, Parasole
                    $newId = 12;
                } elseif ($ids[$i] == 27) { //Czapki
                    $newId = 15;
                } elseif ($ids[$i] == 28) { //Parasole
                    $newId = 23;
                } elseif ($ids[$i] == 23) { //Torby, Plecaki, Kosze
                    $newId = 23;
                } elseif ($ids[$i] == 53) { //Torby podróżne
                    $newId = 23;
                } elseif ($ids[$i] == 77) { //Plecaki
                    $newId = 23;
                } elseif ($ids[$i] == 54) { //Torby i plecaki na laptopa
                    $newId = 23;
                } elseif ($ids[$i] == 76) { //Kosze
                    $newId = 23;
                } elseif ($ids[$i] == 52) { //Torby na zakupy
                    $newId = 23;
                } elseif ($ids[$i] == 24) { //Piśmiennicze
                    $newId = 10;
                } elseif ($ids[$i] == 73) { //Długopisy metalowe
                    $newId = 8;
                } elseif ($ids[$i] == 74) { //Długopisy aluminiowe
                    $newId = 6;
                } elseif ($ids[$i] == 55) { //Długopisy plastikowe
                    $newId = 7;
                } elseif ($ids[$i] == 75) { //Długopisy ECO
                    $newId = 6;
                } elseif ($ids[$i] == 56) { //Pióra wieczne i kulkowe
                    $newId = 6;
                } elseif ($ids[$i] == 58) { //Ołówki
                    $newId = 6;
                } elseif ($ids[$i] == 59) { //Zestawy piśmiennicze
                    $newId = 6;
                } elseif ($ids[$i] == 60) { //Etui
                    $newId = 6;
                } elseif ($ids[$i] == 79) { //Antystresy
                    $newId = 23;
                } elseif ($ids[$i] == 82) { //Breloki antystresowe
                    $newId = 23;
                } elseif ($ids[$i] == 83) { //Piłki antystresowe
                    $newId = 23;
                } elseif ($ids[$i] == 84) { //Pozostałe
                    $newId = 23;
                } elseif ($ids[$i] == 85) { //Breloki
                    $newId = 23;
                } elseif ($ids[$i] == 86) { //Metalowe, Aluminiowe
                    $newId = 23;
                } elseif ($ids[$i] == 87) { //Odblaskowe, Antystresowe
                    $newId = 23;
                } elseif ($ids[$i] == 88) { //Z żetonem, Z otwieraczem
                    $newId = 23;
                } elseif ($ids[$i] == 89) { //Z miarką, Latarką, Diodą
                    $newId = 23;
                } elseif ($ids[$i] == 18) { //Dla dzieci
                    $newId = 23;
                } elseif ($ids[$i] == 37) { //Odblaski
                    $newId = 23;
                } elseif ($ids[$i] == 38) { //Pluszaki i maskotki
                    $newId = 23;
                } elseif ($ids[$i] == 39) { //Szkoła i dom
                    $newId = 23;
                } elseif ($ids[$i] == 21) { //Akcesoria osobiste
                    $newId = 23;
                } elseif ($ids[$i] == 50) { //Niezbędne w podróży
                    $newId = 23;
                } elseif ($ids[$i] == 51) { //Dla fanów
                    $newId = 23;
                } elseif ($ids[$i] == 16) { //Do domu
                    $newId = 23;
                } elseif ($ids[$i] == 29) { //Zestawy do wina
                    $newId = 23;
                } elseif ($ids[$i] == 30) { //Zestawy noży
                    $newId = 23;
                } elseif ($ids[$i] == 31) { //Zestawy kuchenne i łazienkowe
                    $newId = 23;
                } elseif ($ids[$i] == 32) { //Ozdoby domowe
                    $newId = 23;
                } elseif ($ids[$i] == 33) { //Gry
                    $newId = 23;
                } elseif ($ids[$i] == 25) { //Do biura
                    $newId = 23;
                } elseif ($ids[$i] == 61) { //Etui na laptopa i smartfon
                    $newId = 23;
                } elseif ($ids[$i] == 62) { //Akcesoria komputerowe i smartfonowe
                    $newId = 23;
                } elseif ($ids[$i] == 63) { //Teczki i torby na dokumenty
                    $newId = 23;
                } elseif ($ids[$i] == 64) { //Teczki konferencyjne
                    $newId = 23;
                } elseif ($ids[$i] == 65) { //Wizytowniki
                    $newId = 23;
                } elseif ($ids[$i] == 66) { //Notesy, Notatniki
                    $newId = 23;
                } elseif ($ids[$i] == 67) { //Na biurko
                    $newId = 23;
                } elseif ($ids[$i] == 68) { //Zegary i kalkulatory
                    $newId = 23;
                } elseif ($ids[$i] == 17) { //Upominki ze skóry
                    $newId = 23;
                } elseif ($ids[$i] == 34) { //Etui skórzane
                    $newId = 23;
                } elseif ($ids[$i] == 35) { //Portmonetki i portfele
                    $newId = 23;
                } elseif ($ids[$i] == 36) { //Na szczególną okazję
                    $newId = 23;
                } elseif ($ids[$i] == 26) { //Opakowania upominkowe
                    $newId = 23;
                } elseif ($ids[$i] == 69) { //Torby na wino
                    $newId = 23;
                } elseif ($ids[$i] == 70) { //Torby na prezenty
                    $newId = 23;
                } elseif ($ids[$i] == 71) { //Worki na prezenty
                    $newId = 23;
                } else {
                    $newId = 23;
                }

                array_push($retArray, $newId);
            }
        }
        return $retArray;
    }

}

/*
  $url = Config::read('parXmlUrlProduct.url');
  $temp = getXml($url);


  echo count($xml->product);
  for ($i=0;$i<count($xml->product);$i++){
  //echo $xml->product[$i]->nazwa.'<br />';
  print_r($xml->product[$i]).'<br />';
  }
 * 
 */
/*
  echo '<pre>';
  print_r($xml);
  echo '</pre>';
 */


