<?php
include_once Config::read('system.dir') . Config::read('system.thirdpartyDir').'/smsapi/client.php';
//namespace SMSApi\Api\Action;

use SMSApi\Api\Action\Sms\Delete as SmsDelete;
use SMSApi\Api\Action\Sms\Get as SmsGet;
use SMSApi\Api\Action\Sms\Send as SmsSend;

use SMSApi\Client;


function smsSend($params, $token, $backup = false ) {

    static $content;

    if($backup == true){
        $url = 'https://api2.smsapi.pl/sms.do';
    }else{
        $url = 'https://api.smsapi.pl/sms.do';
    }

    $c = curl_init();
    curl_setopt( $c, CURLOPT_URL, $url );
    curl_setopt( $c, CURLOPT_POST, true );
    curl_setopt( $c, CURLOPT_POSTFIELDS, $params );
    curl_setopt( $c, CURLOPT_RETURNTRANSFER, true );
    curl_setopt( $c, CURLOPT_HTTPHEADER, array(
       "Authorization: Bearer $token" 
    ));

    $content = curl_exec( $c );
    $http_status = curl_getinfo($c, CURLINFO_HTTP_CODE);

    if($http_status != 200 && $backup == false){
        $backup = true;
        sms_send($params, $token, $backup);
    }

    curl_close( $c );    
    return $content;
}