<?php

#####################################
#       Moduł "Elementy HTML"  1.0                                                 #
#       Autor: Jacek Pecko IT-Poland.com                                       #
#####################################
//$module['conf_id']
//$module['placment_name']


include_once("modules/function_content_replace.php");

//zczytywanie configa głównego
$tabela = Config::read('db.prefix') . 'modules';
$wynik = mysqli_query($dbc, "SELECT `idrek`,`template_dir` FROM $tabela WHERE `badge`='element_html';");
$row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
$template_dir = $row['template_dir'];
//zczytywanie configa modułu
$tabela = Config::read('db.prefix') . 'element_html_conf';
$wynik = mysqli_query($dbc, "SELECT `idrek`,`group_id`,`element_id`, `model`, `template`,`sortby`, `sortto`, `numberbysite`, `paging`, `shift` FROM $tabela WHERE `idrek`='" . $module['conf_id'] . "';");
$row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
if ($row['idrek'] > 0) {
    $template_name = $row['template'];


    if ($row['model'] == 'VIEW') {
        if ($row['element_id'] > 0) {
            $time_now = time();
            $tabela = Config::read('db.prefix') . 'element_html';
            $wynik = mysqli_query($dbc, "SELECT `idrek`,`name`,`content` FROM $tabela WHERE `idrek`='" . $row['element_id'] . "' AND `public`='Y' AND (`show_start`<'$time_now' OR `show_start`='') AND (`show_end`>'$time_now' OR `show_end`='');");
            $row_element = mysqli_fetch_array($wynik, MYSQLI_BOTH);
            $row_element['content'] = content_replace($row_element['content']);
            $smarty->assign("element", $row_element);
            array_push($admin_links['name'], 'Element HTML - ' . $row_element['name'] . ' [' . $row['element_id'] . ']');
            array_push($admin_links['link'], 'http://' . Config::read('site.domain') . '/adminindex.php?pages=html_elements_edit&what=' . $row['element_id']);
        }
    } else if ($row['model'] == 'LIST') {
        //sortowanie po elemencie
        if ($row['sortby'] == 'name') {  //po nazwie
            $orderby = "`name`";
        } else if ($row['sortby'] == 'date') { //po dacie utworzenia
            $orderby = "`created_date`";
        } else {
            $orderby = "`show_start`, `created_date`";  //po dacie starty jeśli taka była
        }

        //sortowanie kierunek
        if ($row['sortto'] == 'down') {  //po nazwie
            $orderto = "DESC";
        } else if ($row['sortto'] == 'up') { //po dacie utworzenia
            $orderto = "ASC";
        }


        $limit = '';
        if ($row['paging'] == "Y" AND $row['numberbysite'] > 0) {
            //stronicowanie
            $tabela = Config::read('db.prefix') . 'element_html';
            $dane = mysqli_query($dbc, "SELECT COUNT(*) FROM $tabela;");
            $row2 = mysqli_fetch_array($dane);
            //echo mysqli_error($dbc);
            $ile = $row2[0] - $row['shift'];
            if ((!isset($_GET['nr'])) OR ( $_GET['nr'] == ''))
                $nr = 1;
            else {
                $nr = addslashes($_GET['nr']);
            }

            $stron = $ile / $row['numberbysite'];
            $stron = ceil($stron);
            $od_ilu = (($nr - 1) * $row['numberbysite']) + $row['shift'];
            //koniec stronicowanie

            $limit = " LIMIT $od_ilu," . $row['numberbysite'];
        }

        if ($row['sortby'] == 'name')
            $sortby = "`name`";
        else if ($row['sortby'] == 'date')
            $sortby = "`created_date`";
        else if ($row['sortby'] == 'public')
            $sortby = "`show_start`";

        if ($row['sortto'] == 'down')
            $sortto = "DESC";
        else
            $sortto = "ASC";

        $gruop_id = $row['group_id'];
        $time_now = time();

        $licznik = 0;
        $tabela = Config::read('db.prefix') . 'element_html';
        $wynik = mysqli_query($dbc, "SELECT `idrek`,`name`,`content` FROM $tabela WHERE `idgroup`='$gruop_id' AND `public`='Y' AND (`show_start`<'$time_now' OR `show_start`='') AND (`show_end`>'$time_now' OR `show_end`='') ORDER BY $sortby $sortto $limit;");
        while ($rekord = mysqli_fetch_array($wynik)) {
            $elements[$licznik]['name'] = $rekord['name'];
            $elements[$licznik]['content'] = content_replace($rekord['content']);
            $licznik++;
            array_push($admin_links['name'], 'Element HTML - ' . $rekord['name'] . ' [' . $rekord['idrek'] . ']');
            array_push($admin_links['link'], 'http://' . Config::read('site.domain') . '/adminindex.php?pages=html_elements_edit&what=' . $rekord['idrek']);
        }
        $smarty->assign("sites", $stron);
        $smarty->assign("sitenr", $nr);
        $smarty->assign("elements", $elements);
    }


    $smarty->assign("module", $module);
    $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $template_name . '.tpl.html');
}