<?php

include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'function_make_url.php';
require_once Config::read('system.dir') . Config::read('system.moduleDir') . 'function_check_email.php';
include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'function_limit.php';
require_once Config::read('system.dir') . Config::read('system.moduleDir') . 'announcementCategory/class/announcmentCategory.php';
require_once Config::read('system.dir') . Config::read('system.moduleDir') . 'announcement/class/Announcement.php';
require_once Config::read('system.dir') . Config::read('system.moduleDir') . 'newsletter/class/newsletter.php';

$tabela = Config::read('db.prefix') . 'modules';
$wynik = mysqli_query($dbc, "SELECT `idrek`,`template_dir` FROM $tabela WHERE `badge`='newsletter';");
$row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
$template_dir = $row['template_dir'];
$module_dir = $row['module_dir'];
//zczytywanie configa modułu

$tabela = Config::read('db.prefix') . 'newsletter_conf';
$wynik = mysqli_query($dbc, "SELECT * FROM $tabela WHERE `idrek`='" . $module['conf_id'] . "';");
$mod_conf = mysqli_fetch_array($wynik, MYSQLI_BOTH);
if ($mod_conf['idrek'] > 0) {
    $newsletterObj = new Newsletter();
    
    
    if ($mod_conf['type'] == 'FORM') {               
        if (isset($_GET['email'])) {
            $testForm = true;
            $bug = array();

            
            if (!isset($_GET['email']) OR ! check_email($_GET['email'])) {
                array_push($bug, 'Proszę wpisać prawidłowy adres e-mail.');
                $testForm = false;
            }
            
            if ($newsletterObj->getSubscriber($_GET['email'])) {
                array_push($bug, 'Podany adres jest już w bazie.');
                $testForm = false;
            }            
            
            /*
            if (count($_GET['category']) < 1) {
                array_push($bug, 'Nie wybrano kategorii.');
                $testForm = false;
            }
            */
            if ($testForm == true) {
                $email = addslashes($_GET['email']);
                /*
                $catTemp = array();
                for ($i = 0; $i < count($_GET['category']); $i++) {
                    $catTemp[$i] = addslashes($_GET['category'][$i]);
                }
                */
                $hash = limit(md5(time()), 10);
                $tabela = Config::read('db.prefix') . 'newsletter_sub_temp';
                $row_name = array();
                $row_value = array();
                array_push($row_name, 'ip');
                array_push($row_value, $_SERVER['REMOTE_ADDR']);
                array_push($row_name, 'host');
                array_push($row_value, gethostbyname($_SERVER['REMOTE_ADDR']));
                array_push($row_name, 'email');
                array_push($row_value, $email);
                /*
                array_push($row_name, 'category');
                array_push($row_value, implode('||', $catTemp));
                 */
                array_push($row_name, 'hash');
                array_push($row_value, $hash);
                array_push($row_name, 'created_by');
                array_push($row_value, Config::read('user.id'));
                array_push($row_name, 'created_date');
                array_push($row_value, mktime());
                insert_sql($tabela, $row_name, $row_value);

                $titleMail = 'Aktywacja subskrypcji newslettera w serwisie ' . Config::read('site.domain');
                
                $smarty->assign("url", 'http://' . Config::read('site.domain') . '/newsletter-aktywacja/h,' . $hash . '.html');
                $content_master = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $mod_conf['templateMail'] . '.tpl');
                
                send_mail($email, CMS_EMAIL_NAME, CMS_EMAIL, $titleMail, $content_master);
                
                $smarty->assign("done", true);
            } else {
                $smarty->assign("bug", $bug);
            }
        }

        $categoryObj = new announcmentCategory();
        $category = $categoryObj->getCategoryChild(Config::read('announcment.MasterCategory'), 'Y');
        $smarty->assign("category", $category);
    } else if ($mod_conf['type'] == 'ACTIVATE') {
        $status = 'OK';
        if (!$url_arr['h']) {
            $status = 'FAILD';
        } else {
            $tabela = Config::read('db.prefix') . 'newsletter_sub_temp';
            $wynik = mysqli_query($dbc, "SELECT * FROM $tabela WHERE `hash`='" . $url_arr['h'] . "';");
            $row = mysqli_fetch_array($wynik, MYSQLI_ASSOC);
            if (!$row) {
                $status = 'FAILD';
            } else {
                $row_name = array();
                $row_value = array();
                array_push($row_name, 'ip');
                array_push($row_value, $row['ip']);
                array_push($row_name, 'host');
                array_push($row_value, $row['host']);
                array_push($row_name, 'category');
                array_push($row_value, $row['category']);
                array_push($row_name, 'hash');
                array_push($row_value, $row['hash']);

                $tabela = Config::read('db.prefix') . 'newsletter_sub';
                $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `email`='" . $row['email'] . "';");
                $row_sub = mysqli_fetch_array($wynik, MYSQLI_ASSOC);
                if ($row_sub) {
                    array_push($row_name, 'modifited_by');
                    array_push($row_value, $row['created_by']);
                    array_push($row_name, 'modifited_date');
                    array_push($row_value, $row['created_date']);
                    update_sql($tabela, $row_name, $row_value, '`idrek` = \'' . $row_sub['idrek'] . '\'');
                } else {
                    array_push($row_name, 'email');
                    array_push($row_value, $row['email']);
                    array_push($row_name, 'created_by');
                    array_push($row_value, $row['created_by']);
                    array_push($row_name, 'created_date');
                    array_push($row_value, $row['created_date']);
                    insert_sql($tabela, $row_name, $row_value);
                }
                //echo mysqli_error($dbc);
                $tabela = Config::read('db.prefix') . 'newsletter_sub_temp';
                $query = "DELETE from $tabela WHERE `idrek` = '" . $row['idrek'] . "';";
                $wynik = mysqli_query($dbc, $query);
                $status = 'OK';
            }
        }
        $smarty->assign("status", $status);
    }

    $smarty->assign("mod_conf", $mod_conf);
    $smarty->assign("element", $element);
    $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $mod_conf['template'] . '.tpl');
}    