<?php

include_once 'shop.php';
include_once 'category.php';
/**
 * Description of CreateSiteMaps
 *
 * @author Jacek
 */
include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'function_create_link.php';
include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'function_show_image.php';

class shopCreateSiteMaps extends SiteMaps {

    public function createSiteMap($moduleName = 'shop') {
        global $dbc;
        $dir = $this->crateDir($moduleName);

        $elements = array();
        $licznik = 0;
        $showObj = new shop();


        $elements_temp = $showObj->getProductList();


        for ($i = 0; $i < count($elements_temp); $i++) {
            if ($elements_temp[$i]['modifited_date'] > 0)
                $elements[$licznik]['date'] = $elements_temp[$i]['modifited_date'];
            else
                $elements[$licznik]['date'] = $elements_temp[$i]['created_date'];

            $elements[$licznik]['url'] = $elements_temp[$i]['url'];

            for ($i2 = 0; $i2 < count($elements_temp[$i]['photos']); $i2++) {
                $elements[$licznik]['photos'][$i2] = show_image($elements_temp[$i]['photos'][$i2], 'photos', 'ffffff');
            }


            $licznik++;
        }

        echo 'Ilość rekordów' . count($elements);

        if (count($elements) > 0) {
            return $this->saveSiteMap($elements, $dir, $moduleName);
        } else {
            return false;
        }
    }

}
