<?php

/*
  widok produktuy w sklepie
 */

/* Autor: Jacek Pecko  */


if (!is_numeric($url_arr['i'])) {
    $site_404 = true;
} else {
    $showObj = new shop();
    $item = $showObj->getProduct($url_arr['i'], TRUE);
    if ($item) {        
        $spection_path = $item['name'];
        $site['title'] = $item['name'];
        $site['meta_title'] = $item['seo_title'];
        $site['description'] = $item['seo_description'];
        $site['canonical'] = $item['url'];
        /* koszyk */
        $item['inCard'] = $showObj->isProductInCard($url_arr['i'], $session);
        /* KONIEC koszyk */

        /* Pobieranie dostępnych kolorów */
        $item['color'] = $showObj->getColors($url_arr['i']);
        /* KONIEC Pobieranie dostępnych kolorów */

        /* podobne ogłoszenia */
        $sphinx_client = new SphinxClient();
        $sphinx_client->SetMatchMode(SPH_MATCH_ANY);
        $sphinx_client->SetServer(Config::read('sphinx.adress'), Config::read('sphinx.port'));
        $sphinx_client->SetArrayResult(true);
        $sphinx_client->SetFieldWeights(array('title' => 70, 'desc' => 30));
        $sphinx_client->SetFilter('idrek', array($item['idrek']), true);
        $query_string = $item['name'];
        $index_name = "products";
        $sphinx_client->setLimits(0, 9);  //stronicowanie - dodać ewentualnie w configu
        $resultSphinx = $sphinx_client->Query($query_string, $index_name);
        $licznik = 0;
        for ($i = 0; $i < count($resultSphinx['matches']); $i++) {
            $idrek = $resultSphinx['matches'][$i]['attrs']['idrek'];
            $item['similar'][$licznik] = $showObj->getProduct($idrek, TRUE);
            $licznik++;
        }

        /* podobne ogłoszenia - koniec */
        $smarty->assign("item", $item);
    } else {
        $site_404 = true;
    }
}