<?php

##########################################
#       Moduł "Wyszilowarla Sphinx" 1.0  #
#       Wymagany SPHINX                  #
#       Autor: Jacek Pecko IT-Poland.com #
##########################################
//$module['conf_id']
//$module['placment_name']
//zczytywanie configa głównego
$tabela = Config::read('db.prefix') . 'modules';
$wynik = mysqli_query($dbc, "SELECT `idrek`,`template_dir` FROM $tabela WHERE `badge`='shopSearch';");
$row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
$template_dir = $row['template_dir'];
$module_dir = $row['module_dir'];
//zczytywanie configa modułu
$tabela = Config::read('db.prefix') . 'shop_search_conf';
$wynik = mysqli_query($dbc, "SELECT * FROM $tabela WHERE `idrek`='" . $module['conf_id'] . "';");
$mod_conf = mysqli_fetch_array($wynik, MYSQLI_BOTH);
if ($mod_conf['idrek'] > 0) {


    include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'user/class/User.php';
    include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'function_limit.php';
    include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'class_cms_photo.php';
    include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'class_cms_token.php';
    include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'function_check_email.php';
    include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'photos/class/Photos.php';
    include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'function_create_link.php';
    include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'shop/class/shop.php';
    include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'shop/class/category.php';

    $img_obj = new cms_photo;
    if (isset($_GET['q'])) {
        $showObj = new shop();
        $q = addslashes($_GET['q']);
        if ($mod_conf['numberbysite'] < 1) {
            $numberbysite = 1000;   // w wypadku nie podania ilości rekordó wybierze 1000 pierwszych
        } else {
            $numberbysite = $mod_conf['numberbysite'];
        }


        if ((!isset($url_arr['nr'])) OR ( $url_arr['nr'] == ''))
            $nr = 1;
        else {
            $nr = addslashes($url_arr['nr']);
        }

        $sphinx_client = new SphinxClient();
        $sphinx_client->SetMatchMode(SPH_MATCH_ANY);
        $sphinx_client->SetServer(Config::read('sphinx.adress'), Config::read('sphinx.port'));
        $sphinx_client->SetArrayResult(true);
        $sphinx_client->SetFieldWeights(array('title' => 70, 'desc' => 30));


        $query_string = $q;
        $index_name = "products";
        $offset = ($nr - 1) * $numberbysite;
        $sphinx_client->setLimits($offset, $numberbysite);  //stronicowanie
        $resultSphinx = $sphinx_client->Query($query_string, $index_name);

        
        $item = array();

        $licznik = 0;
        for ($i = 0; $i < count($resultSphinx['matches']); $i++) {
            $idrek = $resultSphinx['matches'][$i]['attrs']['idrek'];
            $item[$licznik] = $showObj->getProduct($idrek, TRUE);
            $licznik++;
        }


        $site['meta_title'] = $q;
        $site['description'] = 'Wyniki wyszukiwania dla ' . $q;


        if ($nr>1){
            $site['meta_title'] .= ' &bull; Strona '.$nr;
            $site['description'] .= '. Strona '.$nr.' wyników';
        }
        
        $stron = $resultSphinx['total'] / $mod_conf['numberbysite'];
        $stron = ceil($stron);        
        
        $smarty->assign("total", $resultSphinx['total']);
        $smarty->assign("sites", $stron);
        $smarty->assign("spinxRes", $resultSphinx);
        $smarty->assign("query", $q);
        $smarty->assign("sitenr", $nr);
        $smarty->assign('item', $item);
    }



    $smarty->assign("mod_conf", $mod_conf);
    $smarty->registerObject('cms_photo', $img_obj);
    $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $mod_conf['template'] . '.tpl');
}
