<?php

/*
  Importowanie użytkownika
 */

/**
 * Description of importDlUser
 *
 * @author jacek
 */
class importDlUser {

    private $tableOldUser, $tableUser, $tableCounters, $dbc;

    function __construct() {
        global $dbc;
        $this->dbc = $dbc;
        $this->tableOldUser = 'old_user';
        $this->tableUser = Config::read('db.prefix') . 'users';
        $this->tableOldCounters = 'liczniki';
        $this->tableCounters = Config::read('db.prefix') . 'counters';
    }

    public function importAccount($oldId, $pass, $email = false) {
        $wynik = mysqli_query($this->dbc, "SELECT * FROM $this->tableOldUser WHERE `id` = '$oldId';");
        $row = mysqli_fetch_array($wynik, MYSQLI_ASSOC);
        if ($row) {
            $key = limit(md5(uniqid(time()) + rand(0, 30000)), 10);

            $row_name = array();
            $row_value = array();
            array_push($row_name, 'nick');
            array_push($row_value, $row['nick']);
            array_push($row_name, 'haslo');
            array_push($row_value, mysql_41_password($pass));
            array_push($row_name, 'mail');
            if ($email == false) {
                array_push($row_value, $row['mail']);
            } else {
                array_push($row_value, $email);
            }
            array_push($row_name, 'idgroup');
            array_push($row_value, 2);
            array_push($row_name, 'ip');
            array_push($row_value, $_SERVER['REMOTE_ADDR']);
            array_push($row_name, 'host');
            array_push($row_value, gethostbyaddr($_SERVER['REMOTE_ADDR']));
            array_push($row_name, 'key');
            array_push($row_value, $key);
            array_push($row_name, 'oldUserId');
            array_push($row_value, $oldId);
            array_push($row_name, 'created_date');
            array_push($row_value, time());
            $userId = insert_sql($this->tableUser, $row_name, $row_value);


            $wynik = mysqli_query($this->dbc, "SELECT * FROM $this->tableOldCounters where `kogo` = '$oldId';");
            while ($rekord = mysqli_fetch_array($wynik, MYSQLI_ASSOC)) {
                $rekord['userId'] = $userId;
                $this->importCounter($rekord);
            }


            $row_name = array();
            $row_value = array();
            array_push($row_name, 'new_account');
            array_push($row_value, $userId);
            array_push($row_name, 'import');
            array_push($row_value, 'Y');
            update_sql($this->tableOldUser, $row_name, $row_value, '`id`=\'' . $oldId . '\'');

            return $userId;
        }
    }

    public function importCounter($param) {
        $row_name = array();
        $row_value = array();
        array_push($row_name, 'oldId');
        array_push($row_value, $param['id']);
        array_push($row_name, 'kogo');
        array_push($row_value, $param['userId']);
        array_push($row_name, 'wartosc');
        array_push($row_value, $param['wartosc']);
        array_push($row_name, 'rodzaj');
        array_push($row_value, $param['rodzaj']);
        array_push($row_name, 'graf_ktory');
        array_push($row_value, $param['graf_ktory']);
        array_push($row_name, 'czcion_wielkosc');
        array_push($row_value, $param['czcion_wielkosc']);
        array_push($row_name, 'czcion_kolor');
        array_push($row_value, $param['czcion_kolor']);
        array_push($row_name, 'czcion_kroj');
        array_push($row_value, $param['czcion_kroj']);
        array_push($row_name, 'czacion_bui');
        array_push($row_value, $param['czacion_bui']);
        array_push($row_name, 'ost');
        array_push($row_value, $param['ost']);
        array_push($row_name, 'nazwa');
        array_push($row_value, $param['nazwa']);
        array_push($row_name, 'data_utw');
        array_push($row_value, $param['data_utw']);
        array_push($row_name, 'powiadomienie');
        array_push($row_value, $param['powiadomienie']);
        array_push($row_name, 'licznik_flash');
        array_push($row_value, $param['licznik_flash']);
        array_push($row_name, 'wys_flash');
        array_push($row_value, $param['wys_flash']);
        array_push($row_name, 'sze_flash');
        array_push($row_value, $param['sze_flash']);
        array_push($row_name, 'nonadv');
        array_push($row_value, $param['nonadv']);
        array_push($row_name, 'category');
        array_push($row_value, $param['category']);
        array_push($row_name, 'hash');
        array_push($row_value, md5(uniqid($param['id'] + rand(0, 10000), true)));
        return insert_sql($this->tableCounters, $row_name, $row_value);
    }

    public function isEmailFree($email) {
        $wynik = mysqli_query($this->dbc, "SELECT * FROM $this->tableOldUser WHERE `mail` LIKE '$email';");
        $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
        if ($row) {
            return false;
        }

        $wynik = mysqli_query($this->dbc, "SELECT * FROM $this->tableUser WHERE `mail` LIKE '$email';");
        $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
        if ($row) {
            return false;
        }

        return true;
    }

}
