<?php

/**
 * Klasa rejestracji userów
 *
 * @author IT-Poland.com Jacek Pecko  
 */
include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'function_check_email.php';

class UserRegistration {
    /* Sprawdzanie czy adres email jest wolny */

    public function isEmailFree($email) {
        global $dbc;
        if (check_email($email) == false) {
            return FALSE;
        }

        $tabela = Config::read('db.prefix') . 'users';
        $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `mail`='$email';");
        $row = mysqli_fetch_array($wynik, MYSQLI_ASSOC);
        if ($row) {
            return FALSE;
        }

        return TRUE;
    }

    public function registUser(Smarty $smarty, $param) {
        global $dbc;
        $key = limit(md5(uniqid(time()) + rand(0, 30000)), 10);

        $tabela = Config::read('db.prefix') . 'users';
        $row_name = array();
        $row_value = array();
        array_push($row_name, 'haslo');
        array_push($row_value, mysql_41_password($param['pass']));
        array_push($row_name, 'mail');
        array_push($row_value, $param['email']);
        array_push($row_name, 'idgroup');
        array_push($row_value, 16);
        array_push($row_name, 'ip');
        array_push($row_value, $_SERVER['REMOTE_ADDR']);
        array_push($row_name, 'host');
        array_push($row_value, gethostbyaddr($_SERVER['REMOTE_ADDR']));
        array_push($row_name, 'key');
        array_push($row_value, $key);
        array_push($row_name, 'subscribe');
        array_push($row_value, $param['subscribe']);

        array_push($row_name, 'created_date');
        array_push($row_value, mktime());
        insert_sql($tabela, $row_name, $row_value);
        $user_id = mysqli_insert_id($dbc);


        $content = '<h2>Dziękujemy za rejestrację w serwisie ' . Config::read('site.domainVisible') . '</h2><br /><br />'
                . 'Aby dokńczyć proces rejestracji kliknij w poniższy link:<br />'
                . '<a href="http://' . Config::read('site.domain') . '/aktywacja-konta/active_key,' . $key . '.html" target="_blank">http://' . Config::read('site.domain') . '/aktywacja-konta/active_key,' . $key . '.html</a><br /><br />'
                . 'W razie problemów z aktywacją konta prosimy o kontakt na adres <a href="mailto:kontakt@agami24.pl" target="_blank">kontakt@agami24.pl</a>'
                . '<br /><br /><br />'
                . 'Pozdrawiamy<br />'
                . 'Agami24.pl';

        send_mail($param['email'], Config::read('email.name'), Config::read('email.adress'), 'Potwierdzenie rejestracji w serwisie ' . Config::read('site.domainVisible'), $content);
        return TRUE;
    }

}
