<?php

include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'user/class/User.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'announcement/class/Announcement.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'announcementCategory/class/announcmentCategory.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'class_cms_photo.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'function_send_mail.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'function_add_point.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'function_what_new.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'function_add_note_to_wall.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'function_tell_frends.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'function_limit.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'user/class/SendInfo.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'modules/function_send_mail.php';


$img_obj = new cms_photo;

#Główka
array_push($insert_tmp['path_name'], "Ogłoszenia");
array_push($insert_tmp['path_adres'], "?pages=announcement");
array_push($insert_tmp['path_name'], "Edycja ogłoszenia");
array_push($insert_tmp['path_adres'], "?pages=announcementEdit&what=" . $_GET['what']);


$insert_tmp['title'] = 'Edycja ogłoszenia';



$show_form = true;

if (!isset($_GET['what'])) {
    $show_form = false;
} else {
    $idrek = addslashes($_GET['what']);
    $announcementObj = new Announcement();

    $announcement = $announcementObj->getAnnoucement($idrek);


    if ($_GET['showAll'] == 1) {
        $annNumber = 999999;
    } else {
        $annNumber = 20;
    }
    if ($announcement['created_by'] > 0) {
        $userObj = new User();
        $announcement['user'] = $userObj->getUserById($announcement['created_by']);
        $userMod = $userObj->getUserById($announcement['modifited_by']);
        $announcementAll = $announcementObj->getAnnouncmentList('%', 'N', $annNumber, 1, 'created_date', 'DESC', false, '', $announcement['created_by']);
        $announcementCount = $announcementObj->getAnnouncmentListCount('%', '', false, $announcement['created_by']);
        $announcementCountActive = $announcementObj->getAnnouncmentListCount('%', '', true, $announcement['created_by']);
    } else {
        $announcement['user'] = null;
        $announcementAll = $announcementObj->getAnnouncmentList('%', 'N', $annNumber, 1, 'created_date', 'DESC', false, '', null, $announcement['email']);
        $announcementCount = $announcementObj->getAnnouncmentListCount('%', '', false, null, $announcement['email']);
        $announcementCountActive = $announcementObj->getAnnouncmentListCount('%', '', true, null, $announcement['email']);
    }
    $catObj = new announcmentCategory();
    $categoryObj = $catObj;
    $announcement ['categoryName'] = $catObj->getCategoryName($announcement['catId']);
    $announcement['photos'] = $announcementObj->getPhotos($idrek);
    $announcement['url'] = $announcementObj->getUrl($idrek);
    $category = $categoryObj->getCategory($announcement['catId']);

    $form = array();
    $form['created_date'] = $announcement['created_date'];
    $form['created_by_id'] = $announcement['created_by'];
    $form['created_by_name'] = $announcement['user']['nick'];
    $form['modifited_date'] = $announcement['modifited_date'];
    $form['modifited_by_id'] = $announcement['modifited_by'];
    $form['modifited_by_name'] = $userMod['nick'];


    if (isset($_POST['goAccept']) or isset($_POST['goSave'])) {
        $testForm = true;

        if (strlen($_POST['title']) < 10) {
            array_push($bug, 'Tytuł powinien mieć co najmniej 10 znaków.');
            $testForm = false;
        }
        if (strlen($_POST['title']) > 254) {
            array_push($bug, 'Tytuł nie powinien być dłuższy niż 254 znaki.');
            $testForm = false;
        }

        for ($i = 0; $i < count($category['fields']); $i++) {

            if ((strlen($_POST['form' . $category['fields'][$i]['idrek']]) > $category['fields'][$i]['maxlength']) and ( $category['fields'][$i]['type'] == 'txt')) {
                array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' nie może być dłuższe niż ' . $category['fields'][$i]['maxlength'] . ' znaków.');
                $testForm = false;
            }

            if ((strlen($_POST['form' . $category['fields'][$i]['idrek']]) > $category['fields'][$i]['maxlength']) and ( $category['fields'][$i]['type'] == 'textarea')) {
                array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' nie może być dłuższe niż ' . $category['fields'][$i]['maxlength'] . ' znaków.');
                $testForm = false;
            }

            if ((strlen($_POST['form' . $category['fields'][$i]['idrek']]) < $category['fields'][$i]['minlength']) and ( $category['fields'][$i]['type'] == 'textarea') and $category['fields'][$i]['must'] == "N") {
                array_push($bug, 'Minimalna długość pola ' . $category['fields'][$i]['show_name'] . ' to ' . $category['fields'][$i]['minlength'] . ' znaków.');
                $testForm = false;
            }


//dla pól wymaganych
            if ($category['fields'][$i]['must'] == 'Y') {
                if ($category['fields'][$i]['type'] == 'txt') {
                    if (strlen($_POST['form' . $category['fields'][$i]['idrek']]) < 1) {
                        array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' jest wymagane.');
                        $testForm = false;
                    }
                } else if ($category['fields'][$i]['type'] == 'textarea') {
                    if (strlen($_POST['form' . $category['fields'][$i]['idrek']]) < $category['fields'][$i]['maxlength']) {
                        if (strlen($_POST['form' . $category['fields'][$i]['idrek']]) < 1) {
                            array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' jest wymagane.');
                            $testForm = false;
                        }
                    }
                } else if ($category['fields'][$i]['type'] == 'multiselect') {
                    if (count($_POST['form' . $category['fields'][$i]['idrek']]) < 1) {
                        array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' jest wymagane.');
                        $testForm = false;
                    }
                }
            }
        }


//sprawdzanie dodatkowych pół
        for ($i = 0; $i < count($category['fields']); $i++) {

            if ((strlen($_POST['form' . $category['fields'][$i]['idrek']]) > $category['fields'][$i]['maxlength']) and ( $category['fields'][$i]['type'] == 'txt')) {
                array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' nie może być dłuższe niż ' . $category['fields'][$i]['maxlength'] . ' znaków.');
                $testForm = false;
            }

            if ((strlen($_POST['form' . $category['fields'][$i]['idrek']]) > $category['fields'][$i]['maxlength']) and ( $category['fields'][$i]['type'] == 'textarea')) {
                array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' nie może być dłuższe niż ' . $category['fields'][$i]['maxlength'] . ' znaków.');
                $testForm = false;
            }

            if ((strlen($_POST['form' . $category['fields'][$i]['idrek']]) < $category['fields'][$i]['minlength']) and ( $category['fields'][$i]['type'] == 'textarea') and $category['fields'][$i]['must'] == "N") {
                array_push($bug, 'Minimalna długość pola ' . $category['fields'][$i]['show_name'] . ' to ' . $category['fields'][$i]['minlength'] . ' znaków.');
                $testForm = false;
            }


//dla pól wymaganych
            if ($category['fields'][$i]['must'] == 'Y') {
                if ($category['fields'][$i]['type'] == 'txt') {
                    if (strlen($_POST['form' . $category['fields'][$i]['idrek']]) < 1) {
                        array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' jest wymagane.');
                        $testForm = false;
                    }
                } else if ($category['fields'][$i]['type'] == 'textarea') {
                    if (strlen($_POST['form' . $category['fields'][$i]['idrek']]) < $category['fields'][$i]['maxlength']) {
                        if (strlen($_POST['form' . $category['fields'][$i]['idrek']]) < 1) {
                            array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' jest wymagane.');
                            $testForm = false;
                        }
                    }
                } else if ($category['fields'][$i]['type'] == 'multiselect') {
                    if (count($_POST['form' . $category['fields'][$i]['idrek']]) < 1) {
                        array_push($bug, 'Pole ' . $category['fields'][$i]['show_name'] . ' jest wymagane.');
                        $testForm = false;
                    }
                }
            }
        }
//sprawdzanie dodatkowych pól - KONIEC                


        if ($testForm == true) {
            $row_name = array();
            $row_value = array();
            array_push($row_name, 'status');
            array_push($row_value, 'ACCEPT');
            array_push($row_name, 'catId');
            array_push($row_value, $_POST['category_id']);
            array_push($row_name, 'endDate');
            array_push($row_value, mktime(23, 59, 59, date("m") + 1, date("d"), date("Y")));
            array_push($row_name, 'title');
            array_push($row_value, strip_tags($_POST['title']));
            array_push($row_name, 'telKom');
            array_push($row_value, strip_tags($_POST['telKom']));
            array_push($row_name, 'tel');
            array_push($row_value, strip_tags($_POST['tel']));
            array_push($row_name, 'street');
            array_push($row_value, strip_tags($_POST['street']));
            array_push($row_name, 'nrDomu');
            array_push($row_value, strip_tags($_POST['nrDomu']));
            array_push($row_name, 'nrMieszkania');
            array_push($row_value, strip_tags($_POST['nrMieszkania']));
            array_push($row_name, 'city');
            array_push($row_value, strip_tags($_POST['city']));
            array_push($row_name, 'zipCode');
            array_push($row_value, strip_tags($_POST['zipCode']));
            array_push($row_name, 'modifited_by');
            array_push($row_value, Config::read('user.id'));
            array_push($row_name, 'modifited_date');
            array_push($row_value, time());

            $tabela = Config::read('db.prefix') . 'announcement';
            update_sql($tabela, $row_name, $row_value, '`idrek` = \'' . $idrek . '\'');

            //zapisywanie wyników dodatkowe pola
            for ($i = 0; $i < count($category['fields']); $i++) {
                // echo 'pola';
                if ($category['fields'][$i]['type'] == 'txt') {
                    //echo 'pole tekstowe';
                    $tabela = Config::read('db.prefix') . 'announcement_fields_txt_val';
                    $row_name = array();
                    $row_value = array();

                    array_push($row_name, 'annId');
                    array_push($row_value, $idrek);
                    array_push($row_name, 'fieldId');
                    array_push($row_value, $category['fields'][$i]['idrek']);
                    array_push($row_name, 'value');
                    array_push($row_value, strip_tags($_POST['form' . $category['fields'][$i]['idrek']]));

                    $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `annId`='" . $idrek . "' and `fieldId`='" . $category['fields'][$i]['idrek'] . "';");
                    $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
                    if ($row['idrek'] > 0) {
                        update_sql($tabela, $row_name, $row_value, '`idrek`=\'' . $row['idrek'] . '\'');
                    } else {
                        insert_sql($tabela, $row_name, $row_value);
                    }
                } else if ($category['fields'][$i]['type'] == 'textarea') {
                    $tabela = Config::read('db.prefix') . 'announcement_fields_textarea_val';
                    $row_name = array();
                    $row_value = array();

                    array_push($row_name, 'annId');
                    array_push($row_value, $idrek);
                    array_push($row_name, 'fieldId');
                    array_push($row_value, $category['fields'][$i]['idrek']);
                    array_push($row_name, 'value');
                    array_push($row_value, strip_tags($_POST['form' . $category['fields'][$i]['idrek']]));
                    $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `annId`='" . $idrek . "' and `fieldId`='" . $category['fields'][$i]['idrek'] . "';");
                    $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
                    if ($row['idrek'] > 0) {
                        update_sql($tabela, $row_name, $row_value, '`idrek`=\'' . $row['idrek'] . '\'');
                    } else {
                        insert_sql($tabela, $row_name, $row_value);
                    }
                } else if ($category['fields'][$i]['type'] == 'multiselect') {

                    $tabela = Config::read('db.prefix') . 'announcement_fields_multi_val';
                    $query = "DELETE from $tabela WHERE `annId` = '" . $idrek . "' AND   `fieldId`='" . $category['fields'][$i]['idrek'] . "';";
                    $wynik = mysqli_query($dbc, $query);

                    for ($iSel = 0; $iSel < count($_POST['form' . $category['fields'][$i]['idrek']]); $iSel++) {
                        for ($iMulti = 0; $iMulti < count($category['fields'][$i]['option']); $iMulti++) {
                            if ($category['fields'][$i]['option'][$iMulti]['value'] == $_POST['form' . $category['fields'][$i]['idrek']][$iSel]) {

                                $row_name = array();
                                $row_value = array();
                                array_push($row_name, 'annId');
                                array_push($row_value, $idrek);
                                array_push($row_name, 'fieldId');
                                array_push($row_value, $category['fields'][$i]['idrek']);
                                array_push($row_name, 'optionId');
                                array_push($row_value, $category['fields'][$i]['option'][$iMulti]['id']);
                                insert_sql($tabela, $row_name, $row_value);
                            }
                        }
                    }
                }
            }


            if ($announcement['created_by'] > 0) {  //jeśli użytkownik zalogowany
                $userId = $announcement['created_by'];
                $tabela_user = Config::read('db.prefix') . 'users';
                $wynik_user = mysqli_query($dbc, "SELECT `idrek`,`nick`, `mail`, `name`, `surname`, `sex`, `show_only_login` FROM $tabela_user WHERE `idrek`='" . $userId . "';");
                $row_user = mysqli_fetch_array($wynik_user, MYSQLI_BOTH);


                add_point(15, $userId);

                $user_from = $row_user;
                if ($row_user['show_only_login'] == "Y")
                    $user_send_name = $row_user['nick'];
                else
                    $user_send_name = $row_user['name'] . ' ' . $row_user['surname'];

                if ($row_user['sex'] == "M")
                    $add_name = 'Dodał';
                else
                    $add_name = 'Dodała';


                $content = $add_name . ' ogłoszenie: ' . limit(addslashes($_POST['title']), 50) . '...';
                if (isset($_POST['photo']) and $_POST['photo'][0] > 0)
                    $photo_id = $_POST['photo'][0];
                else
                    $photo_id = 0;


                if (isset($_POST['goAccept'])) {
                    //what_new($userId, $content, $photo_id, $announcement['url']);
                    //info na tablicy		
                    $content_wall = '<a href="' . $announcement['url'] . '">';
                    if ($row_user['sex'] == "M")
                        $content_wall.='Dodał';
                    else
                        $content_wall.='Dodała';
                    $content_wall.=' ogłoszenie: ' . limit(addslashes($_POST['title']), 50) . '...';

                    if (strlen(addslashes($_POST['title'])) > 10)
                        $content_wall.='...';

                    $content_wall.='</a>';
                    add_note_on_wall($userId, $content_wall, 0, 0, $announcement['url']);

                    if ($row_user['show_only_login'] == "Y")
                        $nick_msg = $row_user['nick'];
                    else
                        $nick_msg = $row_user['name'] . ' ' . $row_user['surname'];

                    $content_send = "Witaj,\n\r";
                    if ($row_user['sex'] == 'M') {
                        $title_send = 'Twój znajomy właśnie dodał ogłoszenie w serwisie ' . CMS_SITENAME . '.';
                        $content_send.="$nick_msg własnie dodał ogłoszenie w serwisie " . CMS_SITENAME . ".";
                    } else {
                        $title_send = 'Twoja znajoma właśnie dodała ogłoszenie w serwisie ' . CMS_SITENAME . '.';
                        $content_send.="$nick_msg własnie dodała ogłoszenie w serwisie " . CMS_SITENAME . ".";
                    }
                    $content_send.="\n\r
						Znajdziesz je pod adresem <a href=\"" . $announcement['url'] . "\" target=\"_blank\">" . $announcement['url'] . "</a> .
						\n\r\n\rpozdrawiamy
						Web-Rynek.pl					
					";
                    //tell_frends($userId, $title_send, $content_send, 16);
                    //info na tablicy - koniec	

                    $title = "Twoje ogłoszenie zostało opublikowane - Web-Rynek.pl";
                    $content_send = "Witaj,<br /><br />";
                    $content_send.="Twoje ogłoszenie <strong>\"" . $_POST['title'] . "\"</strong> zostało opublikowane w serwisie
                            Znajdziesz je pod adresem <a href=\"" . $announcement['url'] . "\" target=\"_blank\">" . $announcement['url'] . "</a> .
                            <br /><br />    
                            pozdrawiamy<br />
                            Zespół Web-Rynek.pl
                            ";
                    $smarty->assign("content", $content_send);
                    $content_mail = $smarty->fetch(Config::read('system.frontTemplate') . '/' . Config::read('system.emailTemplate') . '.tpl.html');

                    send_mail($row_user['mail'], CMS_EMAIL_NAME, CMS_EMAIL, $title, $content_mail);
                }
            } else {
                if (isset($_POST['goAccept'])) {
                    $title = "Twoje ogłoszenie zostało opublikowane - Web-Rynek.pl";
                    $content_send = "Witaj,<br /><br />";
                    $content_send.="Twoje ogłoszenie <strong>\"" . $_POST['title'] . "\"</strong> zostało opublikowane w serwisie
                            Znajdziesz je pod adresem <a href=\"" . $announcement['url'] . "\" target=\"_blank\">" . $announcement['url'] . "</a> .                                
                            <br /><br /> 
                            pozdrawiamy<br />
                            Zespół Web-Rynek.pl
                            ";

                    $content_mail = $smarty->fetch(Config::read('system.frontTemplate') . '/' . Config::read('system.emailTemplate') . '.tpl.html');
                    send_mail($announcement['email'], CMS_EMAIL_NAME, CMS_EMAIL, $title, $content_mail);
                }
            }


            $show_form = false;
        }
    }


    if (isset($_POST['goFormEdit'])) {
        $userId = $announcement['created_by'];
        $tabela = Config::read('db.prefix') . 'announcement_reason';
        $row_name = array();
        $row_value = array();
        array_push($row_name, 'idAnnoucment');
        array_push($row_value, $idrek);
        array_push($row_name, 'text');
        array_push($row_value, $_POST['showEditResons']);
        array_push($row_name, 'created_by');
        array_push($row_value, Config::read('user.id'));
        array_push($row_name, 'created_date');
        array_push($row_value, time());
        insert_sql($tabela, $row_name, $row_value);

        $row_name = array();
        $row_value = array();
        array_push($row_name, 'status');
        array_push($row_value, 'TOEDIT');
        array_push($row_name, 'modifited_by');
        array_push($row_value, Config::read('user.id'));
        array_push($row_name, 'modifited_date');
        array_push($row_value, time());

        $tabela = Config::read('db.prefix') . 'announcement';
        update_sql($tabela, $row_name, $row_value, '`idrek` = \'' . $idrek . '\'');


        if ($announcement['created_by'] > 0) {
            $title = "Twoje ogłoszenie zostało zwrócone do poprawienia";
            $content_send = "Witaj,<br /><br />";
            $content_send.="Twoje ogłoszenie " . $announcement['title'] . " zostało zwrócone do poprawienia<br />
                            Powód:<br />
                            " . addslashes($_POST['showEditResons']) . "
                            <br /><br />
                            Ogłoszenie możesz poprawić po zalogowaniu się do panelu. <br /><br />
                            pozdrawiamy<br />
                            Zespół Web-Rynek.pl
                            ";
            $smarty->assign("content", $content_send);
            $content_mail = $smarty->fetch(Config::read('system.frontTemplate') . '/' . Config::read('system.emailTemplate') . '.tpl.html');

            send_mail($row_user['mail'], CMS_EMAIL_NAME, CMS_EMAIL, $title, $content_mail);
        } else {
            $title = "Twoje ogłoszenie zostało zwrócone do poprawienia";
            $content_send = "Witaj,<br /><br />";
            $content_send.="Twoje ogłoszenie " . $announcement['title'] . " zostało zwrócone do poprawienia.<br />
                            Powód:<br />
                            " . addslashes($_POST['showEditResons']) . "
                            <br /><br />
                            Ogłoszenie możesz poprawić klikając  w link: <br />";
            $content_send.='<a href="https://' . Config::read('site.domain') . '/ogloszenia/edycja-ogloszenia/h,' . $announcement['hash'] . '.html">https://' . Config::read('site.domain') . '/ogloszenia/edycja-ogloszenia/h,' . $hash . '.html</a><br /><br />
                            pozdrawiamy<br />
                            Zespół Web-Rynek.pl
                            ';

            $content_mail = $smarty->fetch(Config::read('system.frontTemplate') . '/' . Config::read('system.emailTemplate') . '.tpl.html');
            send_mail($announcement['email'], CMS_EMAIL_NAME, CMS_EMAIL, $title, $content_mail);
        }

        $show_form = false;
    }

    $announcementObj = new Announcement();
    $announcement = $announcementObj->getAnnoucement($idrek);
    $userObj = new User();
    $announcement['user'] = $userObj->getUserById($announcement['created_by']);
    $userMod = $userObj->getUserById($announcement['modifited_by']);
    $catObj = new announcmentCategory();
    $announcement ['categoryName'] = $catObj->getCategoryName($announcement['catId']);
    $announcement['photos'] = $announcementObj->getPhotos($idrek);

    $form = array();
    $form['created_date'] = $announcement['created_date'];
    $form['created_by_id'] = $announcement['created_by'];
    $form['created_by_name'] = $announcement['user']['nick'];
    $form['modifited_date'] = $announcement['modifited_date'];
    $form['modifited_by_id'] = $announcement['modifited_by'];
    $form['modifited_by_name'] = $userMod['nick'];
}



if ($show_form == true) {
    $smarty->registerObject('cms_photo', $img_obj);
    $smarty->assign("form", $form);
    $smarty->assign("announcement", $announcement);
    $smarty->assign("announcementAll", $announcementAll);
    $smarty->assign("announcementCount", $announcementCount);
    $smarty->assign("announcementCountActive", $announcementCountActive);

    $content = $smarty->fetch('admin/html/announcement/announcementEdit.tpl');
} else {
    //$smarty->assign("backto", '?pages=announcement&what=' . $idgroup);
    $smarty->assign("backto", '?pages=announcement');
    $content = $smarty->fetch('admin/html/save.tpl.html');
}        