<?php

require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'announcement/class/Announcement.php';
if (isset($_GET['what'])) {
    #Główka
    array_push($insert_tmp['path_name'], "Ogłoszenia - Kategorie");
    array_push($insert_tmp['path_adres'], "?pages=announcementCategory");
    array_push($insert_tmp['path_name'], "Pola");
    array_push($insert_tmp['path_adres'], "?pages=announcementFields&what=" . $_GET['what']);
    array_push($insert_tmp['path_name'], "Dodawanie pola");
    array_push($insert_tmp['path_adres'], "?pages=announcementFieldsAdd&what=" . $_GET['what']);

    $insert_tmp['title'] = 'Dodawanie pola';
    
    
    
    #główka - KONIEC    

    $show_form = true;

    if (isset($_POST['go_form'])) {
        $tabela = Config::read('db.prefix') . 'announcement_fields';

        $test_save = true;
        if (strlen($_POST['show_name']) < 2) {
            array_push($bug, "Nazwa powinna mieć przynajmniej dwa znaki.");
            $test_save = false;
        }

        //walidacja dla pola tekstowego
        if ($_POST['type'] == 'txt') {
            $tabela2 = Config::read('db.prefix') . 'announcement_fields_txt';
            if ($_POST['maxlength'] < 0 or $_POST['maxlength'] > 254 or ! is_numeric($_POST['maxlength'])) {
                array_push($bug, "Maksymalna długość nie może być mniejsza niż 0 i nie większa niż 254.");
                $test_save = false;
            }
        } else if ($_POST['type'] == 'multiselect') {
            //walidacja dla multi wyboru
            if (count($_POST['hide_value']) < 1 or count($_POST['hide_name']) < 1) {
                array_push($bug, "Nie podano żadnego elementu.");
                $test_save = false;
            }
        } else if ($_POST['type'] == 'textarea') {
            //walidacja dla textarea

            if (!is_numeric($_POST['minlength'])) {
                array_push($bug, "Minimalna długość nie jest liczbą.");
                $test_save = false;
            }
            if (!is_numeric($_POST['maxlength'])) {
                array_push($bug, "Maksymalna długość nie jest liczbą.");
                $test_save = false;
            }
        }


        if ($test_save == true) {
            if (!is_numeric($_POST['waga'])) {
                $wynik = mysqli_query($dbc, "SELECT idrek`,`waga` FROM $tabela WHERE `structureid`=" . $_GET['what'] . " ORDER BY `waga` DESC;");
                $row = mysqli_fetch_array($wynik, MYSQLI_NUM);
                if ($row[0] > 0)
                    $waga = $row[1] + 10;
                else
                    $waga = 0;
            }else {
                $waga = $_POST['waga'];
            }

            if (isset($_POST['must']) AND $_POST['must'] = '1')
                $must = 'Y';
            else
                $must = 'N';

            $row_name = array();
            $row_value = array();
            array_push($row_name, 'show_name');
            array_push($row_value, $_POST['show_name']);
            array_push($row_name, 'structureid');
            array_push($row_value, $_GET['what']);
            array_push($row_name, 'waga');
            array_push($row_value, $waga);
            array_push($row_name, 'type');
            array_push($row_value, $_GET['type']);
            array_push($row_name, 'help');
            array_push($row_value, $_POST['help']);
            array_push($row_name, 'must');
            array_push($row_value, $must);
            array_push($row_name, 'typeId');
            array_push($row_value, $_POST['typeId']);
            array_push($row_name, 'created_by');
            array_push($row_value, Config::read('user.id'));
            array_push($row_name, 'created_date');
            array_push($row_value, time());
            insert_sql($tabela, $row_name, $row_value);

            $myId = mysqli_insert_id($dbc);


            if ($_POST['type'] == 'txt') {

                $row_name = array();
                $row_value = array();
                array_push($row_name, 'idrek');
                array_push($row_value, $myId);
                array_push($row_name, 'maxlength');
                array_push($row_value, $_POST['maxlength']);
                insert_sql($tabela2, $row_name, $row_value);
            } elseif ($_POST['type'] == 'multiselect') {
                $tabela = Config::read('db.prefix') . 'announcement_fields_multi';
                $weight = 0;
                for ($i = 0; $i < count($_POST['hide_name']); $i++) {
                    $row_name = array();
                    $row_value = array();
                    array_push($row_name, 'field_id');
                    array_push($row_value, $myId);
                    array_push($row_name, 'name');
                    array_push($row_value, $_POST['hide_name'][$i]);
                    array_push($row_name, 'value');
                    array_push($row_value, $_POST['hide_value'][$i]);
                    array_push($row_name, 'weight');
                    array_push($row_value, $weight);
                    insert_sql($tabela, $row_name, $row_value);
                    $weight++;
                }


                $tabela = Config::read('db.prefix') . 'announcement_fields_multi_setting';
                $row_name = array();
                $row_value = array();
                array_push($row_name, 'field_id');
                array_push($row_value, $myId);
                array_push($row_name, 'multichoice');
                array_push($row_value, $_POST['multichoice']);
                insert_sql($tabela, $row_name, $row_value);
            } elseif ($_POST['type'] == 'textarea') {
                $tabela = Config::read('db.prefix') . 'announcement_fields_textarea';
                $row_name = array();
                $row_value = array();
                array_push($row_name, 'idrek');
                array_push($row_value, $myId);
                array_push($row_name, 'minlength');
                array_push($row_value, $_POST['minlength']);
                array_push($row_name, 'maxlength');
                array_push($row_value, $_POST['maxlength']);
                array_push($row_name, 'bbcode');
                array_push($row_value, $_POST['bbcode']);                
                insert_sql($tabela, $row_name, $row_value);
            }

            $show_form = false;
        }
    }

    if ($show_form == true) {
        switch ($_GET['type']) {
            case 'txt':
                $formTemp = 'text';
                break;
            case 'multiselect':
                $formTemp = 'multiSelect';
                break;
            case 'textarea':
                $formTemp = 'textarea';
                break;
        }



        if (isset($_GET['type']) AND $_GET['type'] != '0') {
            $filedsForm = $smarty->fetch(Config::read('system.dir') . ADMIN_TEMPLATES . 'announcement/fieldsAdd/' . $formTemp . '.tpl');
            $smarty->assign("filedsForm", $filedsForm);
        }

        $annoucmentObj = new Announcement();
        $annoucmentType = $annoucmentObj->getAnnoucmentType();


        $smarty->assign("annoucmentType", $annoucmentType);
        $content = $smarty->fetch('admin/html/announcement/announcementFieldsAdd.tpl');
    } else {
        $smarty->assign("backto", '?pages=announcementFields&what=' . $_GET['what']);
        $content = $smarty->fetch('admin/html/save.tpl.html');
    }
}