<?php

include_once Config::read('system.classDir') . 'link.php';

#Główka
array_push($insert_tmp['path_name'], "Kontent");
array_push($insert_tmp['path_adres'], "?pages=content");
array_push($insert_tmp['path_name'], "Artykuły");
array_push($insert_tmp['path_adres'], "?pages=content_articles&what=" . $_GET['what']);
array_push($insert_tmp['path_name'], "Dodawanie Artykułu");
array_push($insert_tmp['path_adres'], "?pages=adress_base_fields_add&what=" . $_GET['what']);

$insert_tmp['title'] = 'Dodawanie Artykułu';

#główka - KONIEC

$child = 0;
$array_child[0] = 0;

function getParentFullIndex($what) {
    global $dbc;
    global $fullindex;
    $tabela = Config::read('db.prefix') . 'content_structure';
    $wynik = mysqli_query($dbc, "SELECT `idrek`, `parentid` FROM $tabela WHERE `idrek`='" . $what . "';");
    $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
    if ($row['parentid'] > 0) {
        $fullindex.='|' . $row['parentid'];
        getParentFullIndex($row['parentid']);
    }
}

$show_form = true;

function get_parent_structure($what) {
    global $dbc;
    $tabela = Config::read('db.prefix') . 'content_structure';
    global $licznik, $structure, $code, $array_js, $array_child;
    $code++;
    $wynik = mysqli_query($dbc, "SELECT `idrek`,`title`,`description`,`created_by`,`created_date`,`modifited_by`,`modifited_date` FROM $tabela WHERE `parentid`='$what' ORDER BY `waga`;");
    while ($rekord = mysqli_fetch_array($wynik)) {
        $structure[$licznik]['idrek'] = $rekord['idrek'];
        $structure[$licznik]['title'] = $rekord['title'];

        $child = 0;
        $parent_id = $rekord['idrek'];
        while ($parent_id != 0) {
            $tabela_child = Config::read('db.prefix') . 'content_structure';
            $wynik_child = mysqli_query($dbc, "SELECT `parentid` FROM $tabela_child WHERE `idrek`='$parent_id';");
            $row_child = mysqli_fetch_array($wynik_child, MYSQLI_NUM);
            $parent_id = $row_child[0];
            $child++;
        }
        $child = $child - 1;
        $structure[$licznik]['child'] = $child;

        $licznik++;
        get_parent_structure($rekord['idrek']);
    }
}

if ($_POST['go_form']) {
    $test_save = true;
    if (strlen($_POST['name']) < 2) {
        array_push($bug, "Tytuł powinna mieć przynajmniej dwa znaki.");
        $test_save = false;
    }

    if (count($_POST['check_cat']) < 1) {
        array_push($bug, "Nie wybrano żadnej kategorii.");
        $test_save = false;
    }


    if ($test_save == true) {

        #data start - jeżeli brak to aktualna
        if ($_POST['start_date'] != '') {
            $tmp = explode("-", $_POST['start_date']);
            $start_day = $tmp[0];
            $start_month = $tmp[1];
            $start_year = $tmp[2];
            if ($_POST['start_hour_g'] != '')
                $start_hour = $_POST['start_hour_g'];
            else
                $start_hour = 0;
            if ($_POST['start_hour_m'] != '')
                $start_minute = $_POST['start_hour_m'];
            else
                $start_minute = 0;
            $start_time = mktime($start_hour, $start_minute, 0, $start_month, $start_day, $start_year);
        }else {
            $start_time = time();
        }

        #data koniec - jeżeli brak to null
        if ($_POST['end_date'] != '') {
            $tmp = explode("-", $_POST['end_date']);
            $end_day = $tmp[0];
            $end_month = $tmp[1];
            $end_year = $tmp[2];
            if ($_POST['end_hour_g'] != '')
                $end_hour = $_POST['end_hour_g'];
            else
                $end_hour = 23;
            if ($_POST['end_hour_m'] != '')
                $end_minute = $_POST['end_hour_m'];
            else
                $end_minute = 59;
            $end_time = mktime($end_hour, $end_minute, 0, $end_month, $end_day, $end_year);
        }else {
            $end_time = NULL;
        }


        if ($_POST['show_on_list'] == 1)
            $show_on_list = 'Y';
        else
            $show_on_list = 'N';

        $linkObj = new link();

        if (strlen($_POST['seo_title']) > 5) {
            $permalink = $linkObj->createPermalink($_POST['seo_title']);
        } else {
            $permalink = $linkObj->createPermalink($_POST['name']);
        }

        $row_name = array();
        $row_value = array();
        array_push($row_name, 'permalink');
        array_push($row_value, $permalink);        
        array_push($row_name, 'title');
        array_push($row_value, $_POST['name']);
        array_push($row_name, 'lead');
        array_push($row_value, $_POST['lead']);
        array_push($row_name, 'content');
        array_push($row_value, $_POST['content']);
        array_push($row_name, 'photoid');
        array_push($row_value, $_POST['id_zdj']);
        array_push($row_name, 'status');
        array_push($row_value, $_POST['status']);
        array_push($row_name, 'show_start');
        array_push($row_value, $start_time);
        array_push($row_name, 'show_end');
        array_push($row_value, $end_time);
        array_push($row_name, 'show_on_list');
        array_push($row_value, $show_on_list);
        array_push($row_name, 'seo_title');
        array_push($row_value, $_POST['seo_title']);
        array_push($row_name, 'seo_desc');
        array_push($row_value, $_POST['seo_desc']);
        array_push($row_name, 'isNews');
        array_push($row_value, $_POST['isNews']);
        array_push($row_name, 'created_by');
        array_push($row_value, Config::read('user.id'));
        array_push($row_name, 'created_date');
        array_push($row_value, time());
        $tabela = Config::read('db.prefix') . 'content_article';

        insert_sql($tabela, $row_name, $row_value);
        $element_id = mysqli_insert_id($dbc);

        $weight = 0;
        for ($i = 0; $i < count($_POST['check_cat']); $i++) {

            $fullindex = $_POST['check_cat'][$i];
            $tabela = Config::read('db.prefix') . 'content_structure';
            $wynik = mysqli_query($dbc, "SELECT `idrek`, `parentid` FROM $tabela WHERE `idrek`='" . $_POST['check_cat'][$i] . "';");
            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
            if ($row['parentid'] > 0) {
                $fullindex.='|' . $row['parentid'];
                getParentFullIndex($row['parentid']);
            }


            $row_name = array();
            $row_value = array();
            array_push($row_name, 'categoryid');
            array_push($row_value, $_POST['check_cat'][$i]);
            array_push($row_name, 'articleid');
            array_push($row_value, $element_id);
            array_push($row_name, 'weight');
            array_push($row_value, $weight);
            array_push($row_name, 'fullindex');
            array_push($row_value, $fullindex);

            $tabela = Config::read('db.prefix') . 'content_ties';
            insert_sql($tabela, $row_name, $row_value);
            $weight = $weight + 10;
        }

        if (isset($_POST['gal_id'])) {
            $weight = 0;
            for ($i = 0; $i < count($_POST['gal_id']); $i++) {
                $row_name = array();
                $row_value = array();
                array_push($row_name, 'idart');
                array_push($row_value, $element_id);
                array_push($row_name, 'idphoto');
                array_push($row_value, $_POST['gal_id'][$i]);
                array_push($row_name, 'weight');
                array_push($row_value, $weight);
                $weight = $weight + 10;
                $tabela = Config::read('db.prefix') . 'content_gal';
                insert_sql($tabela, $row_name, $row_value);
            }
        }

        $show_form = false;
    }
}


if ($show_form == true) {
    $what = $_GET['what'];


    if (isset($_POST['gal_id'])) {
        $licznik = 0;
        for ($i = 0; $i < count($_POST['gal_id']); $i++) {
            $gal_con[$licznik]['gal_id'] = $_POST['gal_id'][$i];
            $gal_con[$licznik]['gal_photo'] = $_POST['gal_photo'][$i];
            $gal_con[$licznik]['gal_title'] = $_POST['gal_title'][$i];
            $licznik++;
        }

        $smarty->assign("gal_con", $gal_con);
    }


    $tabela = Config::read('db.prefix') . 'content_structure';
    $licznik = 0;
    $wynik = mysqli_query($dbc, "SELECT `idrek`,`title` FROM $tabela WHERE `parentid`='0' ORDER BY `waga`;");
    while ($rekord = mysqli_fetch_array($wynik)) {
        $code = 0;
        $child = 0;
        $structure[$licznik]['idrek'] = $rekord['idrek'];
        $structure[$licznik]['title'] = $rekord['title'];
        $structure[$licznik]['child'] = 0;
        $licznik++;
        //echo mysqli_error($dbc);
        get_parent_structure($rekord[0]);
    }


    $tabela = Config::read('db.prefix') . 'content_structure';
    $wynik = mysqli_query($dbc, "SELECT `idrek`,`title` FROM $tabela WHERE `idrek`='$what';");
    $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
    $category = $row;

    $smarty->assign("structure", $structure);
    $smarty->assign("category", $category);
    $content = $smarty->fetch('admin/html/content/articles_add.tpl.html');
} else {
    $smarty->assign("backto", '?pages=content_articles&what=' . $_GET['what']);
    $content = $smarty->fetch('admin/html/save.tpl.html');
}