
var matched, browser;

if (typeof multiScelListName === 'undefined') {
    var multiScelListName = new Array();
    var multiScelListValue = new Array();
    var multiScelListId = new Array();
}

jQuery.uaMatch = function (ua) {
    ua = ua.toLowerCase();
    var match = /(chrome)[ \/]([\w.]+)/.exec(ua) ||
            /(webkit)[ \/]([\w.]+)/.exec(ua) ||
            /(opera)(?:.*version|)[ \/]([\w.]+)/.exec(ua) ||
            /(msie) ([\w.]+)/.exec(ua) ||
            ua.indexOf("compatible") < 0 && /(mozilla)(?:.*? rv:([\w.]+)|)/.exec(ua) ||
            [];
    return {
        browser: match[ 1 ] || "",
        version: match[ 2 ] || "0"
    };
};


$.extend({
    getUrlVars: function () {
        var vars = [], hash;
        var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
        for (var i = 0; i < hashes.length; i++)
        {
            hash = hashes[i].split('=');
            vars.push(hash[0]);
            vars[hash[0]] = hash[1];
        }
        return vars;
    },
    getUrlVar: function (name) {
        return $.getUrlVars()[name];
    }
});


matched = jQuery.uaMatch(navigator.userAgent);
browser = {};
if (matched.browser) {
    browser[ matched.browser ] = true;
    browser.version = matched.version;
}

// Chrome is Webkit, but Webkit is also Safari.
if (browser.chrome) {
    browser.webkit = true;
} else if (browser.webkit) {
    browser.safari = true;
}

jQuery.browser = browser;
$(document).ready(function () {
    $(".content").animate({
        opacity: 0.96
    }, 1000);
    $("#profil_window").animate({
        opacity: 0.96
    }, 1000);
    setTimeout('$("#bug").hide("slow")', 5000);
    //opcje dla ukrywania diva w setting - aktywny serwis  
    $("#site_active_no").click(function () {
        $("#nonactive_info_div").show("slow");
    });
    $("#site_active_yes").click(function () {
        $("#nonactive_info_div").hide("slow");
    });
    $(".icon_info").tooltip({
        effect: 'slide',
        offset: [20, 0]
    });
    /*
     $('.checkAll').on('click', 'checked', function () {
     $('.check_del').attr('checked', $(this).is(':checked') ? 'checked' : '');
     $(this).next().text($(this).is(':checked') ? 'Uncheck All' : 'Check All');
     });
     */

    $(".checkAll").change(function () {
        $('.check_del').prop('checked', $(this).prop("checked"));
    });
    $(".ukrywajka").each(function () {

        if ($(this).attr('id')) {
            var elemId = $(this).attr('id');
            $(this).find(".ukrywjka_header").click(function () {
                if ($(this).parent().find(".extraForm").css("display") == 'block') {
                    $(this).parent().find(".showExtraForm_hide").hide();
                    $(this).parent().find(".extraForm").hide("slow");
                    $(this).parent().find(".showExtraForm_show").show();
                    $.cookie('extraForm' + elemId, 'false');
                    // console.log($(this).parent().attr('id'));
                } else {
                    $(this).parent().find(".showExtraForm_show").hide();
                    $(this).parent().find(".extraForm").show("slow");
                    $(this).parent().find(".showExtraForm_hide").show();
                    $.cookie('extraForm' + elemId, 'true');
                    //console.log($(this).parent().attr('id'));
                }
            });
            if ($.cookie('extraForm' + elemId) == 'true') {
                $(this).find(".showExtraForm_show").hide();
                $(this).find(".extraForm").show("slow");
                $(this).find(".showExtraForm_hide").show();
            }
            if ($.cookie('extraForm' + elemId) == 'false') {
                $(this).find(".showExtraForm_hide").hide();
                $(this).find(".extraForm").hide("slow");
                $(this).find(".showExtraForm_show").show();
            }

        }
    });
    $(".seo_desc").keyup(function () {
        var znakow = 0;
        znakow = $(this).val().length;
        $(this).next(".seoDescLimit").html('Znaków: ' + znakow);
    });
    $(".seo_desc").each(function () {
        var znakow = 0;
        znakow = $(this).val().length;
        $(this).next(".seoDescLimit").html('Znaków: ' + znakow);
    });
    $(".seo_title").keyup(function () {
        var znakow = 0;
        znakow = $(this).val().length;
        $(this).next(".seoTitleLimit").html('Znaków: ' + znakow);
    });
    $(".seo_title").each(function () {
        var znakow = 0;
        znakow = $(this).val().length;
        $(this).next(".seoTitleLimit").html('Znaków: ' + znakow);
    });
    if ($.cookie('bgRand')) {
        var bgRand = $.cookie('bgRand');
    } else {
        var bgRand = Math.floor((Math.random() * 10) + 1);
        $.cookie('bgRand', bgRand, {expires: 1});
    }

    $('body').css("background-image", "url(" + cmsVars['DirImg'] + "background/bg" + bgRand + ".jpg");
    $("#treetable1").treetable({expandable: true});
    if (cmsVars['wysiwyg'] == 1) {
        tinymce.init({
            selector: 'textarea#article',
            plugins: 'code,spellchecker,link',
            toolbar: ['bold,italic,underline,strikethrough,alignleft,aligncenter,alignright,alignjustify,link',
                'styleselect,formatselect,fontselect,fontsizeselect,bullist,numlist,outdent,indent,blockquote,undo,redo,removeformat,subscript,superscript,code'],
            browser_spellcheck: true,
            language: 'pl',
        });
    }

    $("#announcmentType").change(function () {
        window.location.href = 'adminindex.php?pages=announcementFieldsAdd&what=' + $.getUrlVar('what') + '&type=' + $(this).val();
    });



    $("#add_multi").click(function () {

        var textForm = true;
        if ($("#name_multi").val().length == 0) {
            textForm = false;
        }

        if ($("#value_multi").val().length == 0) {
            textForm = false;
        }

        if (textForm == false) {
            showBug('Nie wszystkie pola zostały wypełnione!', 'Sprawdź czy zarówno nazwa jak i wartość pola zostały wypełnione.');
        } else {
            multiScelListName.push($("#name_multi").val());
            multiScelListValue.push($("#value_multi").val());
            $("#name_multi").val('');
            $("#value_multi").val('');
            $("#mselElemInf").hide();
            $("#mselElemLabel").show();
            multiSelectElem();
        }
    });

});



function multiSelectElem() {
    var contentTemp = '';
    for (var i = 0; i < multiScelListName.length; i++) {
        if (multiScelListName.length > 0) {
            contentTemp += '<input type="hidden" name="hide_id[]" value="' + multiScelListId[i] + '" />';
        }
        contentTemp += '<input type="hidden" name="hide_name[]" value="' + multiScelListName[i] + '" /><input type="hidden" name="hide_value[]" value="' + multiScelListValue[i] + '" /><div class="mselElems"><div class="mselElemL1">' + multiScelListName[i] + '</div><div class="mselElemL2">' + multiScelListValue[i] + '</div><div class="mselElemL3">';
        if (i > 0)
            contentTemp += '<p style="float: left; margin: 0;"><a href="javascript:void(0);" onclick="multiElemUp(' + i + ')"><img src="' + cmsVars['DirImg'] + '/icons/icon_up_16_16.png" border="0" alt="" /></a></p>';
        if (i + 1 < multiScelListName.length)
            contentTemp += '<p style="float: right; margin: 0;"><a href="javascript:void(0);" onclick="multiElemDown(' + i + ')"><img src="' + cmsVars['DirImg'] + '/icons/icon_down_16_16.png" border="0" alt="" /></a></p>';

        contentTemp += '</div><div class="mselElemL4"><a href="javascript:void(0)" onclick="multiElemDel(' + i + ')"><img src="' + cmsVars['DirImg'] + '/icons/cancel_16.png" alt="Usuń" /></a></div></div></div>';
    }
    $("#mselElemList").html(contentTemp);
    if (multiScelListName.length == 0) {
        $("#mselElemInf").show();
        $("#mselElemLabel").hide();
    } else {
        $("#mselElemInf").hide();
    }
}

function multiElemUp(what) {
    var upNameTemp1 = multiScelListName[what - 1];
    var upValueTemp1 = multiScelListValue[what - 1];
    if (multiScelListId.length > 0)
        var upIdTemp1 = multiScelListId[what - 1];
    var upNameTemp2 = multiScelListName[what];
    var upValueTemp2 = multiScelListValue[what];
    if (multiScelListId.length > 0)
        var upIdTemp2 = multiScelListId[what];

    multiScelListName[what - 1] = upNameTemp2;
    multiScelListValue[what - 1] = upValueTemp2;
    if (multiScelListId.length > 0)
        multiScelListId[what - 1] = upIdTemp2;
    multiScelListName[what] = upNameTemp1;
    multiScelListValue[what] = upValueTemp1;
    if (multiScelListId.length > 0)
        multiScelListId[what] = upIdTemp1;
    multiSelectElem();
}

function multiElemDown(what) {
    var downNameTemp1 = multiScelListName[what + 1];
    var downValueTemp1 = multiScelListValue[what + 1];
    if (multiScelListId.length > 0)
        var downIdTemp1 = multiScelListId[what + 1];

    var downNameTemp2 = multiScelListName[what];
    var downValueTemp2 = multiScelListValue[what];
    if (multiScelListId.length > 0)
        var downIdTemp2 = multiScelListId[what];

    multiScelListName[what + 1] = downNameTemp2;
    multiScelListValue[what + 1] = downValueTemp2;
    if (multiScelListId.length > 0)
        multiScelListId[what + 1] = downIdTemp2;

    multiScelListName[what] = downNameTemp1;
    multiScelListValue[what] = downValueTemp1;
    if (multiScelListId.length > 0)
        multiScelListId[what] = downIdTemp1;
    multiSelectElem();
}

function multiElemDel(what) {
    var multiScelListNameTemp = new Array();
    var multiScelListValueTemp = new Array();
    if (multiScelListId.length > 0)
        var multiScelListIdTemp = new Array();

    for (var i = 0; i < multiScelListName.length; i++) {
        if (i != what) {
            multiScelListNameTemp.push(multiScelListName[i]);
            multiScelListValueTemp.push(multiScelListValue[i]);
            if (multiScelListId.length > 0)
                multiScelListIdTemp.push(multiScelListId[i]);
        }
    }

    multiScelListName = multiScelListNameTemp;
    multiScelListValue = multiScelListValueTemp;
    if (multiScelListId.length > 0)
        multiScelIdValue = multiScelListIdTemp;
    multiSelectElem();
}



function change_me_status(what, value, placement, structure_id) {

    if (what == 'active') {
        var url = 'structure_change_active.php';
    } else if (what == 'parent_to') {
        var url = 'structure_change_parent_to.php';
    } else if (what == 'cache_on') {
        var url = 'structure_change_cache.php';
    }
    $.ajax({
        url: 'modules/ajax/' + url,
        type: 'get',
        contentType: "application/x-www-form-urlencoded",
        data: 'value=' + value + '&placement=' + placement + '&structure_id=' + structure_id,
        success: function (data, status) {
            if (value == 'no') {
                wartosc = 'NIE';
                var value_new = 'yes';
            } else {
                wartosc = "TAK";
                var value_new = 'no';
            }
            $('#' + placement + '_' + what).html(data);
        },
        error: function (xhr, desc, err) {
            console.log(xhr);
            console.log("Desc: " + desc + "\nErr:" + err);
            alert("Desc: " + desc + "\nErr:" + err);
        }
    });
}

function zaznacz_all() {
    if (document.getElementById('checkall').checked == true)
    {
        for (var i = 0; i < $("#check").length; i++)
            document.form_koment.check[i].checked = true;
    } else
    {
        for (var i = 0; i < document.form_koment.check.length; i++)
            document.form_koment.check[i].checked = false;
    }
}


function usun_all() {
    if (confirm('Czy na pewno chcesz usunac zaznaczone elementy?'))
    {
        document.form_koment.submit();
    }
}

function usun_this(wher, what) {
    if (confirm('Czy na pewno chcesz usunąć ten element?'))
    {
        window.location.href = '?pages=' + wher + "&what=" + what;
    }
}

function go_search() {
    if (document.search_form)
        document.search_form.submit();
}

function go_to(where) {
    window.location.href = where;
}

function wysiwyg_on_off() {
    var odp = confirm("Uwaga: Wszystkie niezapisane zmiany zostaną stracone. Czy napewno chcesz użyć tej opcji?");
    if (odp) {
        window.location = "?pages=wysiwyg_on_off";
    }
}

var width250304 = 900;
var height250304 = 600;
var ps3pmrs = 'scrollbars=yes, width=' + width250304 + ',height=' + height250304 + ',left=' + pos_x250304 + ',top=' + pos_y250304;
var pos_x250304 = (screen.availWidth / 2) - (width250304 / 2);
var pos_y250304 = (screen.availHeight / 2) - (height250304 / 2);

if (typeof open_popup != 'function') {
    function open_popup(pages, where, vars) {
        pp218719 = window.open(location.protocol + '//' + document.domain + '/adminindex.php?popup=true&pages=' + pages + '&where=' + where + '&vars=' + vars, 'pp' + pages, ps3pmrs);
    }
}

function submitSubForm() {
    parameters_iframe.document.iframe_form.submit();
}


function colorSelector(what) {
    $(".colorSelectorContener").remove();
    $(what).after('<div class="colorSelectorContener" id="' + what.id + '_contener"></div>');
    var position = getPosition(what);
    var div = document.createElement("div");
    div.className = "colorSelector";
    var content = '';
    for (var i = 0; i < colorArr.length; i++) {
        content += '<div style="background-color: #' + colorArr[i] + '" class="colorSelectorElement" onclick="colorSelectorAdd(\'' + what.id + '\', \'' + colorArr[i] + '\')"></div>';
    }
    div.innerHTML = content;
    $(".colorSelectorContener").append(div);
    // div.style.top = position.x + 'px';
    // div.style.left = position.y + 'px';


    //what.value  = Math.random();
}

function colorSelectorAdd(what, color) {
    $("#" + what).val(color);
    $("#" + what).parent().css("background-color", '#' + color);
    $("#" + what + "_contener").remove();
}

function getPosition(what) {
    var rect = $(what).position();
    return {x: rect.top, y: rect.left}
}

$(document).ready(function () {

    if (typeof aspectRatio2 === "undefined") {
        aspectRatio2 = "16/9";
    }
    $('#cropbox').Jcrop({
        onChange: showPreview,
        onSelect: showPreview,
        aspectRatio: aspectRatio2
    });
});
// Our simple event handler, called from onChange and onSelect
// event handlers, as per the Jcrop invocation above
function showPreview(coords)
{
    if (parseInt(coords.w) > 0)
    {
        var rx = croppWidth2 / coords.w;
        var ry = croppHeight2 / coords.h;

        var width_org = $('#cropbox').width();
        var height_org = $('#cropbox').height();
        $('#preview').css({
            width: Math.round(rx * width_org) + 'px',
            height: Math.round(ry * height_org) + 'px',
            marginLeft: '-' + Math.round(rx * coords.x) + 'px',
            marginTop: '-' + Math.round(ry * coords.y) + 'px'
        });
    }

    $('#x').val(coords.x);
    $('#y').val(coords.y);
    $('#x2').val(coords.x2);
    $('#y2').val(coords.y2);
}

function checkCoords()
{
    if (parseInt($('#x').val()))
        return true;
    alert('Proszę zaznaczyć obszar.');
    return false;
}