<?php
include_once('config.php');

class textPNG
{
	var $font = 'fonts/Nerwus.ttf'; //default font. directory relative to script directory.
	var $msg = "logo"; // default text to display.
	var $size = 30; // default font size.
	var $rot = 0; // rotation in degrees.
	var $pad = 0; // padding.
	var $transparent = 1; // transparency set to on.
	var $red = 102; // white text...
	var $grn = 102;
	var $blu = 102;
	var $bg_red = 254; // on black background.
	var $bg_grn = 254;
	var $bg_blu = 254;
	
	function draw()
	{
		$width = 0;
		$height = 0;
		$offset_x = 0;
		$offset_y = 0;
		$bounds = array();
		$image = "";
	
		// get the font height.
		$bounds = ImageTTFBBox($this->size, $this->rot, $this->font, "W");
		if ($this->rot < 0)
		{
			$font_height = abs($bounds[7]-$bounds[1]);		
		}
		else if ($this->rot > 0)
		{
		$font_height = abs($bounds[1]-$bounds[7]);
		}
		else
		{
			$font_height = abs($bounds[7]-$bounds[1]);
		}
		// determine bounding box.
		$bounds = ImageTTFBBox($this->size, $this->rot, $this->font, $this->msg);
		if ($this->rot < 0)
		{
			$width = abs($bounds[4]-$bounds[0]);
			$height = abs($bounds[3]-$bounds[7]);
			$offset_y = $font_height;
			$offset_x = 0;
		}
		else if ($this->rot > 0)
		{
			$width = abs($bounds[2]-$bounds[6]);
			$height = abs($bounds[1]-$bounds[5]);
			$offset_y = abs($bounds[7]-$bounds[5])+$font_height;
			$offset_x = abs($bounds[0]-$bounds[6]);
		}
		else
		{
			$width = abs($bounds[4]-$bounds[6]);
			$height = abs($bounds[7]-$bounds[1]);
			$offset_y = $font_height;;
			$offset_x = 0;
		}
		
		$image = imagecreate($width+($this->pad*2)+1,$height+($this->pad*2)+1);
		$background = ImageColorAllocate($image, $this->bg_red, $this->bg_grn, $this->bg_blu);
		$foreground = ImageColorAllocate($image, $this->red, $this->grn, $this->blu);
		imagealphablending($image, true);
		imagesavealpha($image, true);
		
		if ($this->transparent)
			{
				ImageColorTransparent($image, $background);
				//$color = imagecolorallocate($image, $this->bg_red, $this->bg_grn, $this->bg_blu);
				//ImageFill($image, 0, 0, $color);				
			}
		ImageInterlace($image, false);
	
		// render the image
		ImageTTFText($image, $this->size, $this->rot, $offset_x+$this->pad, $offset_y+$this->pad, $foreground, $this->font, $this->msg);
	
		// output PNG object.
		
                $upload_dir_array=str_split($this->iduser);
                $dir=$this->dir_temp;
                for ($i=0;$i<count($upload_dir_array);$i++){;
                       $dir=$dir.'/'.$upload_dir_array[$i];
					if (!is_dir($dir)){
                        mkdir ($dir, 0777);	
						chmod($dir, 0777);
					}else{
	   	                chmod($dir, 0777);	   					
					}
                }		
			    					
				@imagePNG($image,$dir.'/logo.png',0);
		}
	}

	$text_to_image = new textPNG;
    $text_to_image->iduser = $_GET['iduser'];
    $text_to_image->dir_temp = CM_DIR.'/'.CM_LOGO_USERS;
	$text_to_image->msg = $_GET['nick'].'.'.CM_SHOW_DOMAIN; // text to display
	if (isset($_GET['font'])) $text_to_image->font = CM_FONTS_CAT.'/'.$_GET['font']; // font to use (include directory if needed).
	if (isset($_GET['size'])) $text_to_image->size = $_GET['size']; // size in points
	if (isset($_GET['rot'])) $text_to_image->rot = $_GET['rot']; // rotation
	if (isset($_GET['pad'])) $text_to_image->pad = $_GET['pad']; // padding in pixels around text.
	if (isset($_GET['red'])) $text_to_image->red = $_GET['red']; // text color
	if (isset($_GET['grn'])) $text_to_image->grn = $_GET['grn']; // ..
	if (isset($_GET['blu'])) $text_to_image->blu = $_GET['blu']; // ..
	if (isset($_GET['bg_red'])) $text_to_image->bg_red = $_GET['bg_red']; // background color.
	if (isset($_GET['bg_grn'])) $text_to_image->bg_grn = $_GET['bg_grn']; // ..
	if (isset($_GET['bg_blu'])) $text_to_image->bg_blu = $_GET['bg_blu']; // ..
	if (isset($_GET['transparent'])) $text_to_image->transparent = $_GET['transparent']; // transparency flag (boolean).

	$text_to_image->draw(); // GO!!!!!
?>