{config_load file="admin.conf" section="setup"}

{literal}
    <script>


        $(document).ready(function () {

            function log(event, data, formatted) {
                $("<li>").html(!data ? "No match!" : "Selected: " + formatted).appendTo("#result");
            }

            function formatItem(row) {
                return row[0] + " (<strong>id: " + row[1] + "</strong>)";
            }
            function formatResult(row) {
                return row[0].replace(/(<.+?>)/gi, '');
            }


            $("#query").autocomplete("templates/admin/js/sugest_announcementFields.php", {
                width: 200,
                selectFirst: false

            });

        });
    </script>
{/literal}

<h1>Lista pól</h1>
<div style="float:left;"><a href="?pages=announcementFieldsAdd&what={$smarty.get.what}" class="btn btn-primary btn">Dodaj pole</a></div>
{include file='templates/admin/html/modules/search.tpl.html'}
<br clear="all" />
{foreach from=$elements key=myId item=i name=tabela}
    {if $smarty.foreach.tabela.first}
        <form method="post" name="form_koment">
            <table class="table">	
                <tr>
                    <th>ID</th>
                    <th>Nazwa</th>
                    <th>Typ</th>
                    <th>Dziedziczenie</th>
                    <th>Edycja</th>
                    <th><input type="checkbox" value="1" class="checkAll" id="checkall" title="Zaznacz wszystkie" /></th>
                </tr>	
            {/if}

            <tr class="{cycle values="s1,s2"  name="nazwa1"}" onmouseover="this.className = 'on'" onmouseout="this.className = '{cycle values="s1,s2"  name="nazwa2"}'">
                <td align="center">
                    {$i.idrek}
                </td>
                <td>
                    <div style="float: left;">
                        <div class="listTitle">{$i.name}</div>
                    </div>
                    <div class="tooltipOwn">
                        <img src="{#dir_img#}icons/info_24.png" border="0" class="icon_info" alt="Info" style="float:right;" />
                        {include file='templates/admin/html/modules/created_modif_info.tpl.html'}	
                    </div>                        

                </td>
                <td align="center">
                    {if $i.type=="txt"}
                        Pole tekstowe
                    {elseif $i.type=="multi"}
                        Multiwybór                    
                    {elseif $i.type=="textarea"}
                        Obszar tekstowy (textarea)
                    {else}                        
                        {$i.type}
                    {/if}
                </td>
                <td align="center">
                    {if $i.parent=='N'}
                        Nie
                    {else}
                        <a href="adminindex.php?pages=announcementFields&amp;what={$i.parent}">Z działu {$i.parent}</a>
                    {/if}
                </td>
                <td align="center">
                    <a href="?pages=announcementFieldsEdit&amp;what={$i.idrek}"><img src="{#dir_img#}icons/edit_24.png" border="0" alt="Edycja" /></a>
                </td>		
                <td align="center">
                    {if $i.parent=='N'}
                        <input type="checkbox" name="check[]" id="check" class="check_del"  value="{$i.idrek}">
                    {/if}
                </td>
            </tr>

            {if $smarty.foreach.tabela.last}
            </table>	
        </form>
        {literal}
            <div style="float:right;"><a href="javascript:usun_all();" class="btn btn-primary btn">Usuń zaznaczone</a></div>
        {/literal}
    {/if} 
{foreachelse}
    Brak elementów do wyświetlenia
{/foreach}
