{config_load file="admin.conf" section="setup"}
<h1>Edycja - Organizacje pożytku poblicznego</h1>


{if $elem|@count>0}
    <form method="POST">

        <div class="form-group">
            <label for="orgName">Nazwa organizacji *</label>
            <input type="text" name="name" class="form-control" id="orgName" placeholder="Nazwa organizacji" value="{$elem.name}" maxlength="254">
        </div>  

        <div class="form-group">
            <label for="orgKRS">Numer KRS *</label>
            <input type="text" name="krs" class="form-control" id="orgName" placeholder="Numer KRS organizacji" value="{$elem.krs}" maxlength="254">
        </div>

        <div class="form-group">
            <label for="orgob">Obszar działalności *</label>
            <input type="text" name="obszar_dzalalnosci" class="form-control" id="orgob" placeholder="Obszar działalności organizacji" value="{$elem.obszar_dzalalnosci}" maxlength="254">
        </div>    


        <div class="form-group">
            <label for="orgemail">Adres e-mail</label>
            <input type="email" name="email" class="form-control" id="orgemail" placeholder="Adres e-mail organizacji" value="{$elem.email}" maxlength="254">
        </div>

        <div class="form-group">
            <label for="orgwww">Adres WWW</label>
            <input type="text" name="www" class="form-control" id="orgwww" placeholder="Adres WWW organizacji" value="{$elem.www}" maxlength="254">
        </div>        


        <div class="form-group">
            <label for="orgDesc">Opis organizacji</label>
            <em>max: 2 000 znaków</em>
            <textarea class="form-control" id="orgDesc" name="description" rows="6" maxlength="2000">{$elem.description}</textarea>
        </div>

        <div class="form-group">
            <label for="orgLogo">Logo organizacji</label>
            
            {if $elem.photoId>0}
                <input type="hidden" name="photoId" value="{$elem.photoId}" />
                <img src="{cms_photo->show_image format='a_format' id=$elem.photoId}" alt="" border="0" />
            {/if}
            
        </div>

        <div class="form-group">
            <label for="orgzip">Kod pocztowy</label>
            <input type="text" name="zip" class="form-control" id="orgzip" placeholder="Kod pocztowy" value="{$elem.zip}" maxlength="6">
        </div>      

        <div class="form-group">
            <label for="orgcity">Miejscowość</label>
            <input type="text" name="city" class="form-control" id="orgcity" placeholder="Miejscowość" value="{$elem.city}" maxlength="254">
        </div>     

        <div class="form-group">
            <label for="orgstreet">Ulica</label>
            <input type="text" name="street" class="form-control" id="orgstreet" placeholder="Ulica" value="{$elem.street}" maxlength="254">
        </div>    

        <div class="form-group">
            <label for="orghouse_number">Numer domu/mieszkania</label>
            <input type="text" name="house_number" class="form-control" id="orghouse_number" placeholder="Numer domu/mieszkania" value="{$elem.house_number}" maxlength="254">
        </div>    

        <div class="form-group">
            <label for="contactEmail">Adres kontaktowy e-mail *</label>
            <input type="email" name="contactEmail" class="form-control" id="contactEmail" placeholder="Adres kontaktowy e-mail" value="{$elem.contactEmail}" maxlength="254">
        </div>  

        <input type="submit" name="goAccept" value="Zaakceptuj"  class="btn btn-primary" /> 
        
        <input type="submit" name="goDel" value="Skasuj" class="btn btn-danger"  onclick="return confirm('Czy napewno chcesz usunąć ten wpis?')" /> 

    </form>

{else}
    Element nie istnieje
{/if}