{config_load file="admin.conf" section="setup"}
<h1>Baza Ogranizacji pożytku publicznego</h1>
{include file='templates/admin/html/modules/search.tpl.html'}

{if $del==true}
    <div class="alert alert-info">
        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
        Element został usunięty.
    </div>
{/if}

<div>
    <form method="get" action="adminindex.php">
        <input type="hidden" name="p2" value="opp" />
        <input type="hidden" name="pages" value="page2" />
        <input type="hidden" name="sortby" value="iddesc" />
        <select name="type">
            <option value="ALL"{if $smarty.get.type=='ALL'} selected{/if}>Wszystkie</option>        
            <option value="NEW"{if isset($smarty.get.type)==false || $smarty.get.type=='NEW'} selected{/if}>Nowe</option>
            <option value="ACCEPT"{if $smarty.get.type=='ACCEPT'} selected{/if}>Zaakceptowane</option>
            <option value="DEL"{if $smarty.get.type=='DEL'} selected{/if}>Skasowane</option>
        </select>

        <input type="submit" value="Wyświetl" />
    </form>
</div>
<br clear="all" />

{if $sitenr+3<=$sites}
    {assign var='koniec' value=$sitenr+3}
{else}
    {assign var='koniec' value=$sites+1}
{/if}

{if $sitenr==1 OR $sitenr==2 OR $sitenr==3}
    {assign var='start' value=1}   
{else}
    {assign var='start' value=$sitenr-3}
{/if}



{*
Start:{$start}<br />
Koniec:{$koniec}<br />
Nr:{$sitenr}<br />
Stron:{$sites}<br />
*}

{*stronicowanie*}
{if $sites>1}
    <div align="right" style="padding-right:30px; margin-bottom:10px; margin-top:10px;">
        <nav aria-label="Page navigation">
            <ul class="pagination">
                {if $sitenr!=1}
                    {assign var='sitenr_prew' value=$sitenr-1}
                    <li class="page-item">
                        <a class="page-link" href="?pages=page2&p2=opp&sortby={$sortby}&nr={$sitenr_prew}{if $smarty.get.q}&q={$smarty.get.q}{/if}{if $smarty.get.type}&type={$smarty.get.type}{/if}">Poprzednia</a>
                    </li>
                {/if}

                {section name=foo start=$start loop=$koniec step=1}
                    <li class="page-item{if $smarty.section.foo.index==$sitenr} active{/if}">
                        <a class="page-link" href="??pages=page2&p2=opp&sortby={$sortby}&nr={$smarty.section.foo.index}{if $smarty.get.q}&q={$smarty.get.q}{/if}{if $smarty.get.type}&type={$smarty.get.type}{/if}">{$smarty.section.foo.index}</a>
                    </li>
                {/section}

                {if $sitenr!=$sites}
                    {assign var='sitenr_next' value=$sitenr+1}
                    <li class="page-item">
                        <a class="page-link" href="?pages=page2&p2=opp&sortby={$sortby}&nr={$sitenr_next}{if $smarty.get.q}&q={$smarty.get.q}{/if}{if $smarty.get.type}&type={$smarty.get.type}{/if}">Następna</a>
                    </li>
                {/if}
            </ul>        
        </nav>    

    </div>

{/if}
{*stronicowanie KONIEC *}



{foreach from=$element key=myId item=i name=tabela}
    {if $smarty.foreach.tabela.first}
        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th scope="col">ID</th>
                    <th scope="col">Logo</th>
                    <th scope="col">Nazwa</th>
                    <th scope="col">Status</th>
                    <th scope="col">Edycja</th>
                    <th scope="col">Usuń</th>
                </tr>
            </thead>
            <tbody>
            {/if}
            <tr>
                <td>
                    {$i.idrek}
                </td>
                <td>
                    {if $i.photoId}>0}
                        <img src="{cms_photo->show_image format='a_format' id=$i.photoId}" alt="" border="0" />
                    {/if}
                </td>
                <td>
                    <a href="adminindex.php?p2=opp&mod=oppEdit&pages=page2&id={$i.idrek}" title="Edycja">{$i.name}</a>
                </td>        
                <td>
                    {if $i.status=='NEW'}
                        Nowy (do sprawdzenia)
                    {elseif $i.status=='ACCEPT'}
                        Zaakceptowane
                    {elseif $i.status=='DEL'}
                        Skasowane
                    {/if}   
                </td>
                <td>
                    <a href="adminindex.php?p2=opp&mod=oppEdit&pages=page2&id={$i.idrek}" title="Edycja"><i class="fas fa-edit"></i></a>
                </td>
                <td>
                    <a href="adminindex.php?p2=opp&pages=page2&delId={$i.idrek}" title="Usuń" onclick="return confirm('Czy napewno chcesz usunąć ten wpis?')"><i class="fas fa-trash-alt"></i></a>
                </td>
            </tr>
            {if $smarty.foreach.tabela.last}
            </tbody>
        </table>
    {/if}    
{/foreach}

{*stronicowanie*}
{if $sites>1}
    <div align="right" style="padding-right:30px; margin-bottom:10px; margin-top:10px;">
        <nav aria-label="Page navigation">
            <ul class="pagination">
                {if $sitenr!=1}
                    {assign var='sitenr_prew' value=$sitenr-1}
                    <li class="page-item">
                        <a class="page-link" href="?pages=page2&p2=opp&sortby={$sortby}&nr={$sitenr_prew}{if $smarty.get.q}&q={$smarty.get.q}{/if}{if $smarty.get.type}&type={$smarty.get.type}{/if}">Poprzednia</a>
                    </li>
                {/if}

                {section name=foo start=$start loop=$koniec step=1}
                    <li class="page-item{if $smarty.section.foo.index==$sitenr} active{/if}">
                        <a class="page-link" href="??pages=page2&p2=opp&sortby={$sortby}&nr={$smarty.section.foo.index}{if $smarty.get.q}&q={$smarty.get.q}{/if}{if $smarty.get.type}&type={$smarty.get.type}{/if}">{$smarty.section.foo.index}</a>
                    </li>
                {/section}

                {if $sitenr!=$sites}
                    {assign var='sitenr_next' value=$sitenr+1}
                    <li class="page-item">
                        <a class="page-link" href="?pages=page2&p2=opp&sortby={$sortby}&nr={$sitenr_next}{if $smarty.get.q}&q={$smarty.get.q}{/if}{if $smarty.get.type}&type={$smarty.get.type}{/if}">Następna</a>
                    </li>
                {/if}
            </ul>        
        </nav>    

    </div>

{/if}
{*stronicowanie KONIEC *}