{config_load file="front.conf" section="setup"}

<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyA5DLwPPVAz88_k0yO2nmFe7T9k1urQs84"></script>


<section class="section-fw">

    <div class="google-map-container">
        <div class="container animation" data-animation="fadeInRightBig" data-animation-delay="200">
            <div class="map-info-box dark-skin hidden-xs">
                <div class="inline map-info-box-logo">
                    <div class="logo-icon"><img src="{#dir_img#}logo/logo-min.png" alt="Agami"></div>
                    <h4>P.H.U. AGAMI</h4>
                </div>
                <div class="inline">
                    <address class="space-bottom">
                        <strong>P.H.U. AGAMI</strong><br>
                        Usługi Poligraficzne, Handel Mirosław Tkaczyk<br>
                        ul. Sikorskiego 6<br>
                        06-100 Pułtusk<br>
                        NIP 568-115-91-86<br>
                        <abbr title="Phone">Tel/Fax:</abbr>  023 692 10 56<br />
                        <abbr title="Phone">Tel. kom:</abbr>  502-241-884
                        <div class="divider"></div>
                        <a href="mailto:agami@agami24.pl">agami@agami24.pl</a>
                        <div class="social-buttons">
                            <a href="https://www.facebook.com/AGAMI24pl-463334903832506/" target="_blank" class="cbutton cbutton--effect"><i class="bi-facebook"></i></a>
                            {*<a href="#" class="cbutton cbutton--effect"><i class="bi-twitter"></i></a>*}
                            <a href="#" class="cbutton cbutton--effect"><i class="bi-skype"></i></a>
                        </div>
                    </address>
                </div>
            </div>
        </div>
        <div class="google-map"
             data-height="450"
             data-address="ul. Antoniego Sikorskiego 6, 06-100 Pułtusk, Polska"
             data-zoom="15"
             data-disable-controls="false"
             data-scrollwheel="false"             
             data-marker-title="Agami"
             ></div>
    </div>
</section><!-- Full Width Map End -->


<section class="container padding-top-3x padding-bottom-3x hidden-md hidden-lg hidden-sm">
    <div class="dark-skin">
        <div class="inline map-info-box-logo">
            <div class="logo-icon"><img src="{#dir_img#}logo/logo-min.png" alt="Agami"></div><br />
            <address class="space-bottom">
                <strong>P.H.U. AGAMI</strong><br>
                Usługi Poligraficzne, Handel Mirosław Tkaczyk<br>
                ul. Sikorskiego 6<br>
                06-100 Pułtusk<br>
                NIP 568-115-91-86<br>
                <abbr title="Phone">Tel/Fax:</abbr>  023 692 10 56<br />
                <abbr title="Phone">Tel. kom:</abbr>  502-241-884
                <div class="divider"></div>
                <a href="mailto:agami@agami24.pl">agami@agami24.pl</a>
                <div class="social-buttons">
                    <a href="https://www.facebook.com/AGAMI24pl-463334903832506/" target="_blank" class="cbutton cbutton--effect"><i class="bi-facebook"></i></a>
                    {*<a href="#" class="cbutton cbutton--effect"><i class="bi-twitter"></i></a>
                    <a href="#" class="cbutton cbutton--effect"><i class="bi-skype"></i></a>*}
                </div>
            </address>
        </div>
    </div>
</section>
<a name="form"></a>
<section class="container padding-top-3x padding-bottom-3x">
    <div class="row">                        
        <div class="col-sm-12 space-bottom-2x animation" data-animation="fadeInLeft" data-animation-delay="300">
            <div class="block-title on-light no-borders">
                <h3>Napisz do nas</h3>
                <hr>
            </div>

            <div class="padding-bottom-2x">
                <div class="alert alert-success" role="alert">
                    <h4>Wiadomość została wysłana:</h4>
                    Dziękujemy za kontakt. Odpowiemy w możliwie najkrótszym czasie.
                </div>
            </div>        
            <form method="post" id="contact-form" action="/kontakt/#form">
                <div class="form-group">
                    <label for="contf_name" class="sr-only">Imie</label>
                    <input type="text" class="form-control" name="imie" value="{$smarty.post.imie}" maxlength="254" id="contf_name" placeholder="Imie" required>
                </div>
                <div class="form-group">
                    <label for="contf_surname" class="sr-only">Nazwisko</label>
                    <input type="text" class="form-control" name="nazwisko" value="{$smarty.post.nazwisko}" maxlength="254" id="contf_surname" placeholder="Nazwisko" required>
                </div>                

                <div class="form-group">
                    <label for="contf_email" class="sr-only">E-mail</label>
                    <input type="email" class="form-control" name="email" value="{$smarty.post.email}" maxlength="254" id="contf_email" placeholder="Email" required>
                </div>
                <div class="form-group">
                    <label for="contf_message" class="sr-only">Treść wiadomości</label>
                    <textarea id="contf_message" name="content" rows="6" class="form-control" placeholder="Treść wiadomości" required>{$smarty.post.content}</textarea>
                </div>
                <div class="text-right">
                    <button type="submit" name="go_content_form" class="btn btn-pill btn-primary waves-effect waves-light">Wyślij wiadomość</button>
                </div>
            </form>
        </div>     
    </div>
</section>
