{config_load file="front.conf" section="setup"}
{foreach from=$items key=myId item=i name=tabela}
    {if $smarty.foreach.tabela.first}
        <section class="container space-bottom-3x">
            <!-- Featured Products -->
            <div class="block-title on-light no-borders text-right space-bottom-2x">
                <h2>Najnowsze produkty</h2>
                <small>Sprawdź co nowego</small>
            </div>
            <!-- Row -->
            <div class="row">
    {/if}
        
                <div class="col-md-3 col-sm-6">
                    <div class="tile dark-skin">
                        <div class="tile-thumb">
                            <a href="{$i.url}" class="overlay"></a>
                            <div class="img-cont">
                                {if $i.photos.0}
                                    <img alt="{$i.name}" src="{cms_photo->show_image format='list-shop' id=$i.photos[0]['photo_id']}">
                                {else}
                                    <img src="{#dir_img#}shop/tiles/01.jpg" alt="{$i.name}">
                                {/if}
                            </div>
                        </div>
                        <div class="tile-body">
                            <a href="{$i.url}" class="tile-title"><h4>{$i.name}</h4></a>
                            {* <span class="shop-old-price">178 PLN</span> *}
                            <span class="shop-price">{$i.price_pln|string_format:"%.2f"} PLN</span><br>
                            <a href="{$i.url}" class="btn btn-ghost btn-primary btn-sm waves-effect waves-light icon-left"><i class="pe-7s-cart"></i>Zamów</a>
                        </div>
                        <footer class="tile-footer text-left">
                            <div class="post-meta">
                                <div class="taxonomy">
                                    <span>w</span>
                                    <a href="{$i.categoryUrl}" title="{$i.categoryName}">{$i.categoryName}</a>
                                </div>
                            </div>
                        </footer>
                    </div>
                </div>

    {if $smarty.foreach.tabela.last}
            <div class="text-center">
                <a href="/oferta/" title="Oferta" class="btn btn-primary btn-sm waves-effect waves-light">Zobacz więcej</a>
            </div>
        </section>
    {/if}
{/foreach}