{config_load file="front.conf" section="setup"}

<section class="container space-bottom-3x space-top-2x">

    
    <div class="row space-bottom">

  


        {foreach from=$items key=myId item=i name=tabela}
            {if $smarty.foreach.tabela.first}
                 <!-- Products Grid -->
                <div class="col-md-9 col-md-push-3 space-bottom-2x">  
                {assign var='counter' value=0}
            {/if}
            {if $counter==0}
                <div class="row">
                {/if}

                <!-- Product -->
          <div class="col-sm-4">
            <div class="tile bg-solid-default text-light">
                        <div class="tile-thumb">
                            {if $i.new==TRUE} <span class="badge badge-circle badge-danger">Nowość</span>{/if}

                            <a class="overlay" href="{$i.url}" title="{$i.namae}"></a>
                            <div class="img-cont">
                                {if $i.photos.0}
                                    <img alt="{$i.name|replace:'"':''}" src="{cms_photo->show_image format='list-shop' id=$i.photos[0]['photo_id']}">
                                {else}
                                    <img src="{#dir_img#}shop/tiles/01.jpg" alt="{$i.name|replace:'"':''}">
                                {/if}
                            </div>
                        </div>
                        <div class="tile-body">
                            <a class="tile-title" title="{$i.name|replace:'"':''}" href="{$i.url}"><h4>{$i.name}</h4></a>
                                    {*<span class="shop-old-price">$178</span>*}
                            <span class="shop-price">{$i.price_pln|string_format:"%.2f"} PLN</span><br>
                            <a class="btn btn-ghost btn-primary btn-sm waves-effect waves-light icon-left" href="{$i.urlCardAdd}"><i class="pe-7s-cart"></i>Dodaj do koszyka</a>
                        </div>
                        <footer class="tile-footer text-left">
                            <div class="post-meta">
                                <div class="taxonomy">
                                    <span>Kategoria:</span>
                                    <a href="{$i.categoryUrl}" title="{$i.categoryName|replace:'"':''}">{$i.categoryName}</a>
                                </div>
                            </div>
                        </footer>
                    </div>
                </div>    

                {assign var='counter' value=$counter+1}
                {if $counter>2}
                </div>
                {assign var='counter' value=0}
            {/if}
            {if $smarty.foreach.tabela.last}
                {if $counter!=0}
                </div>
            {/if}


            {*stronicowanie*}                             

            {if $sites>1 && $mod_conf.paging=="Y"}

                {if $sitenr+3<=$sites}
                    {assign var='koniec' value=$sitenr+3}
                {else}
                    {assign var='koniec' value=$sites+1}
                {/if}

                {if $sitenr==1 OR $sitenr==2 OR $sitenr==3}
                    {assign var='start' value=1}   
                {else}
                    {assign var='start' value=$sitenr-3}
                {/if}              

                <div class="pagination space-top-2x">
                    {assign var='sitenr_prew' value=$sitenr-1}
                    {if $sitenr!=1 && $mod_conf.paging=="Y"}
                        <a class="prev page-numbers" href="nr,{$sitenr_prew}.html" title="Przejdź do poprzedniej strony.">
                            <i class="flaticon-arrow395"></i>
                            Poprzednia
                        </a>                    
                    {/if}


                    {section name=foo start=$start loop=$koniec step=1}
                        <a class="page-numbers{if $smarty.section.foo.index==$sitenr} current{/if}" href="nr,{$smarty.section.foo.index}.html">{$smarty.section.foo.index}</a>
                    {/section}

                    {if $sitenr!=$sites}
                        {assign var='sitenr_next' value=$sitenr+1}
                        <a class="next page-numbers" href="nr,{$sitenr_next}.html" title="Przejdź do następnej strony.">
                            Następna
                            <i class="flaticon-move13"></i>
                        </a>                    
                    {/if}

                </div>
            {/if}
            {*stronicowanie KONIEC *}

            
            
            </div>            
               
            
            

        {/if}   
    {foreachelse}
    <div class="row space-bottom">

      <!-- Products Grid -->
      <div class="col-md-9 col-md-push-3 space-bottom-2x">            
        <div class="row">
            <h2>W tej kategorii nie ma jeszcze produktów.</h2>
            <div class="inline-buttons text-center">
                <div class="space-bottom">
                    <a href="/" class="btn btn-pill btn-ghost btn-primary waves-effect waves-light">Wróć na stronę główną</a>
                </div>
                <div class="space-bottom">lub skorzystaj z wyszukiwarki</div>
                <div class="space-bottom">
                    <form method="get" action="/szukaj/">
                        <div class="form-group">
                            <input type="text" id="w_search_inpt" name="q" class="form-control">
                            <label for="w_search_inpt">Szukaj</label>
                        </div>
                        <button class="btn btn-primary btn-sm waves-effect waves-light" type="submit">Szukaj</button>
                    </form>
                </div>
            </div>
        </div>
      </div>
    {/foreach}       
    
        
            
    <div class="col-md-3 col-md-pull-9 space-bottom-2x" id="sidebar" data-scroll-offset-top="40">
        <div class="sidebar sidebar-left">

          <!-- Search Widget -->
          <div class="widget widget-search">
            <h4 class="widget-title">Szukaj</h4>
            <form method="get" action="/szukaj/">
              <div class="form-group">
                <input type="text" name="q" class="form-control input-sm" id="w_search_inpt" />
                <label for="w_search_inpt">Szukaj</label>
              </div>
              <button type="submit" class="btn btn-primary btn-ghost btn-block btn-sm waves-effect waves-light">Szukaj</button>
            </form>
          </div>

                      
          <div class="widget widget-categories">
            <h4 class="widget-title">Kategorie</h4>
            
        <ul>
            {if $category.parent}
                <li><a href="{$category.parent.url}"title="{$category.parent.title}"><span aria-hidden="true" class="glyphicon glyphicon-triangle-top"></span>&nbsp;{$category.parent.title}</a></li>
            {/if}
            

                        {if count($category.element)>0}
                           
                                {foreach from=$category.element key=myIdCat item=iCat name=tabelaCat}
                                    <li><a href="{$iCat.url}" title="{$iCat.title}">{if $iCat.select==1}<strong>{/if}{$iCat.title}{if $iCat.select==1}</strong>{/if}</a><span>({$iCat.count})</span></li>
                                {/foreach} 
                        
                        {/if}
             
        </ul>            

          </div>
        </div>
      </div>
    </div>     
    
</section>

