{config_load file="front.conf" section="setup"}
<!-- Container -->
<section class="container space-bottom-2x space-top-2x">
    <div class="row">
        <div class="col-md-8 col-sm-7">
            <h4>Twój koszyk</h4>            
            {foreach from=$items key=myId item=i name=tabela}
                {if $smarty.foreach.tabela.first}
                    <form class="row" id="coupon-form" method="post">
                        <div class="table-responsive">
                            <table class="table shop-cart-table">
                                <thead>
                                    <tr>
                                        <th>Produkt</th>
                                        <th>Cena jednostkowa</th>
                                        <th>Ilość</th>
                                        <th>Cena łącznie</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                {/if}
                                <tr>
                                    <td>
                                        <div class="widget widget-shopping-cart">
                                            <div class="w-item">
                                                <div class="w-item-thumb">
                                                    <a href="{$i.url}">
                                                        <img alt="{$i.name|replace:'"':''}" src="{cms_photo->show_image format='card-min' id=$i.photos[0]['photo_id']}">
                                                    </a>
                                                </div>
                                                <div class="w-item-content">
                                                    <h4 class="w-item-title"><a href="{$i.url}">{$i.name}</a></h4>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td><span class="shop-price">{$i.price_pln|string_format:"%.2f"} PLN</span></td>
                                    <td>
                                        <div class="count-input">
                                            {$i.count}
                                        </div>
                                    </td>
                                    <td><span class="shop-price">{$i.price_pln_count|string_format:"%.2f"} PLN</span></td>
                                    <td class="text-right">
                                        <span class="delete" onclick="cardFullDel({$i.card_id})">&times;</span>
                                    </td>
                                </tr>
                    {if $smarty.foreach.tabela.last}            
                                <tr>
                                    <td colspan="4" style="text-align: right;"><strong>Łącznie:</strong></td><td><h3>{$sum|string_format:"%.2f"} PLN</h3></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-md-3">                        
                        <button type="submit" name="goCard" class="btn btn-success btn-block waves-effect waves-light space-top-none">Wyślij zamówienie</button>
                    </div>
                </form>
                    {/if}
            {foreachelse}
                <div class="row center">
                    W Twoim koszyku nie ma jeszcze żadnych produktów. 
                </div>
            {/foreach}
        </div>
    </div>
</section>