{config_load file="front.conf" section="setup"}
<section class="container space-bottom-2x space-top-2x">    
    <div class="block-title on-light no-borders">
        <h2>Dane kontaktowe</h2>
    </div>
    <div role="alert" class="alert alert-primary alert-dismissible fade in space-bottom">
        <strong>Uwaga:</strong> Zamówienie należy traktować jako zapytanie ofertowe. Cena nie obejmuje kosztów tempodruku, transportu itp. elementów. Po wypełnieniu formularza nasz handlowiec skontaktuje się z Państwem celem ustalenia dalszych szczegółów zamówienia.
    </div>
    <form method="post">
        <div class="row">
            <div class="col-sm-6">
                <div class="form-group">
                    <label class="sr-only" for="name">Imie</label>
                    <input type="text" required="" placeholder="Imie" id="name" name="name" class="form-control" aria-required="true" value="{$smarty.post.name}" />
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <label class="sr-only" for="surname">Nazwisko</label>
                    <input type="text" required="" placeholder="Nazwisko" id="surname" name="surname" class="form-control" aria-required="true" value="{$smarty.post.surname}" />
                </div>
            </div>            
        </div>

        <div class="row">
            <div class="col-sm-6">
                <div class="form-group">
                    <label class="sr-only" for="post_code">Kod pocztowy</label>
                    <input type="text" required="" placeholder="Kod pocztowy" id="post_code" name="post_code" class="form-control" aria-required="true" value="{$smarty.post.post_code}" />
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <label class="sr-only" for="city">Miejscowość</label>
                    <input type="text" required="" placeholder="Miejscowość" id="city" name="city" class="form-control" aria-required="true" value="{$smarty.post.city}" />
                </div>
            </div>            
        </div>            

        <div class="row">
            <div class="col-sm-8">
                <div class="form-group">
                    <label class="sr-only" for="street">Ulica</label>
                    <input type="text" required="" placeholder="Ulica" id="street" name="street" class="form-control" aria-required="true" value="{$smarty.post.street}" />
                </div>
            </div>
            <div class="col-sm-4">
                <div class="form-group">
                    <label class="sr-only" for="home_number">Numer domu</label>
                    <input type="text" required="" placeholder="Numer domu" id="home_number" name="home_number" class="form-control" aria-required="true" value="{$smarty.post.home_number}" />
                </div>
            </div>            
        </div>      


        <div class="row">
            <div class="col-sm-6">
                <div class="form-group">
                    <label class="sr-only" for="country">Państwo</label>
                    <input type="text" required="" placeholder="Państwo" id="country" name="country" class="form-control" aria-required="true" value="{$smarty.post.country}" />
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <label class="sr-only" for="telephone">Telefon</label>
                    <input type="text" required="" placeholder="Telefon" id="telephone" name="telephone" class="form-control" aria-required="true" value="{$smarty.post.telephone}" />
                </div>
            </div>            
        </div>                


        <div class="form-group">
            <label class="sr-only" for="information">Informacje dodatkowe</label>
            <textarea placeholder="Informacja dodatkowe" class="form-control" rows="6" id="information" name="information">{$smarty.post.information}</textarea>
        </div>


        <div class="row center">
            <div class="col-lg-7 col-lg-offset-5 col-md-8 col-md-offset-4 col-sm-12 center">
                <button class="btn btn-block btn-primary waves-effect waves-light" type="submit" name="go_form">Wyślij zamówienie</button>
            </div>
        </div>            
    </form>
</section>
