
<div class="container space-top">
    <div class="block-title on-light no-borders">
        <h2>Wpisz szukaną frazę</h2>
    </div>
</div>
<section class="container space-bottom-3x space-top-2x">
    <div class="space-bottom-2x">
        <div class="row">
            <form method="get" action="/szukaj/">

                <div class="row">
                    <div class="col-md-8">
                        <div class="form-group">
                            <input type="text" id="w_search_inpt" name="q" class="form-control" value="{$smarty.get.q}">
                            <label for="w_search_inpt">Szukaj</label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <button class="btn btn-primary btn-sm waves-effect waves-light" type="submit">Szukaj</button>
                    </div>
                </div>            
            </form>


        </div>            
    </div>
    <div class="row">          
        {foreach from=$item key=myId item=i name=tabela}
            {if $smarty.foreach.tabela.first}
                <div class="row space-bottom-3x space-top-2x">Ilość wyników: <strong>{$total}</strong></div>
            {/if}
            <div class="col-md-3 col-sm-6">
                <div class="tile bg-solid-default text-light">
                    <div class="tile-thumb">
                        {if $i.new==TRUE} <span class="badge badge-circle badge-danger">Nowość</span>{/if}
                        <a class="overlay" href="{$i.url}" title="{$i.namae}"></a>
                        <div class="img-cont">
                            {if $i.photos[0]['photo_id']}
                                <img alt="{$i.name|replace:'"':''}" src="{cms_photo->show_image format='list-shop' id=$i.photos[0]['photo_id']}">
                            {else}
                                <img src="{#dir_img#}shop/tiles/01.jpg" alt="{$i.name|replace:'"':''}">
                            {/if}
                        </div>
                    </div>
                    <div class="tile-body">
                        <a class="tile-title" title="{$i.name|replace:'"':''}" href="{$i.url}"><h4>{$i.name}</h4></a>
                                {*<span class="shop-old-price">$178</span>*}
                        <span class="shop-price">{$i.price_pln|string_format:"%.2f"} PLN</span><br>
                        <a class="btn btn-ghost btn-primary btn-sm waves-effect waves-light icon-left" href="{$i.urlCardAdd}"><i class="pe-7s-cart"></i>Dodaj do koszyka</a>
                    </div>
                    <footer class="tile-footer text-left">
                        <div class="post-meta">
                            <div class="taxonomy">
                                <span>Kategoria:</span>
                                <a href="{$i.categoryUrl}" title="{$i.categoryName|replace:'"':''}">{$i.categoryName}</a>
                            </div>
                        </div>
                    </footer>
                </div>
            </div>                



            {if $smarty.foreach.tabela.last}

                {*stronicowanie*}                             
                {if $sites>1 && $mod_conf.paging=="Y"}

                    {if $sitenr+3<=$sites}
                        {assign var='koniec' value=$sitenr+3}
                    {else}
                        {assign var='koniec' value=$sites+1}
                    {/if}

                    {if $sitenr==1 OR $sitenr==2 OR $sitenr==3}
                        {assign var='start' value=1}   
                    {else}
                        {assign var='start' value=$sitenr-3}
                    {/if}              

                    <div class="pagination space-top-2x">
                        {assign var='sitenr_prew' value=$sitenr-1}
                        {if $sitenr!=1 && $mod_conf.paging=="Y"}
                            <a class="prev page-numbers" href="nr,{$sitenr_prew}.html?q={$smarty.get.q}" title="Przejdź do poprzedniej strony.">
                                <i class="flaticon-arrow395"></i>
                                Poprzednia
                            </a>                    
                        {/if}
                        {section name=foo start=$start loop=$koniec step=1}
                            <a class="page-numbers{if $smarty.section.foo.index==$sitenr} current{/if}" href="nr,{$smarty.section.foo.index}.html?q={$smarty.get.q}">{$smarty.section.foo.index}</a>
                        {/section}

                        {if $sitenr!=$sites}
                            {assign var='sitenr_next' value=$sitenr+1}
                            <a class="next page-numbers" href="nr,{$sitenr_next}.html?q={$smarty.get.q}" title="Przejdź do następnej strony.">
                                Następna
                                <i class="flaticon-move13"></i>
                            </a>                    
                        {/if}

                    </div>
                {/if}
                {*stronicowanie KONIEC *}                                
            {/if}
        {foreachelse}
            <div class="row space-bottom center">
                <p class="font-alt-2 lead"> Niestety brak wyników dla tego zapytania. </p>
            </div>
        {/foreach}  
    </div>


</div>
</section>
