<?php

/**
 * Description of config
 *
 * @author IT-Poland.com Jacek Pecko
 */
if (!class_exists('Config')) {


    class Config {

        static $confArray;

        public static function read($name) {
            return self::$confArray[$name];
        }

        public static function write($name, $value) {
            self::$confArray[$name] = $value;
        }

    }

}
// db
Config::write('db.host', $configDate[CMSCONFIG]['dbHost']);
Config::write('db.port', '5432');
Config::write('db.basename', $configDate[CMSCONFIG]['dbName']);
Config::write('db.user', $configDate[CMSCONFIG]['dbUser']);
Config::write('db.password', $configDate[CMSCONFIG]['dbPass']);
Config::write('db.prefix', $configDate[CMSCONFIG]['dbPrefix']);
Config::write('site.domain', $configDate[CMSCONFIG]['domain']);


#System
Config::write('system.dir', $configDate[CMSCONFIG]['dir']);
Config::write('system.moduleDir', $configDate[CMSCONFIG]['dir_modules']);
Config::write('system.moduleFunction', $configDate[CMSCONFIG]['dir_function']);
Config::write('system.classDir', $configDate[CMSCONFIG]['dir_class']);
Config::write('system.adminEmail', $configDate[CMSCONFIG]['adminEmail']);

#email
Config::write('email.name', $configDate[CMSCONFIG]['emailName']);
Config::write('email.adress', $configDate[CMSCONFIG]['emailAdress']);
