<?php
date_default_timezone_set('Europe/Warsaw');
error_reporting(E_ALL & ~E_NOTICE & ~E_STRICT & ~E_WARNING & ~E_DEPRECATED);
ini_set("log_errors", 1);
ini_set('display_errors', 0);
session_start();
include_once('config.php');
//rejestracja błędów
ini_set("error_log", $configDate[CMSCONFIG]['logsDir'] . 'phpLog_' . date("d-m-y") . '.log');

if (((empty($_SERVER["HTTPS"]) || $_SERVER["HTTPS"] !== "on") && CMSCONFIG != 'localDev' && $configDate[CMSCONFIG]['httpsRedir'] == true)) {
    header("Location: https://" . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"]);
    exit();
}

#plik konfiguracyjny




require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'Config.php';
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'class/Core.php';

require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'class/userAgent.php';

#pobieranie wszystkich funkcji globalnych
foreach (glob($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_function'] . "*.php") as $filename) {
    include_once $filename;
}

#pobieranie wszystkich klas globalnych
foreach (glob($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'global/' . "*.php") as $filename) {
    include_once $filename;
}

#pobieranie pluginóå smarty 
foreach (glob(Config::read('system.dir') . Config::read('smarty.pluginDir') . "*.php") as $filename) {
    include_once $filename;
}

//statystyki dla developera
if (in_array($_SERVER['REMOTE_ADDR'], $configDate[CMSCONFIG]['developerIP'])) {
    $statGeneretTimeStart = microtime();
}


if (in_array($_SERVER['REMOTE_ADDR'], $configDate[CMSCONFIG]['developerIP'])) {
    Config::write('cms.debuger', true);
    //TODO: do skasowania
    $systemDebug = true;
    //ini_set('display_errors', 1);
} else {
    Config::write('cms.debuger', false);
    //ini_set('display_errors', 0);
}
//rejestracja błędów
#poł±czenie z baz±
require_once Config::read('system.dir') . 'data/connect.php';

// moduł redirecton do przekierowań adresów
include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'redirection/class/Redirection.php';
$redirectObj = new Redirection;
$redirectObj->doRedirection();


#nowa sesja
include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'session.php';
include_once Config::read('system.dir') . Config::read('system.classDir') . 'session.php';

#koniec nowej sesji


$session = new Session();
$session->startSession();


ob_start();
if (CMSCONFIG !== 'localDev' AND 1==2) {
    if (class_exists('Memcache')) {
        $memcache = new Memcache();
    } else {
        $memcache = new Memcached();
    }
    $memcache->addServer('localhost', 11211);
} else {
    include_once Config::read('system.dir') . Config::read('system.classDir') . 'memcacheImitation.php';
    $memcache = new MemcacheImitation();
}

$cms_replace = array();
global $core;
$core = Core::getInstance();

#facebook
//require_once Config::read('system.dir') . Config::read('system.libsDir') . 'Facebook/facebook.php';
#users
require_once Config::read('system.dir') . Config::read('system.moduleDir') . 'user/class/User.php';
#smarty
require_once Config::read('system.dir') . Config::read('system.libsDir') . 'Smarty.class.php';
//deklaracje zmiennych globalnych
global $site;
#lądowanie wyświetlania zdjęć
require_once Config::read('system.dir') . Config::read('system.moduleDir') . 'class_cms_photo.php';



//Sprawdzanie zablokowanych adresów iP
// require_once Config::read('system.dir') . Config::read('system.moduleDir') . 'ip_block/class/ipBlock.php';
// $ipBlockObj = new ipBlock();
// $ipBlockObj->block();
//wykrywanie czy domena główna, czy subdomena
$smarty = new Smarty;
$smarty->caching_type = 'memcache';
$smarty->debugging = false;
$smarty->caching = false;
$smarty->setConfigDir(Config::read('system.dir') . 'configs/' . Config::read('site.domain') . '/');
$img_obj = new cms_photo;
$smarty->registerObject('cms_photo', $img_obj);

//$smarty->load_filter('output', 'join_javascript');
//$smarty->load_filter('output', 'join_css');

if ($_SERVER['SERVER_NAME'] == 'www.' . Config::read('site.domain')) {
    // get the servers base URL
    $location = Config::read('site.domain') . '/';

    // grab the current URI without a file name in it
    $location .= $_SERVER['REQUEST_URI'] . '/';

    $location = str_replace("//", "/", $location);
    $location = str_replace("//", "/", $location);
    $location = str_replace("//", "/", $location);
    $location = str_replace(".html/", ".html", $location);
    // $location = str_replace("www.", "", $location);

    $fireBug = '<!-- ' . $location . ' -->';
    require_once Config::read('system.dir') . Config::read('system.moduleDir') . 'site.php';
    header('HTTP/1.1 301 Moved Permanently');
    header('Location: http://' . $location);
    die();
} else if ($_SERVER['SERVER_NAME'] == Config::read('site.domain')) {    
    require_once Config::read('system.dir') . Config::read('system.moduleDir') . 'site.php';
} else {
    require_once Config::read('system.dir') . Config::read('system.moduleDir') . 'subdomain.php';
}

ob_end_flush();
mysqli_close($dbc);




if (in_array($_SERVER['REMOTE_ADDR'], $configDate[CMSCONFIG]['developerIP'])) {
    $statGeneretTimeEnd = microtime() - $statGeneretTimeStart;
    echo '<!-- Czes generowania strony: ' . $statGeneretTimeEnd . '-->';
    echo '<script>'
    . 'console.log(\'' . $fireBug . '\');'
    . '</script>';
}