<?php

#plik konfiguracyjny
include_once('../../config.php');
#połączenie z bazą
include_once('../../data/connect.php');
#nowa sesja
include_once('../../modules/session.php');
#koniec nowej sesji

#funkcja dodawania rekordów sql
include_once('../../modules/function_insert_sql.php');
#funkcja aktualizacji rekordów sql
include_once('../../modules/function_update_sql.php');


$show_form=true;	


if (isset($_POST['go_form'])){
	$bug=array();
	$test_save=true;	

	if (!is_numeric($_POST['cat_id'])){
		array_push($bug,"Proszę wybrać węzeł główny.");
		$test_save=false;		
	}


	if ($_POST['numberbysite']!='' AND  !is_numeric($_POST['numberbysite'])){
		array_push($bug,'Ilość elementów na stronie powinna być cyfrą.'); 
		$show_form=true;		
	}	

	if ($_POST['shift']!='' AND  !is_numeric($_POST['shift'])){
		array_push($bug,'Przesynięcie rekordów powinno być cyfrą.'); 
		$show_form=true;		
	}		
	
	if ($test_save==true){
		$row_name=array();
		$row_value=array();
		array_push ( $row_name, 'template_list');
		array_push ( $row_value, $_POST['template_list']);
		array_push ( $row_name, 'template_show');
		array_push ( $row_value, $_POST['template_show']);
		array_push ( $row_name, 'template_add');
		array_push ( $row_value, $_POST['template_add']);		
		array_push ( $row_name, 'model');
		array_push ( $row_value, $_POST['model']);	
		array_push ( $row_name, 'element_id');
		array_push ( $row_value, $_POST['element_id']);			
		array_push ( $row_name, 'cat_id');
		array_push ( $row_value, $_POST['cat_id']);		
		array_push ( $row_name, 'sortby');
		array_push ( $row_value, $_POST['sortby']);	
		array_push ( $row_name, 'sortto');
		array_push ( $row_value, $_POST['sortto']);			
		array_push ( $row_name, 'numberbysite');
		array_push ( $row_value, $_POST['numberbysite']);		
		array_push ( $row_name, 'paging');
		array_push ( $row_value, $_POST['paging']);
		array_push ( $row_name, 'shift');
		array_push ( $row_value, $_POST['shift']);

		
	
		$insert=true;
		if (isset($_GET['config_id'])){
			$config_id=addslashes($_GET['config_id']);
			$tabela=Config::read('db.prefix').'adress_base_conf';
			$wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `idrek`='$config_id';");
			$row = mysqli_fetch_array ($wynik, MYSQLI_BOTH);
			if ($row['idrek']>0)
				$insert=false;
		}
	
		$tabela=Config::read('db.prefix').'adress_base_conf';
		if ($insert==true){
			array_push ( $row_name, 'created_by');
			array_push ( $row_value, Config::read('user.id'));		
			array_push ( $row_name, 'created_date');
			array_push ( $row_value, mktime());		
			insert_sql($tabela,$row_name,$row_value);
			$config_id=mysqli_insert_id($dbc);
		}else{
			array_push ( $row_name, 'modifited_by');
			array_push ( $row_value, Config::read('user.id'));		
			array_push ( $row_name, 'modifited_date');
			array_push ( $row_value, mktime());		
			update_sql($tabela,$row_name,$row_value,'`idrek`=\''.$config_id.'\'');
		}	
		$show_form=false;
	}
}	

	$templates_dir=Config::read('system.dir').Config::read('system.frontTemplate').$_GET['template_dir'].'/';
	

	$templates_list=array();
	if ($handle = opendir($templates_dir)){
		while (false !== ($file = readdir($handle))){        
			$tmp=null;	
			$tmp=explode(".",$file);
			if (($tmp[1]=='tpl') AND ($tmp[2]=='html'))
				array_push($templates_list,$tmp[0]);        
		}
	}
	

	
if (isset($_GET['config_id'])){
	$conf_mod_id=addslashes($_GET['config_id']);
	$tabela=Config::read('db.prefix').'adress_base_conf';
	$wynik = mysqli_query($dbc, "SELECT `template_list`, `template_show`, `template_add`, `model`,`cat_id`, `sortby`, `sortto`, `numberbysite`, `paging`, `shift` FROM $tabela WHERE `idrek`='$conf_mod_id';");
	$row = mysqli_fetch_array ($wynik, MYSQLI_BOTH);	
	$save=$row;
}	


echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta http-equiv="Content-Language" content="pl" />
		<link rel="Stylesheet" type="text/css" href="http://s1.static.pultusk.biz/files/css/style.css" />
		<script src="http://s3.static.pultusk.biz/files/js/jquery.js" type="text/javascript"></script>		
		<script type="text/javascript" charset="utf-8">
		$(document).ready(function(){ 
			setTimeout(\'$("#bug").hide("slow")\',5000); 
		});		
		</script>	
		<script src="http://s3.static.pultusk.biz/files/js/admin/javascript.js" type="text/javascript"></script>
	</head>
	<body style="margin:10px;">
';

if ($show_form==true){	
	echo '
	<div class="content" style="opacity: 0.96; width:97%;">
	';

	//Informacje o bugach
	if (isset($bug) AND count($bug)>0){
		echo '
			<div id="bug">
							<h1>Uwaga:</h1>	
							<ul>
		';
		for ($i=0;$i<count($bug);$i++)		
			echo '<li>'.$bug[$i].'</li>';

		echo '
			</ul>
		</div>
		';
	}
	//Informacje o bugach - KONIEC


	echo '
	<form method="POST" name="iframe_form" action="">
		<input type="hidden" name="go_form" value="true" />
		
		<table style="width:100%;">
			<tr>
				<td style="width:50%; text-align:right;"><strong>Węzęł główny:*</strong></td>	
				<td>
		<input type="hidden" name="cat_id" id="cat_id" value="';
		if (isset($_POST['cat_id'])){
			echo $_POST['cat_id'];
		}else{
			echo $save['cat_id'];
		}
		echo '" /><input type="text" id="cat_name" name="cat_name" style="float: left; width: 300px;" readonly="readonly" value="';
		if (isset($_POST['cat_id']) or $save['cat_id']){
			if (isset($_POST['cat_id'])){
				$cat_id=$_POST['cat_id'];
			}else{
				$cat_id=$save['cat_id'];
			}
			$tabela=Config::read('db.prefix').'adress_base_structure';
			$wynik = mysqli_query($dbc, "SELECT `title` FROM $tabela WHERE `idrek`='$cat_id';");
			$row = mysqli_fetch_array ($wynik, MYSQLI_BOTH);		
			echo $row['title'];
		}else{
			echo 'Wybierz kategorię';
		}
		
		echo '" />&nbsp;<a href="javascript:open_popup(\'adress_base_structure\',\'cat\',\'cat_name\');" title="Wybierz rodzica"><img src="http://s1.'.CM_STATIC_DOMAIN.'/files/gfx/icons/select_16.png" border="0" alt="Wybierz" /></a>';
		
		echo '
			</td>
		</tr><tr>
			<td style="width:50%; text-align:right;"><strong>Szablon listy:*</strong></td>
			<td>
			<select name="template_list">
	';
		for ($i=0;$i<count($templates_list);$i++){
			echo '<option value="'.$templates_list[$i].'"';
			if (isset($_POST['template_list'])){
				if ($_POST['template_list']==$templates_list[$i]) echo ' selected="selected"';
			}else{
				if ($save['template_list']==$templates_list[$i]) echo ' selected="selected"';
			}
			echo '>'.$templates_list[$i].'</option>';
		}
	echo '				
	</select>
		</td>
	</tr>
	<tr>
		<td style="width:50%; text-align:right;"><strong>Szablon podglądu pojedyńczeg wpisu:*</strong></td>
		<td>
	<select name="template_show">
	';
		for ($i=0;$i<count($templates_list);$i++){
			echo '<option value="'.$templates_list[$i].'"';
			if (isset($_POST['template_show'])){
				if ($_POST['template_show']==$templates_list[$i]) echo ' selected="selected"';
			}else{
				if ($save['template_show']==$templates_list[$i]) echo ' selected="selected"';
			}
			echo '>'.$templates_list[$i].'</option>';
		}
	echo '				
	</select>
	</td>
	</tr>
	<tr>		
		<td style="width:50%; text-align:right;"><strong>Szablon dodawania wpisu:*</strong></td>
		<td>
	<select name="template_add">
	';
		for ($i=0;$i<count($templates_list);$i++){
			echo '<option value="'.$templates_list[$i].'"';
			if (isset($_POST['template_add'])){
				if ($_POST['template_add']==$templates_list[$i]) echo ' selected="selected"';
			}else{
				if ($save['template_add']==$templates_list[$i]) echo ' selected="selected"';
			}
			echo '>'.$templates_list[$i].'</option>';
		}
	echo '				
	</select>	
	</td>
	</tr>
	<tr>
	<td style="width:50%; text-align:right;"><strong>Model:</strong></td>
	<td>
	<select name="model">
		<option value="LIST"';if ($save['model']=='LIST') echo ' selected="selected"'; echo '>Lista</option>
		<option value="VIEW"';if ($save['model']=='VIEW') echo ' selected="selected"'; echo '>Widok</option>
		<option value="ADD"';if ($save['model']=='ADD') echo ' selected="selected"'; echo '>Dodawanie</option>
	</select>
	</td>
	</tr>
		<tr>
			<td style="width:50%; text-align:right;"><strong>Sortuj po:</strong></td>
			<td><select name="sortby">
				<option value="name"';
if (isset($_POST['sortby'])){
	if ($_POST['sortby']=='name')
		echo ' selected="selected"';
}else{
	if ($save['sortby']=='name')
		echo ' selected="selected"';		
}				
echo '>Nazwa</option>				

				<option value="date"';
if (isset($_POST['sortby'])){
	if ($_POST['sortby']=='date')
		echo ' selected="selected"';
}else{
	if ($save['sortby']=='date')
		echo ' selected="selected"';		
}				
echo '>Data</option>
			</select></td>
		</tr>		
		<tr>
			<td style="width:50%; text-align:right;"><strong>Kierunek sortowania:</strong></td>
			<td><select name="sortto">
				<option value="down"';
if (isset($_POST['sortto'])){
	if ($_POST['sortto']=='down')
		echo ' selected="selected"';
}else{
	if ($save['sortto']=='down')
		echo ' selected="selected"';		
}				
echo '>Malejący</option>				
				<option value="up"';
if (isset($_POST['sortto'])){
	if ($_POST['sortto']=='up')
		echo ' selected="selected"';
}else{		
	if ($save['sortto']=='up')
		echo ' selected="selected"';		
}				
echo '>Rosnący</option>	
			</select></td>
		</tr>
		<tr>
			<td style="width:50%; text-align:right;"><strong>Ilość elementów na stronie:</strong></td>
			<td><input type="text" name="numberbysite" value="';
			if (isset($_POST['numberbysite']))
				echo $_POST['numberbysite'];
			else	
				echo $save['numberbysite'];
			echo '" maxlength="254" style="width:100px;" /></td>
		</tr>
		<tr>
			<td style="width:50%; text-align:right;"><strong>Stronicowanie:</strong></td>
			<td><label><input type="radio" name="paging" value="Y" ';
if ((isset($_POST['paging']) AND $_POST['paging']=='Y') OR (!isset($_POST['paging']) AND $save['paging']=="Y"))
	echo ' checked="checked"';
echo '
			/> - Tak</label>
			&nbsp;&nbsp;&nbsp;
<label><input type="radio" name="paging" value="N" ';
if ((isset($_POST['paging']) AND $_POST['paging']=='N') OR (!isset($_POST['paging']) AND $save['paging']=="N") OR (!isset($_POST['paging']) AND !isset($save['paging'])))
	echo ' checked="checked"';
echo '
			/> - Nie</label>			
			
			</td>
		</tr>
		<tr>
			<td style="width:50%; text-align:right;"><strong>Przesuń wyniki o:</strong></td>
			<td><input type="text" name="shift" value="';
			if (isset($_POST['shift']))
				echo $_POST['shift'];
			else	
				echo  $save['shift'];
			echo '" maxlength="254" style="width:100px;" /></td>
		</tr>	
	</table>
	<br /><br />
	<em>* - elementy obowiązkowe</em>
	<div id="input_hide"></div>
	</form>
	';


}else{
		echo '<script>
			';
			if (mysqli_error($dbc)){
				echo 'alert("'.mysqli_error($dbc).'");';
			}else{
				echo '
				window.parent.document.first_form.config_id.value=\''.$config_id.'\';
				window.parent.document.first_form.submit();
				';
			}
		echo '
		</script>	
		';
}

echo '
	</body>
</html>	
';	
//echo mysqli_error($dbc);
mysqli_close($dbc);	
?>