<?php


#plik konfiguracyjny
include_once('../../config.php');

require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'Config.php';

require_once Config::read('system.dir') . $configDate[CMSCONFIG]['dir_modules'] . 'class/Core.php';


#połączenie z bazą
include_once Config::read('system.dir') . 'data/connect.php';
#nowa sesja

include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'session.php';
include_once Config::read('system.dir') . Config::read('system.classDir') . 'session.php';


#koniec nowej sesji
#funkcja dodawania rekordów sql
include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'function_insert_sql.php';
#funkcja aktualizacji rekordów sql
include_once Config::read('system.dir') . Config::read('system.moduleDir') . 'function_update_sql.php';
require_once Config::read('system.dir') . Config::read('system.classDir')  . 'Template.php';

$session = new Session();
$session->startSession();


if (Config::read('user.group')!=3)
    die('Brak dostępu');

$show_form = true;


if (isset($_GET['config_id'])) {
    $conf_mod_id = addslashes($_GET['config_id']);
    $tabela = Config::read('db.prefix') . 'announcementCategory_conf';
    $wynik = mysqli_query($dbc, "SELECT * FROM $tabela WHERE `idrek`='$conf_mod_id';");
    $save = mysqli_fetch_array($wynik, MYSQLI_ASSOC);
}




#odczytywanie plików z szablonami
$template = new Temlate();
$templates_list = $template->getTemlateList($_GET['template_dir'] . '/');




if (isset($_POST['go_form'])) {
    $bug = array();
    $test_save = true;

    if (!is_numeric($_POST['cat_id'])) {
        array_push($bug, "Proszę wybrać kategorię.");
        $test_save = false;
    }
    if ($test_save == true) {
        $row_name = array();
        $row_value = array();
        array_push($row_name, 'catId');
        array_push($row_value, $_POST['cat_id']);
        array_push($row_name, 'templateList');
        array_push($row_value, $_POST['templateList']);
        array_push($row_name, 'showFull');
        array_push($row_value, $_POST['showFull']);
        
        $insert = true;
        if (isset($_GET['config_id'])) {
            $config_id = addslashes($_GET['config_id']);
            $tabela = Config::read('db.prefix') . 'announcementCategory_conf';
            $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `idrek`='$config_id';");
            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
            if ($row['idrek'] > 0)
                $insert = false;
        }

        $tabela = Config::read('db.prefix') . 'announcementCategory_conf';
        if ($insert == true) {
            array_push($row_name, 'created_by');
            array_push($row_value, Config::read('user.id'));
            array_push($row_name, 'created_date');
            array_push($row_value, mktime());
            insert_sql($tabela, $row_name, $row_value);
            $config_id = mysqli_insert_id($dbc);
        } else {
            array_push($row_name, 'modifited_by');
            array_push($row_value, Config::read('user.id'));
            array_push($row_name, 'modifited_date');
            array_push($row_value, mktime());
            update_sql($tabela, $row_name, $row_value, '`idrek`=\'' . $config_id . '\'');
        }
        $show_form = false;
    }
}



$templates_dir = Config::read('system.dir') . Config::read('system.frontTemplate') . $_GET['template_dir'] . '/';


$templates_list = array();
if ($handle = opendir($templates_dir)) {
    while (false !== ($file = readdir($handle))) {
        $tmp = null;
        $tmp = explode(".", $file);
        if ((($tmp[1] == 'tpl') AND ($tmp[2] == 'html')) OR ($tmp[1] == 'tpl' AND !isset($tmp[2])))
            array_push($templates_list, $tmp[0]);
    }
}


echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta http-equiv="Content-Language" content="pl" />
		<link rel="Stylesheet" type="text/css" href="http://' . CM_STATIC_DOMAIN . '/files/admin/css/style.css" />
		<script src="http://' . CM_STATIC_DOMAIN . '/files/admin/js/jquery/jquery.js" type="text/javascript"></script>		
		<script type="text/javascript" charset="utf-8">
		$(document).ready(function(){ 
			setTimeout(\'$("#bug").hide("slow")\',5000); 
		});		
		</script>	
		<script src="http://' . CM_STATIC_DOMAIN . '/files/admin/js/javascript.js" type="text/javascript"></script>
	</head>
	<body style="margin:10px;">
';


if ($show_form == true) {
    echo '<div class="content" style="opacity: 0.96; width:97%;">';

//Informacje o bugach
    if (isset($bug) AND count($bug) > 0) {
        echo '<div id="bug">
                 <h1>Uwaga:</h1>	
		<ul>';
        for ($i = 0; $i < count($bug); $i++)
            echo '<li>' . $bug[$i] . '</li>';

        echo '</ul>
	</div>';
    }
//Informacje o bugach - KONIEC


    echo '
	<form method="POST" name="iframe_form" action="">
		<input type="hidden" name="go_form" value="true" />
		
		<table style="width:100%;">
			<tr>
				<td style="width:50%; text-align:right;"><strong>Kategoria:*</strong></td>	
				<td>
		<input type="hidden" name="cat_id" id="cat_id" value="';
    if (isset($_POST['cat_id'])) {
        echo $_POST['cat_id'];
    } else {
        echo $save['catId'];
    }
    echo '" /><input type="text" id="cat_name" name="cat_name" style="float: left; width: 300px;" readonly="readonly" value="';
    if (isset($_POST['cat_id']) or $save['catId']) {
        if (isset($_POST['cat_id'])) {
            $catId = $_POST['cat_id'];
        } else {
            $catId = $save['catId'];
        }
        $tabela = Config::read('db.prefix') . 'announcement_structure';
        $wynik = mysqli_query($dbc, "SELECT `title` FROM $tabela WHERE `idrek`='$catId';");
        $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
        echo $row['title'];
    } else {
        echo 'Wybierz kategorię';
    }

    echo '" />&nbsp;<a href="javascript:open_popup(\'announcement_structure\',\'cat\',\'cat_name\');" title="Wybierz kategorie"><img src="http://' . CM_STATIC_DOMAIN . '/files/admin/gfx/icons/select_16.png" border="0" alt="Wybierz" /></a>';

    echo '
			</td>
		</tr>
                    <tr>
			<td style="width:30%; text-align:right;"><strong>Pełne dane (podkategorie):*</strong></td>
			<td>
                        <label><input type="radio" name="showFull" value="N"';
                        if ($_POST['showFull']=='N' OR (!isset($_POST['showFull']) and $save['showFull']=='N'))
                            echo ' checked';
                        echo ' /> - Nie</label><label><input type="radio" name="showFull" value="Y"';
                        if ($_POST['showFull']=='Y' or (!isset($_POST['showFull']) and $save['showFull']=='Y'))
                            echo ' checked';
                        echo ' /> - Tak</label>			
';
    echo '
	     </td>
	</tr>                   
                    <tr>
			<td style="width:30%; text-align:right;"><strong>Szablon kategorii:*</strong></td>
			<td>
			<select name="templateList">
	';
    for ($i = 0; $i < count($templates_list); $i++) {
        echo '<option value="' . $templates_list[$i] . '"';
        if (isset($_POST['templateList'])) {
            if ($_POST['templateList'] == $templates_list[$i])
                echo ' selected="selected"';
        }else {
            if ($save['templateList'] == $templates_list[$i])
                echo ' selected="selected"';
        }
        echo '>' . $templates_list[$i] . '</option>';
    }
    echo '				
	</select>
	     </td>
	</tr>   
	</table>
	<br /><br />
	<em>* - elementy obowiązkowe</em>
	<div id="input_hide"></div>
	</form>
	';
} else {
    echo '<script>';
    if (mysqli_error($dbc)) {
        echo 'alert("' . mysqli_error($dbc) . '");
';
    } else {
        echo '
window.parent.document.first_form.config_id.value = \'' . $config_id . '\';
				window.parent.document.first_form.submit();
				';
    }
    echo '</script>';
}


echo '</div>
	</body>
</html>	
';


//echo mysqli_error($dbc);
mysqli_close($dbc);