<?php

include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'function_create_link.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'structure/class/structure.php';

/**
 * Description of announcmentCategory
 *
 * @author IT-Poland.com Jacek Pecko
 */
class announcmentCategory {
    #$showSubCat - jeżeli nie ma dzieci pokaż inne podkategorie
    #zmienione na potrzeby web-rynek i prezentacji tam podkategorii

    protected $childId = array();

    public function showCategory($catId, $showSubCat = TRUE) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'announcement_structure';
        $dane = mysqli_query($dbc, "SELECT `idrek`,`title`, `structureid`, `parentid` FROM $tabela WHERE `idrek`=" . $catId . " AND `active`='Y';");
        $row = mysqli_fetch_array($dane, MYSQLI_ASSOC);
        if ($row['idrek'] > 0) {
            $element = array();
            $element['catId'] = $row['idrek'];
            $element['idrek'] = $row['idrek'];
            $element['title'] = $row['title'];
            $element['structureId'] = $row['structureid'];
            $element['url'] = create_link($row['structureid'], TRUE);

            $licznik = 0;
            $tabela = Config::read('db.prefix') . 'announcement_structure';
            $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `structureid` FROM $tabela where `parentid`='" . $catId . "' and  `active`='Y' order by `waga`;");
            while ($rekord = mysqli_fetch_array($wynik, MYSQLI_ASSOC)) {
                $element['element'][$licznik]['idrek'] = $rekord['idrek'];
                $element['element'][$licznik]['title'] = $rekord['title'];
                $element['element'][$licznik]['structureid'] = $rekord['structureid'];
                $element['element'][$licznik]['url'] = create_link($rekord['structureid'], TRUE);
                $element['element'][$licznik]['count'] = $this->getCountActiveAnnoucment($rekord['idrek']);
                $licznik++;
            }

            if ($licznik == 0 && $showSubCat == TRUE) {
                $catId2 = $row['parentid'];
                $licznik = 0;
                $tabela = Config::read('db.prefix') . 'announcement_structure';
                $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `structureid` FROM $tabela where `parentid`='" . $catId2 . "' and  `active`='Y' order by `waga`;");
                while ($rekord = mysqli_fetch_array($wynik, MYSQLI_ASSOC)) {
                    $element['element'][$licznik]['idrek'] = $rekord['idrek'];
                    $element['element'][$licznik]['title'] = $rekord['title'];
                    $element['element'][$licznik]['structureid'] = $rekord['structureid'];
                    $element['element'][$licznik]['url'] = create_link($rekord['structureid'], TRUE);
                    $element['element'][$licznik]['count'] = $this->getCountActiveAnnoucment($rekord['idrek']);
                    if ($rekord['idrek'] == $catId)
                        $element['element'][$licznik]['select'] = true;
                    else
                        $element['element'][$licznik]['select'] = false;
                    $licznik++;
                }
            }

            $element['parent'] = $this->getCategory($row['parentid'], TRUE);

            //pobiranie innych dzieci z tego drzewa
            $element['otherChild'] = $this->getCategoryChild($row['parentid'], "Y");

            return $element;
        } else {

            return false;
        }
    }

    public function getCategoryChild($catId, $active = "Y") {
        global $dbc;
        if ($active == "Y")
            $activeNew = TRUE;
        else
            $activeNew = FALSE;

        $category = array();
        $licznik = 0;
        $tabela = Config::read('db.prefix') . 'announcement_structure';
        if ($active == "Y")
            $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `parentid`, `sel` FROM $tabela where `parentid`='" . $catId . "' and  `active`='Y' order by `waga`;");
        elseif ($active == "N")
            $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `parentid`, `sel` FROM $tabela where `parentid`='" . $catId . "' and  `active`='N' order by `waga`;");
        //elseif ($active == "ALL")
        else
            $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `parentid`, `sel` FROM $tabela where `parentid`='" . $catId . "' order by `waga`;");
        while ($rekord = mysqli_fetch_array($wynik, MYSQLI_ASSOC)) {
            $category[$licznik] = $this->getCategory($rekord['idrek'], $activeNew);
            // $category[$licznik]['title'] = $rekord['title'];
            // $category[$licznik]['parentid'] = $rekord['parentid'];
            // $category[$licznik]['child'] = $this->getCategoryChild($rekord['idrek'], $active);
            // $category[$licznik]['sel'] = $rekord['sel'];
            $licznik++;
        }
        if ($licznik > 0) {
            return $category;
        } else {
            return FALSE;
        }
    }

    public function getAllCategoryChildId($catId, $active = "Y") {
        global $dbc;
        if ($active == "Y")
            $activeNew = TRUE;
        else
            $activeNew = FALSE;

        $category = array();
        $licznik = 0;
        $tabela = Config::read('db.prefix') . 'announcement_structure';
        if ($active == "Y")
            $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `parentid`, `sel` FROM $tabela where `parentid`='" . $catId . "' and  `active`='Y' order by `waga`;");
        elseif ($active == "N")
            $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `parentid`, `sel` FROM $tabela where `parentid`='" . $catId . "' and  `active`='N' order by `waga`;");
        //elseif ($active == "ALL")
        else
            $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela where `parentid`='" . $catId . "' order by `waga`;");
        while ($rekord = mysqli_fetch_array($wynik, MYSQLI_ASSOC)) {
            array_push($this->childId, $rekord['idrek']);
            $this->getAllCategoryChildId($rekord['idrek'], $active);
            $licznik ++;
        }

        if ($licznik > 0) {
            return $category;
        } else {
            return FALSE;
        }
    }
    
    function getChildId() {
        return $this->childId;
    }

    
    public function getAllCategory() {
        global $dbc;
        $category = array();
        $licznik = 0;
        $tabela = Config::read('db.prefix') . 'announcement_structure';
        $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `parentid`, `sel` FROM $tabela where `parentid`='".Config::read('announcment.MasterCategory')."' and  `active`='Y' order by `waga`;");
        while ($rekord = mysqli_fetch_array($wynik, MYSQLI_ASSOC)) {
            $category[$licznik]['id'] = $rekord['idrek'];
            $category[$licznik]['title'] = $rekord['title'];
            $category[$licznik]['parentid'] = $rekord['parentid'];
            $category[$licznik]['sel'] = $rekord['sel'];
            $category[$licznik]['child'] = $this->getCategoryChild($rekord['idrek']);
            $licznik++;
        }
        return $category;
    }

    public function getParentElem($what) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'announcement_structure';
        $wynik = mysqli_query($dbc, "SELECT `parentid` FROM $tabela WHERE `idrek`='$what';");
        $row = mysqli_fetch_array($wynik, MYSQLI_ASSOC);
        return $row['parentid'];
    }

    public function getAnnoucementGroupParent($what) {
        $arr = array();
        array_push($arr, $what);
        $parent = $this->getParentElem($what);
        array_push($arr, $parent);
        while ($parent != 0) {
            $parent = $this->getParentElem($parent);
            array_push($arr, $parent);
        }
        return $arr;
    }

    public function getCategory($id, $onlyActive = FALSE) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'announcement_structure';
        if ($onlyActive == TRUE)
            $dane = mysqli_query($dbc, "SELECT `idrek`,`title`, `structureid` FROM $tabela WHERE `idrek`=" . $id . " AND `active`='Y';");
        else
            $dane = mysqli_query($dbc, "SELECT `idrek`,`title`, `structureid` FROM $tabela WHERE `idrek`=" . $id . ";");


        $category = mysqli_fetch_array($dane, MYSQLI_ASSOC);
        if ($category['idrek'] > 0) {

            $tabela = Config::read('db.prefix') . 'announcement_structure';
            $wynik = mysqli_query($dbc, "SELECT `idrek`,`title`, `parentid`, `structureid` FROM $tabela WHERE `idrek`='$id';");
            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
            $elementsname = $row['title'];
            $parentId = $row['parentid'];

            $fields = $this->getCategoryFields($id);

            if (count($fields) > 0) {
                $category['fields'] = $fields;
            }

            $category['url'] = structure::getAdressById($row['structureid'], TRUE);

            return $category;
        } else {
            return false;
        }
    }

    //funckja zwraca id kategorii podrzednych
    public function getIdChildCat($what) {
        global $dbc;
        $catId = array();
        $arr = array();
        array_push($catId, $what);
        $cat_doouble = $this->getIdChildCatDouble($what, $arr);

        for ($i = 0; $i < count($cat_doouble); $i++) {
            $catId[$i + 1] = $cat_doouble[$i];
        }



        return $catId;
    }

    private function getIdChildCatDouble($what, $arr) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'announcement_structure';
        $sql = "SELECT `idrek` FROM " . $tabela . " where `parentid` = '$what';";
        $core = Core::getInstance();
        $stmt = $core->dbh->prepare($sql);
        $stmt->execute();
        while ($row = $stmt->fetch()) {
            array_push($arr, $row['idrek']);
            if ($this->isChildCat($row['idrek'])) {
                $arrTemp = $this->getIdChildCatDouble($row['idrek'], $arr);
                $it = new RecursiveIteratorIterator(new RecursiveArrayIterator($arrTemp));
                foreach ($it as $v) {
                    if (!in_array($v, $arr) and ! is_array($v)) {
                        array_push($arr, $v);
                    }
                }
            }
        }
        $stmt->closeCursor();
        return $arr;
    }

    public function isChildCat($what) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'announcement_structure';
        $sql = "SELECT `idrek` FROM " . $tabela . " where `parentid` = '$what';";
        $core = Core::getInstance();
        $sth = $core->dbh->prepare($sql);
        $sth->execute();
        $count = $sth->rowCount();
        if ($count > 0) {
            return TRUE;
        } else {
            return FALSE;
        }
    }

    public function getCategoryName($id, $onlyActive = FALSE) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'announcement_structure';
        if ($onlyActive == TRUE)
            $dane = mysqli_query($dbc, "SELECT `idrek`,`title` FROM $tabela WHERE `idrek`=" . $id . " AND `active`='Y';");
        else
            $dane = mysqli_query($dbc, "SELECT `idrek`,`title` FROM $tabela WHERE `idrek`=" . $id . ";");
        $category = mysqli_fetch_array($dane, MYSQLI_ASSOC);
        return $category['title'];
    }

    public function getCategoryUrl($catId) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'announcement_structure';
        $dane = mysqli_query($dbc, "SELECT `structureid` FROM $tabela WHERE `idrek`=" . $catId . ";");
        $category = mysqli_fetch_array($dane, MYSQLI_ASSOC);
        if ($category['structureid'] > 0) {
            $url = create_link($category['structureid'], TRUE);
            if ($url != '' AND $url != NULL) {
                return $url;
            } else {
                return FALSE;
            }
        } else {
            return FALSE;
        }
    }

    //funckja zliczająca aktywne ogłoszenia w kategorii
    public function getCountActiveAnnoucment($catId = FALSE) {
        global $dbc;
        $catQuery = '';
        if ($catId != FALSE) {
            $catObj = new announcmentCategory();
            $catArr = $catObj->getIdChildCat($catId);

            $catQuery = "`catId`='" . $_GET['what'] . "'";
            for ($i = 0; $i < count($catArr); $i++) {
                $catQuery.= " OR `catId`='" . $catArr[$i] . "' ";
            }
        } else {
            $catQuery = ' 1=1';
        }


        $zapytanie = " WHERE (" . $catQuery . ") AND `status` = 'ACCEPT' AND  `active` = 'Y' and `step` = 4";

        $ile = 0;
        $tabela = Config::read('db.prefix') . 'announcement';
        $dane = mysqli_query($dbc, "SELECT COUNT(*) FROM $tabela $zapytanie;");
        $row2 = mysqli_fetch_array($dane);
        $ile = $row2[0];
        return $ile;
    }

    public function getCategoryFields($categoryId, $onlySpecial = FALSE) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'announcement_structure';
        $wynik = mysqli_query($dbc, "SELECT `idrek`,`title`, `parentid` FROM $tabela WHERE `idrek`='$categoryId';");
        $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
        $elementsname = $row['title'];
        $parentId = $row['parentid'];
        $idArr = $this->getAnnoucementGroupParent($categoryId);

        $queryStruId = '';
        for ($i = 0; $i < count($idArr); $i++) {
            $queryStruId.="`structureid`='" . $idArr[$i] . "' ";
            if ($i < count($idArr) - 1) {
                $queryStruId.=" OR ";
            }
        }

        if ($onlySpecial == true) {
            $queryStruId = " (" . $queryStruId . ") AND `typeId` IS NOT NULL ";
        }


        $licznik = 0;
        $fields = array();
        $tabela = Config::read('db.prefix') . 'announcement_fields';
        $wynik = mysqli_query($dbc, "SELECT `idrek`, `structureid`, `show_name`, `waga`, `type`,`help`, `must`, `typeId`  FROM $tabela where $queryStruId  order by `waga`, `show_name`;");
        while ($rekord = mysqli_fetch_array($wynik, MYSQLI_ASSOC)) {
            $fields[$licznik] = $rekord;
            if ($rekord['structureid'] == $categoryId) {
                $fields[$licznik]['parent'] = false;
            } else {
                $fields[$licznik]['parent'] = true;
            }

            //zczytywanie dodatkowych nazw dla pól specjalnych
            if ($fields[$licznik]['typeId'] != NULL) {
                $tabelaFieldSpec = Config::read('db.prefix') . 'announcement_type';
                $daneFieldSpec = mysqli_query($dbc, "SELECT `name`, `title` FROM $tabelaFieldSpec WHERE `idrek`=" . $fields[$licznik]['typeId'] . ";");
                $rowFieldSpec = mysqli_fetch_array($daneFieldSpec, MYSQLI_ASSOC);
                $fields[$licznik]['specName'] = $rowFieldSpec['name'];
                $fields[$licznik]['specTitle'] = $rowFieldSpec['title'];
            }

            //zczytywanie danych dla pola tekstowego
            if ($rekord['type'] == 'txt') {
                $tabelaField = Config::read('db.prefix') . 'announcement_fields_txt';
                $daneField = mysqli_query($dbc, "SELECT `maxlength` FROM $tabelaField WHERE `idrek`=" . $rekord['idrek'] . ";");
                $rowField = mysqli_fetch_array($daneField, MYSQLI_ASSOC);
                $fields[$licznik]['maxlength'] = $rowField['maxlength'];
            } else if ($rekord['type'] == 'multiselect') {
                $tabelaField = Config::read('db.prefix') . 'announcement_fields_multi_setting';
                $daneField = mysqli_query($dbc, "SELECT `multichoice` FROM $tabelaField WHERE `field_id`=" . $rekord['idrek'] . ";");
                $rowField = mysqli_fetch_array($daneField, MYSQLI_ASSOC);
                $fields[$licznik]['multichoice'] = $rowField['multichoice'];
                $liczField = 0;
                $fields[$licznik]['option'] = array();
                $tabelaF = Config::read('db.prefix') . 'announcement_fields_multi';
                $wynikF = mysqli_query($dbc, "SELECT `idrek`, `name`, `value`  FROM $tabelaF where `field_id`='" . $rekord['idrek'] . "'  order by `weight`;");
                while ($rekordF = mysqli_fetch_array($wynikF, MYSQLI_ASSOC)) {
                    $fields[$licznik]['option'][$liczField]['id'] = $rekordF['idrek'];
                    $fields[$licznik]['option'][$liczField]['name'] = $rekordF['name'];
                    $fields[$licznik]['option'][$liczField]['value'] = $rekordF['value'];
                    $fields[$licznik]['option'][$liczField]['selected'] = false;
                    for ($i = 0; $i < count($_POST['form' . $rekord['idrek']]); $i++) {
                        if ($_POST['form' . $rekord['idrek']][$i] == $fields[$licznik]['option'][$liczField]['value']) {
                            $fields[$licznik]['option'][$liczField]['selected'] = true;
                        }
                    }
                    $liczField++;
                }
            } else if ($rekord['type'] == 'textarea') {
                $tabelaField = Config::read('db.prefix') . 'announcement_fields_textarea';
                $daneField = mysqli_query($dbc, "SELECT `minlength`,`maxlength`, `bbcode` FROM $tabelaField WHERE `idrek`=" . $rekord['idrek'] . ";");
                $rowField = mysqli_fetch_array($daneField, MYSQLI_ASSOC);
                $fields[$licznik]['minlength'] = $rowField['minlength'];
                $fields[$licznik]['maxlength'] = $rowField['maxlength'];
                $fields[$licznik]['bbcode'] = $rowField['bbcode'];
            }


            if (isset($_POST['form' . $rekord['idrek']])) {
                $fields[$licznik]['post'] = $_POST['form' . $rekord['idrek']];
            }
            $licznik++;
        }
        return $fields;
    }

}
