<?php

/**
 * Description of config
 *
 * @author IT-Poland.com Jacek Pecko
 */
if (!class_exists('Config')) {


    class Config {

        static $confArray;

        public static function read($name) {
            return self::$confArray[$name];
        }

        public static function write($name, $value) {
            self::$confArray[$name] = $value;
        }

    }

}
// db
Config::write('db.host', $configDate[CMSCONFIG]['dbHost']);
Config::write('db.port', '5432');
Config::write('db.basename', $configDate[CMSCONFIG]['dbName']);
Config::write('db.user', $configDate[CMSCONFIG]['dbUser']);
Config::write('db.password', $configDate[CMSCONFIG]['dbPass']);
Config::write('db.prefix', $configDate[CMSCONFIG]['dbPrefix']);
Config::write('site.domain', $configDate[CMSCONFIG]['domain']);
Config::write('site.domainVisible', $configDate[CMSCONFIG]['domainVisible']);
Config::write('site.staticDomain', $configDate[CMSCONFIG]['staticDomain']);
Config::write('site.siteId404', $configDate[CMSCONFIG]['siteId404']);
Config::write('site.debug', $configDate[CMSCONFIG]['debug']);
Config::write('site.templateNoToGroup', $configDate[CMSCONFIG]['templateNoToGroup']);

Config::write('session.cookiename', $configDate[CMSCONFIG]['cookieSessionName']);
Config::write('session.time', $configDate[CMSCONFIG]['sessionTime']);

#System
Config::write('system.dir', $configDate[CMSCONFIG]['dir']);
Config::write('system.frontTemplate', $configDate[CMSCONFIG]['templatesDir']);
Config::write('system.emailTemplate', $configDate[CMSCONFIG]['templatesEmail']);
Config::write('system.moduleCacheDir', $configDate[CMSCONFIG]['moduleCachePath']);
Config::write('system.moduleDir', $configDate[CMSCONFIG]['dir_modules']);
Config::write('system.moduleFunction', $configDate[CMSCONFIG]['dir_function']);
Config::write('system.thirdpartyDir', $configDate[CMSCONFIG]['dir_thirdparty']);
Config::write('system.classDir', $configDate[CMSCONFIG]['dir_class']);
Config::write('system.libsDir', $configDate[CMSCONFIG]['dir_libs']);
Config::write('system.pageAdmin', $configDate[CMSCONFIG]['dir_page_admin']);
Config::write('system.cacheTime', $configDate[CMSCONFIG]['cacheTime']);
Config::write('system.adminEmail', $configDate[CMSCONFIG]['adminEmail']);


Config::write('smarty.cacheDir', $configDate[CMSCONFIG]['dir'] . '/' . $configDate[CMSCONFIG]['smartyCacheDir']);


Config::write('user.notRegisterGroup', $configDate[CMSCONFIG]['UsernotRegisterGroup']);

#email
Config::write('email.name', $configDate[CMSCONFIG]['emailName']);
Config::write('email.adress', $configDate[CMSCONFIG]['emailAdress']);

#ogloszenia
Config::write('anno.PhotoCat', $configDate[CMSCONFIG]['annoucmentPhotoCat']);


#Facebook
Config::write('fb.apiId', $configDate[CMSCONFIG]['facebookAppId']);
Config::write('fb.secret', $configDate[CMSCONFIG]['facebookSecret']);

#Google
Config::write('gp.googleClientId', $configDate[CMSCONFIG]['googleClientId']);
Config::write('gp.googleSecret', $configDate[CMSCONFIG]['googleSecret']);
Config::write('gp.googleRedirectUri', $configDate[CMSCONFIG]['googleRedirectUri']);

#recaptcha
Config::write('recaptcha.siteKey', $configDate[CMSCONFIG]['reCapchaSiteKey']);
Config::write('recaptcha.secretKey', $configDate[CMSCONFIG]['reCapchaSecretKey']);


#memcached
Config::write('mc.address', $configDate[CMSCONFIG]['memcachedAdd']);
Config::write('mc.port', $configDate[CMSCONFIG]['memcachedPort']);

#smarty
Config::write('smarty.pluginDir', $configDate[CMSCONFIG]['smartyPluginDir']);

#sphinx
Config::write('sphinx.adress', $configDate[CMSCONFIG]['sphinxAdress']);
Config::write('sphinx.port', $configDate[CMSCONFIG]['sphinxPort']);

#Ogłoszenia
Config::write('announcment.MasterCategory', $configDate[CMSCONFIG]['announcmentMasterCategory']);
Config::write('announcment.DefaultCategory', $configDate[CMSCONFIG]['announcmentDefaultCategory']);

#par.com
//Config::write('parXmlUrlProduct.url', $configDate[CMSCONFIG]['parXmlUrlProduct']);
//Config::write('parXmlUrlStock.url', $configDate[CMSCONFIG]['parXmlUrlStock']);
//Config::write('par.user', $configDate[CMSCONFIG]['parUser']);
//Config::write('par.pass', $configDate[CMSCONFIG]['parPassword']);

#import produkctów - sklep
//Config::write('shop.importPhotoCatId', $configDate[CMSCONFIG]['photoCatId']);
//Config::write('shop.feedCategoryId', $configDate[CMSCONFIG]['feedCategoryId']);


#smsAPI
Config::write('sms.token', $configDate[CMSCONFIG]['apiToken']);
Config::write('sms.number', $configDate[CMSCONFIG]['smsInfoNubmer']);