<?php

##########################################
#       Moduł "Baza adresowa"  1.0       #
#       Autor: Jacek Pecko IT-Poland.com #
##########################################
//$module['conf_id']
//$module['placment_name']

include_once("modules/function_get_diff.php");
include_once('modules/function_create_link.php');

function getChildId($what) {
    global $dbc;
    global $zapytanie_w;
    $zapytanie_w.=' OR ties.categoryid=' . $what;
    $tabela = Config::read('db.prefix') . 'content_structure';
    $wynik = mysqli_query($dbc, "SELECT `idrek`,`parentid` FROM $tabela WHERE `idrek`='$what';");
    $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
    if ($row['parentid'] != 0)
        getChildId($row['parentid']);
    else
        $zapytanie_w.=' OR ties.categoryid=0';
}

//zczytywanie configa głównego
$tabela = Config::read('db.prefix') . 'modules';
$wynik = mysqli_query($dbc, "SELECT `idrek`,`template_dir` FROM $tabela WHERE `badge`='content';");
$row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
$template_dir = $row['template_dir'];
//zczytywanie configa modułu
$tabela = Config::read('db.prefix') . 'content_conf';
$wynik = mysqli_query($dbc, "SELECT `idrek`,`template_list`,`template_show`, `template_add`, `model`, `element_id`, `cat_id`, `sortby`, `sortto`, `numberbysite`, `paging`, `shift`, `created_by`, `created_date`, `modifited_by`, `modifited_date` FROM $tabela WHERE `idrek`='" . $module['conf_id'] . "';");
$mod_conf = mysqli_fetch_array($wynik, MYSQLI_BOTH);
if ($mod_conf['idrek'] > 0) {
    $smarty->assign("mod_conf", $mod_conf);

    include_once("modules/class_cms_token.php");
    include_once("modules/function_GetUserIP.php");
    $token_obj = new cms_token;
    $img_obj = new cms_photo;

    $smarty->registerObject('cms_token', $token_obj);


    if ($mod_conf['model'] == 'LIST' AND ! isset($url_arr['pokaz'])) {
        $tabela = Config::read('db.prefix') . 'content_structure';
        $wynik = mysqli_query($dbc, "SELECT `idrek`,`title`,`keywords`,`description` FROM $tabela WHERE `idrek`='" . $mod_conf['cat_id'] . "' AND `active`='T';");
        $category = mysqli_fetch_array($wynik, MYSQLI_BOTH);
        if ($category['idrek'] > 0) {
            $smarty->assign("category", $category);

            array_push($admin_links['name'], 'Kontent. Kategoria - ' . $category['title'] . ' [' . $category['idrek'] . ']');
            array_push($admin_links['link'], 'http://' . Config::read('site.domain') . '/adminindex.php?pages=content_structure_edit&what=' . $category['idrek']);

            $tabela = Config::read('db.prefix') . 'content_structure';
            $wynik = mysqli_query($dbc, "SELECT `idrek`,`title`, `parentid` FROM $tabela WHERE `idrek`='" . $mod_conf['cat_id'] . "';");
            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
            $elementsname = $row['title'];
            $structure_parentid = $row['parentid'];


            $tabela = Config::read('db.prefix') . 'content_article AS `article`';
            $tabela2 = Config::read('db.prefix') . 'content_ties AS `ties`';

            $zapytanie_w = '';
            if (is_numeric($category['idrek'])) {
                $zapytanie_w = "(ties.fullindex='" . $category['idrek'] . "' OR ties.fullindex LIKE '%|" . $category['idrek'] . "' OR ties.fullindex LIKE '%|" . $category['idrek'] . "|%' OR ties.fullindex LIKE '" . $category['idrek'] . "|%')";
            } else {
                $zapytanie_w = '1=1';
            }


            if ($mod_conf['sortby'] == 'name')
                $sql_orderby = 'article.title';
            elseif ($mod_conf['sortby'] == 'date')
                $sql_orderby = 'article.created_date';
            else
                $sql_orderby = 'article.title';

            if ($mod_conf['sortto'] == 'down')
                $sql_sortto = 'DESC';
            else
                $sql_sortto = 'ASC';


            $sql_limit = '';
            if ($mod_conf['paging'] == 'Y' AND $mod_conf['numberbysite'] > 0) {
                $dane = mysqli_query($dbc, "SELECT COUNT(DISTINCT article.idrek) FROM $tabela, $tabela2 WHERE article.idrek=ties.articleid AND $zapytanie_w AND article.status='PUBLIC' AND article.show_on_list='Y' AND (article.show_start<" . mktime() . " OR article.show_start=0 OR article.show_start IS NULL OR article.show_start='') AND (article.show_end>" . mktime() . " OR article.show_end=0 OR article.show_end IS NULL OR article.show_end='');");
                $row2 = mysqli_fetch_array($dane);
                $ile = $row2[0] - $mod_conf['shift'];
                if ((!isset($url_arr['nr'])) OR ( $url_arr['nr'] == ''))
                    $nr = 1;
                else {
                    $nr = addslashes($url_arr['nr']);
                }

                $stron = $ile / $mod_conf['numberbysite'];
                $stron = ceil($stron);
                $od_ilu = (($nr - 1) * $mod_conf['numberbysite']) + $mod_conf['shift'];
                //koniec stronicowanie

                $sql_limit = " LIMIT $od_ilu," . $mod_conf['numberbysite'];
            }

            $elements = array();
            $licznik = 0;
            $wynik = mysqli_query($dbc, "SELECT article.idrek, article.title, article.lead, article.photoid, article.created_by, article.created_date, article.modifited_by, article.modifited_date FROM $tabela, $tabela2 WHERE article.idrek=ties.articleid AND $zapytanie_w AND article.status='PUBLIC' AND article.show_on_list='Y' AND (article.show_start<" . mktime() . " OR article.show_start=0 OR article.show_start IS NULL OR article.show_start='') AND (article.show_end>" . mktime() . " OR article.show_end=0 OR article.show_end IS NULL OR article.show_end='')  GROUP BY article.idrek ORDER BY $sql_orderby $sql_sortto $sql_limit;");
            while ($rekord = mysqli_fetch_array($wynik)) {
                $elements[$licznik]['idrek'] = $rekord['idrek'];
                $elements[$licznik]['title'] = $rekord['title'];
                $elements[$licznik]['lead'] = $rekord['lead'];
                $elements[$licznik]['photoid'] = $rekord['photoid'];
                $elements[$licznik]['created_date'] = $rekord['created_date'];
                $elements[$licznik]['modifited_date'] = $rekord['modifited_date'];
                $elements[$licznik]['get_diff'] = get_diff($rekord['created_date']);
                //utworzone
                if ($rekord['created_by'] > 0) {
                    $user_id = $rekord['created_by'];
                    $tabela_user = Config::read('db.prefix') . 'users';
                    $wynik_user = mysqli_query($dbc, "SELECT `idrek`,`nick`,`name`,`surname`,`photo_id`,`show_only_login` FROM $tabela_user WHERE `idrek`='$user_id';");
                    $row_user = mysqli_fetch_array($wynik_user, MYSQLI_ASSOC);
                    $elements[$licznik]['created_by'] = $row_user;

                    $elements[$licznik]['created_by']['url'] = 'http://' . $row_user['nick'] . '.' . Config::read('site.domain');

                    $tabela_online = Config::read('db.prefix') . 'session';
                    $wynik_online = mysqli_query($dbc, "SELECT `idrek` FROM $tabela_online WHERE `userid`='" . $row_user['idrek'] . "' AND `hide_me`='N';");
                    $row_online = mysqli_fetch_array($wynik_online, MYSQLI_BOTH);
                    if ($row_online['idrek'] > 0)
                        $elements[$licznik]['created_by']['online'] = true;
                    else
                        $elements[$licznik]['created_by']['online'] = false;
                }
                if ($rekord['modifited_by'] > 0) {
                    $user_id = $rekord['modifited_by'];
                    $tabela_user = Config::read('db.prefix') . 'users';
                    $wynik_user = mysqli_query($dbc, "SELECT `idrek`,`nick`,`name`,`surname`,`photo_id`,`show_only_login` FROM $tabela_user WHERE `idrek`='$user_id';");
                    $row_user = mysqli_fetch_array($wynik_user, MYSQLI_ASSOC);
                    $elements[$licznik]['modifited_by'] = $row_user;

                    $elements[$licznik]['modifited_by']['url'] = 'http://' . $row_user['nick'] . '.' . Config::read('site.domain');

                    $tabela_online = Config::read('db.prefix') . 'session';
                    $wynik_online = mysqli_query($dbc, "SELECT `idrek` FROM $tabela_online WHERE `userid`='" . $row_user['idrek'] . "' AND `hide_me`='N';");
                    $row_online = mysqli_fetch_array($wynik_online, MYSQLI_BOTH);
                    if ($row_online['idrek'] > 0)
                        $elements[$licznik]['modifited_by']['online'] = true;
                    else
                        $elements[$licznik]['modifited_by']['online'] = false;
                }

                //tworzenue urla
                $tabela_url = Config::read('db.prefix') . 'content_ties';
                $wynik_url = mysqli_query($dbc, "SELECT `categoryid` FROM $tabela_url WHERE `articleid`='" . $elements[$licznik]['idrek'] . "' ORDER BY `weight`;");
                $row_url = mysqli_fetch_array($wynik_url, MYSQLI_BOTH);

                $tabela_str = Config::read('db.prefix') . 'content_structure';
                $wynik_str = mysqli_query($dbc, "SELECT `structure_id` FROM $tabela_str WHERE `idrek`='" . $row_url['categoryid'] . "';");
                $row_str = mysqli_fetch_array($wynik_str, MYSQLI_BOTH);

                $elements[$licznik]['url'] = 'http://' . create_link($row_str['structure_id']) . 'pokaz,' . $elements[$licznik]['idrek'] . '.html';
                //tworzenie urla - KONIEC


                $licznik++;
            }


            $smarty->assign("sites", $stron);
            $smarty->assign("sitenr", $nr);
            $smarty->assign("elements", $elements);
        }
        $template_name = $mod_conf['template_list'];
        //wyświetlanie pojedyńczego wpisu
    }else if (($mod_conf['model'] == 'VIEW' AND $mod_conf['element_id'] > 0) OR isset($url_arr['pokaz'])) {

        if (isset($url_arr['pokaz']))
            $articleid = $url_arr['pokaz'];
        else if ($mod_conf['element_id'] > 0)
            $articleid = $mod_conf['element_id'];

        $tabela = Config::read('db.prefix') . 'content_article';
        $wynik = mysqli_query($dbc, "SELECT `idrek`,`title`, `lead`, `photoid`, `content`, `created_by`, `created_date`, `modifited_by`, `modifited_date` FROM $tabela WHERE `idrek`='$articleid';");
        $item = mysqli_fetch_array($wynik, MYSQLI_ASSOC);
        if ($item['idrek']) {
            $spection_path = $item['title'];
            $site['meta_title'] = $item['title'];
            $site['description'] = strip_tags($item['lead']);

            //admin dla zdjęcia
            if ($item['photoid'] > 0) {
                $tabela_photo = Config::read('db.prefix') . 'baza_images_category_photos';
                $wynik_photo = mysqli_query($dbc, "SELECT `name`, `cat` FROM $tabela_photo WHERE `idrek`='" . $item['photoid'] . "';");
                $row_photo = mysqli_fetch_array($wynik_photo, MYSQLI_ASSOC);

                array_push($admin_links['name'], 'Edycja zdjęcia - ' . $row_photo['name'] . ' [' . $item['photoid'] . ']');
                array_push($admin_links['link'], 'http://' . Config::read('site.domain') . '/adminindex.php?pages=photos_edit&what=' . $item['photoid'] . '&category=' . $row_photo['cat']);
                array_push($admin_links['name'], 'Kadruj zdjęcia - ' . $row_photo['name'] . ' [' . $item['photoid'] . ']');
                array_push($admin_links['link'], 'http://' . Config::read('site.domain') . '/adminindex.php?pages=photos_cropp&what=' . $item['photoid'] . '&category=' . $row_photo['cat']);
            }
            //admin dla zdjęcia - KONIEC
            //stronicowanie artykułu
            $item['contentnb'] = str_replace('[BREAK]', "", $item['content']);
            $content_nb = explode('[BREAK]', $item['content']);
            if (!isset($url_arr['nr_art']))
                $nr = 1;
            else
                $nr = $url_arr['nr_art'];

            $nr = $nr - 1;

            $item['content'] = $content_nb[$nr];
            $item['get_diff'] = get_diff($item['created_date']);
            $nr = $nr + 1;
            $smarty->assign("sites", count($content_nb));
            $smarty->assign("sitenr", $nr);
            //stronicowanie artykułu - koniec
            //licznik+1
            if ($nr == 1 AND ( $url_arr['nr'] == 1 OR ! isset($url_arr['nr']))) {

                if (Config::read('user.id') > 0)
                    $userID = Config::read('user.id');
                else
                    $userID = 0;

                $tabela = Config::read('db.prefix') . 'view';
                $row_name = array();
                $row_value = array();
                array_push($row_name, 'id_element');
                array_push($row_value, $articleid);
                array_push($row_name, 'element_type');
                array_push($row_value, 'art');
                array_push($row_name, 'date');
                array_push($row_value, mktime());
                array_push($row_name, 'userid');
                array_push($row_value, $userID);
                insert_sql($tabela, $row_name, $row_value);
            }
            //licznik+1 KONIEC
            //licznik

            $item['count_all'] = 0;
            $item['count_day'] = 0;
            $item['count_week'] = 0;
            $item['count_month'] = 0;
            $item['count_year'] = 0;
            //łączne
            $tabela_count = Config::read('db.prefix') . 'view';
            $wynik_count = mysqli_query($dbc, "SELECT SUM(`count`) FROM  $tabela_count WHERE `id_element`='" . $articleid . "' AND `element_type`='art';");
            $row_count = mysqli_fetch_array($wynik_count, MYSQLI_BOTH);
            $item['count_all'] = $row_count[0];
            //dzień
            $date_from = mktime(0, 0, 0, date("n"), date("j"), date("Y"));
            $tabela_count = Config::read('db.prefix') . 'view';
            $wynik_count = mysqli_query($dbc, "SELECT SUM(`count`) FROM  $tabela_count WHERE `id_element`='" . $articleid . "' AND `element_type`='art' AND `date`>'$date_from';");
            $row_count = mysqli_fetch_array($wynik_count, MYSQLI_BOTH);
            $item['count_day'] = $row_count[0];
            //tydzień
            $date_from = mktime(0, 0, 0, date("n"), date("j") - 7, date("Y"));
            $tabela_count = Config::read('db.prefix') . 'view';
            $wynik_count = mysqli_query($dbc, "SELECT SUM(`count`) FROM  $tabela_count WHERE `id_element`='" . $articleid . "' AND `element_type`='art' AND `date`>'$date_from';");
            $row_count = mysqli_fetch_array($wynik_count, MYSQLI_BOTH);
            $item['count_week'] = $row_count[0];
            //miesiąc
            $date_from = mktime(0, 0, 0, date("n") - 1, date("j"), date("Y"));
            $tabela_count = Config::read('db.prefix') . 'view';
            $wynik_count = mysqli_query($dbc, "SELECT SUM(`count`) FROM  $tabela_count WHERE `id_element`='" . $articleid . "' AND `element_type`='art' AND `date`>'$date_from';");
            $row_count = mysqli_fetch_array($wynik_count, MYSQLI_BOTH);
            $item['count_month'] = $row_count[0];
            //rok
            $date_from = mktime(0, 0, 0, date("n"), date("j"), date("Y") - 1);
            $tabela_count = Config::read('db.prefix') . 'view';
            $wynik_count = mysqli_query($dbc, "SELECT SUM(`count`) FROM  $tabela_count WHERE `id_element`='" . $articleid . "' AND `element_type`='art' AND `date`>'$date_from';");
            $row_count = mysqli_fetch_array($wynik_count, MYSQLI_BOTH);
            $item['count_year'] = $row_count[0];
            //koniec licznik			
            //utworzone
            if ($item['created_by'] > 0) {
                $user_id = $item['created_by'];
                $tabela_user = Config::read('db.prefix') . 'users';
                $wynik_user = mysqli_query($dbc, "SELECT `idrek`,`nick`,`name`,`surname`,`photo_id`,`show_only_login` FROM $tabela_user WHERE `idrek`='$user_id';");
                $row_user = mysqli_fetch_array($wynik_user, MYSQLI_ASSOC);
                $item['created_by'] = $row_user;

                $tabela_online = Config::read('db.prefix') . 'session';
                $wynik_online = mysqli_query($dbc, "SELECT `idrek` FROM $tabela_online WHERE `userid`='" . $row_user['idrek'] . "' AND `hide_me`='N';");
                $row_online = mysqli_fetch_array($wynik_online, MYSQLI_BOTH);
                if ($row_online['idrek'] > 0)
                    $item['created_by']['online'] = true;
                else
                    $item['created_by']['online'] = false;

                $item['created_by']['url'] = 'http://' . $row_user['nick'] . '.' . Config::read('site.domain');
            }
            if ($item['modifited_by'] > 0) {
                $user_id = $item['modifited_by'];
                $tabela_user = Config::read('db.prefix') . 'users';
                $wynik_user = mysqli_query($dbc, "SELECT `idrek`,`nick`,`name`,`surname`,`photo_id`,`show_only_login` FROM $tabela_user WHERE `idrek`='$user_id';");
                $row_user = mysqli_fetch_array($wynik_user, MYSQLI_ASSOC);
                $item['modifited_by'] = $row_user;

                $tabela_online = Config::read('db.prefix') . 'session';
                $wynik_online = mysqli_query($dbc, "SELECT `idrek` FROM $tabela_online WHERE `userid`='" . $row_user['idrek'] . "' AND `hide_me`='N';");
                $row_online = mysqli_fetch_array($wynik_online, MYSQLI_BOTH);
                if ($row_online['idrek'] > 0)
                    $item['modifited_by']['online'] = true;
                else
                    $item['modifited_by']['online'] = false;


                $item['modifited_by']['url'] = 'http://' . $row_user['nick'] . '.' . Config::read('site.domain');
            }


            if (($webuser['group'] == 14 OR $webuser['group'] == 12 OR $webuser['group'] == 3 OR $webuser['group'] == 2)) {
                $item['view_online'] = true;
                $item['view_nick'] = $webuser['nick'];
            } else {
                $item['view_online'] = false;
            }

            //lubię to
            $tabela_likeit = Config::read('db.prefix') . 'likeit';
            if ($webuser['group'] > 0) {
                $wynik_likeit = mysqli_query($dbc, "SELECT `idrek` FROM $tabela_likeit WHERE `created_by`='" . Config::read('user.id') . "' AND `type`='art' AND `idelement`='" . $articleid . "' AND `delete_date`='';");
                $row_likeit = mysqli_fetch_array($wynik_likeit, MYSQLI_BOTH);
                if ($row_likeit['idrek'] > 0)
                    $item['ilikeit'] = true;
                else
                    $item['ilikeit'] = false;
            }else {
                $item['ilikeit'] = false;
            }

            $item['likeit_count'] = 0;
            $wynik_likeit = mysqli_query($dbc, "SELECT COUNT(*) FROM $tabela_likeit WHERE `type`='art' AND `idelement`='" . $articleid . "' AND `delete_date`='';");
            $row_likeit = mysqli_fetch_array($wynik_likeit, MYSQLI_BOTH);
            $item['likeit_count'] = $row_likeit[0];
            //lubię to KONIEC			
            //galeria zdjęć
            $item['gall'] = array();
            $licznik = 0;
            $tabela = Config::read('db.prefix') . 'content_gal';
            $licznik = 0;
            $wynik = mysqli_query($dbc, "SELECT `idphoto` FROM $tabela WHERE `idart`=" . $articleid . " ORDER BY `weight`;");
            while ($rekord = mysqli_fetch_array($wynik)) {
                $tabela_photo = Config::read('db.prefix') . 'baza_images_category_photos';
                $wynik_photo = mysqli_query($dbc, "SELECT `name`, `cat`,`description`, `author`, `tags`, `source`, `created_date` FROM $tabela_photo WHERE `idrek`='" . $rekord['idphoto'] . "';");
                $row_photo = mysqli_fetch_array($wynik_photo, MYSQLI_BOTH);
                $item['gall'][$licznik]['idrek'] = $rekord['idphoto'];
                $item['gall'][$licznik]['title'] = $row_photo['name'];
                $item['gall'][$licznik]['description'] = $row_photo['description'];
                $item['gall'][$licznik]['author'] = $row_photo['author'];
                $item['gall'][$licznik]['tags'] = $row_photo['tags'];
                $item['gall'][$licznik]['source'] = $row_photo['source'];
                $item['gall'][$licznik]['created_date'] = $row_photo['created_date'];

                array_push($admin_links['name'], 'Edycja zdjęcia - ' . $row_photo['name'] . ' [' . $rekord['idphoto'] . ']');
                array_push($admin_links['link'], 'http://' . Config::read('site.domain') . '/adminindex.php?pages=photos_edit&what=' . $rekord['idphoto'] . '&category=' . $row_photo['cat']);
                array_push($admin_links['name'], 'Kadruj zdjęcia - ' . $row_photo['name'] . ' [' . $rekord['idphoto'] . ']');
                array_push($admin_links['link'], 'http://' . Config::read('site.domain') . '/adminindex.php?pages=photos_cropp&what=' . $rekord['idphoto'] . '&category=' . $row_photo['cat']);

                $licznik++;
            }

            //galeria zdjeć KONIEC


            array_push($admin_links['name'], 'Edycja artykułu - ' . $item['title'] . ' [' . $item['idrek'] . ']');
            array_push($admin_links['link'], 'http://' . Config::read('site.domain') . '/adminindex.php?pages=content_articles_edit&what=' . $articleid . '&backto=1');
        }



        $smarty->assign("item", $item);
        $template_name = $mod_conf['template_show'];
        //dodawanie elementu	
    } else if ($mod_conf['model'] == 'ADD') {
        $template_name = $mod_conf['template_add'];
    }


    $smarty->registerObject('cms_photo', $img_obj);
    $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $template_name . '.tpl.html');
}
?>	