<?php

error_reporting(~0);
ini_set('display_errors', 1);
ini_set("log_errors", 1);
#zaciąganie configu
require_once('config.php');
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'class/Core.php';
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'Config.php';
include($configDate[CMSCONFIG]['dir'] . 'data/connect.php');

#pobieranie wszystkich funkcji globalnych
foreach (glob($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_function'] . "*.php") as $filename) {
    include_once $filename;
}

#pobieranie wszystkich klas globalnych
foreach (glob($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'global/' . "*.php") as $filename) {
    include_once $filename;
}
include_once($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'shop/class/shop.php');
include_once($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'shop/class/category.php');
include_once($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'class_cms_photo.php');


$cronClass = 'cronFeedProduct';  //nazwa klasy

class cronFeedProduct {

    protected $photoObj = null;

    function __construct() {
        global $dbc;
        $this->photoObj = new cms_photo;
        //echo 'Uruchomiono cronFeedProduct<br />';
        for ($i = 0; $i < count(Config::read('shop.feedCategoryId')); $i++) {
            //echo Config::read('shop.feedCategoryId')[$i] . '<br />';
            $this->createFeedXml($this->getProductList(Config::read('shop.feedCategoryId')[$i]), Config::read('shop.feedCategoryId')[$i]);
        }
    }

    public function getProductList($idrek) {
        global $dbc;
        $category_quest = '';
        $tabela_shop_prod_cat = Config::read('db.prefix') . 'shop_product_category';
        $tabela = Config::read('db.prefix') . 'shop_product';
        $tabela_category = Config::read('db.prefix') . 'shop_category';
        $tabela_shop_photo = Config::read('db.prefix') . 'shop_photo';
        $what = $idrek;
        $wynik = mysqli_query($dbc, "SELECT `title` FROM $tabela_category WHERE `idrek`='$what';");
        $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
        $groupname = $row['title'];

        $idgroup[0] = $what;
        $grouptofor[0] = $what;
        $stop = true;
        while ($stop == true) {
            for ($i = 0; $i < count($grouptofor); $i++) {
                $idgroup_temp = array();
                $idparent = $grouptofor[$i];
                $wynik = mysqli_query($dbc, "SELECT `idrek`, `active` from $tabela_category WHERE `parentid`='$idparent';");
                while ($rekord = mysqli_fetch_array($wynik)) {
                    array_push($idgroup_temp, $rekord[0]);
                    if (!in_array($rekord[0], $idgroup) AND $rekord['active'] == "Y") {
                        array_push($idgroup, $rekord[0]);
                    }
                }
            }
            $grouptofor = $idgroup_temp;
            if (count($grouptofor) == 0)
                $stop = false;
        }

        //LEFT OUTER JOIN table2 ON table1.column_name=table2.column_name
        $category_quest.='AND (';

        for ($i = 0; $i < count($idgroup); $i++) {
            $category_quest.="$tabela_shop_prod_cat.category_id='" . $idgroup[$i] . "'";
            if ($i < (count($idgroup) - 1))
                $category_quest.=" OR ";
        }
        $category_quest.=")";

        $sql_orderby = 'price_pln';
        $sql_orderby = 'name';
        $sql_orderby = 'created_date';
        $sql_sortto = 'DESC';


        $sql_limit = '';

        $elements = array();
        $licznik = 0;
        $shopOpj = new shop();
        $wynik = mysqli_query($dbc, "SELECT DISTINCT aga_shop_product.idrek, `name`, `description`, `permalink`, `price_pln`, `price_euro`, `unit`, `availability`, `created_date` FROM $tabela LEFT OUTER JOIN $tabela_shop_prod_cat ON $tabela.idrek=$tabela_shop_prod_cat.product_id where `active` = 'Y' $category_quest ORDER BY $sql_orderby $sql_sortto, name $sql_limit;");
        while ($rekord = mysqli_fetch_array($wynik, MYSQLI_ASSOC)) {

            $elements[$licznik] = $rekord;

            if ($rekord['created_date'] > (time() - (60 * 60 * 24 * 10)))
                $elements[$licznik]['new'] = TRUE;
            else
                $elements[$licznik]['new'] = FALSE;

            $elements[$licznik]['photos'] = $shopOpj->getPhotos($rekord['idrek']);

            for ($i = 0; $i < count($elements[$licznik]['photos']); $i++) {
                $parans['id'] = $elements[$licznik]['photos'][$i]['photo_id'];
                $parans['format'] = 'foto-big';
                $elements[$licznik]['photos'][$i]['url'] = $this->photoObj->getPhotoUrl($parans);
            }

            $elements[$licznik]['url'] = $shopOpj->getUrl($rekord['idrek']);
            $elements[$licznik]['categoryUrl'] = $shopOpj->getCategoryUrl($rekord['idrek']);
            $elements[$licznik]['categoryName'] = $shopOpj->getCategoryName($rekord['idrek']);
            $elements[$licznik]['urlCardAdd'] = $shopOpj->getAddCardUrl($rekord['idrek']);
            $licznik++;
        }

        return $elements;

        //kategorie
        //$shopCategory = new shopCategory;
        //$category = $shopCategory->showCategory($mod_conf['cat_id'], $site, TRUE);
    }

    public function createFeedXml($elems, $catId) {
        global $configDate;
        $shopOpj = new shop();

        $content = '<?xml version="1.0"?>
            <rss version="2.0" 
                xmlns:g="http://base.google.com/ns/1.0">
                <channel>
                    '; /* <title>' . $shopOpj->getCategoryName($catId) . '</title> */
        $content .= '<link>' . $shopOpj->getCategoryUrl($catId) . '</link>
                    ';
        /* <description>O$shopOpj->getCategoryUrl($catId)</description> */
        for ($i = 0; $i < count($elems); $i++) {

            $content .= '
                    <item>
                        <title>' . $elems[$i]['name'] . '</title>
                        <link>' . $elems[$i]['url'] . '</link>
                        ';
            //<description>'.$elems[$i]['description'].'</description>
            $content .= '
                        <g:image_link>' . $elems[$i]['photos'][0]['url'] . '</g:image_link>
                        <g:price>' . str_replace(",", ".", $elems[$i]['price_pln']) . ' PLN</g:price>                            
                        <g:condition>nowy</g:condition>
                        <g:id>' . $elems[$i]['idrek'] . '</g:id>
                        <g:availability>in stock</g:availability>
                    </item> 
                    ';
        }
        $content .= '
                </channel>
            </rss>';
        $out = fopen($configDate[CMSCONFIG]['dir'] . CMS_WORK_DIR . 'feed/products_' . $catId . '.xml', "w");
        fwrite($out, $content);
        fclose($out);
    }

}
