<?php

error_reporting(~0);
ini_set('display_errors', 1);
ini_set("log_errors", 1);
#zaciąganie configu
require_once('config.php');
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'class/Core.php';
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'Config.php';
include($configDate[CMSCONFIG]['dir'] . 'data/connect.php');

#pobieranie wszystkich funkcji globalnych
foreach (glob($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_function'] . "*.php") as $filename) {
    include_once $filename;
}

#pobieranie wszystkich klas globalnych
foreach (glob($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'global/' . "*.php") as $filename) {
    include_once $filename;
}

$cronClass = 'shopGetMagPar';  //nazwa klasy

/**
 * Description of shopGetMag_120
 *
 * @author root
 */
class shopGetMagPar {

    function __construct() {
        global $dbc;
        echo 'Uruchomiono cronPar<br />';
        echo 'URL:' . Config::read('parXmlUrlStock.url') . '<br />';
        $url = Config::read('parXmlUrlStock.url');
        $temp = $this->getXml($url);
        $xml = simplexml_load_string($temp) or die("Error: Cannot create object");

        for ($i = 0; $i < count($xml->produkt); $i++) {
            $this->update($xml->produkt[$i]->id, $xml->produkt[$i]->stan_magazynowy);
        }

        //$this->p($xml->produkt);
    }

    public function update($import_id, $mag_count) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'shop_product';
        $row_name = array();
        $row_value = array();
        array_push($row_name, 'mag_count');
        array_push($row_value, $mag_count);
        array_push($row_name, 'mag_count_update_date');
        array_push($row_value, 'NOW()');
        update_sql($tabela, $row_name, $row_value, '`import_id`=\'' . $import_id . '\'');
    }

    public function getXml($url) {
        global $dbc;

        $userName = Config::read('par.user');
        $userPass = Config::read('par.pass');
        $context = stream_context_create(array(
            'http' => array(
                'header' => "Authorization: Basic " . base64_encode("$userName:$userPass")
            )
        ));
        // return file_get_contents($url, false, $context);


        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
        curl_setopt($ch, CURLOPT_USERPWD, "$userName:$userPass");
        $result = curl_exec($ch);
        curl_close($ch);

        return $result;
    }

    function p($array) {
        echo '<pre>';
        print_r($array);
        echo '</pre>';
    }

}

$obj = new shopGetMagPar();
