<?php

error_reporting(~0);
ini_set('display_errors', 1);
ini_set("log_errors", 1);

#zaciąganie configu
require_once('config.php');
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'class/Core.php';
require_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'Config.php';
include($configDate[CMSCONFIG]['dir'] . 'data/connect.php');

#pobieranie wszystkich funkcji globalnych
foreach (glob($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_function'] . "*.php") as $filename) {
    include_once $filename;
}

#pobieranie wszystkich klas globalnych
foreach (glob($configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_class'] . 'global/' . "*.php") as $filename) {
    include_once $filename;
}



$cronClass = 'cronParPriceUpdate';  //nazwa klasy

class cronParPriceUpdate {

    function __construct() {
        $url = Config::read('parXmlUrlProduct.url');
        $temp = $this->getXml($url);
        if ($temp) {
            $xml = simplexml_load_string($temp) or die("Error: Cannot create object");
            $this->save($xml);
        } else {
            echo 'Nie pobrano xml';
        }
    }

    public function getXml($url) {
        $userName = Config::read('par.user');
        $userPass = Config::read('par.pass');
        $context = stream_context_create(array(
            'http' => array(
                'header' => "Authorization: Basic " . base64_encode("$userName:$userPass")
            )
        ));
        // return file_get_contents($url, false, $context);


        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
        curl_setopt($ch, CURLOPT_USERPWD, "$userName:$userPass");
        $result = curl_exec($ch);
        curl_close($ch);
        return $result;
    }

    public function getProduct($import_id) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'shop_product';
        $wynik = mysqli_query($dbc, "SELECT * FROM $tabela WHERE `import_id`='" . $import_id . "';");
        return mysqli_fetch_array($wynik, MYSQLI_ASSOC);
    }

    public function getPhotoByOldId($old_par_id) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'shop_photo';
        $wynik = mysqli_query($dbc, "SELECT * FROM $tabela WHERE `old_par_id`='" . $old_par_id . "';");
        return mysqli_fetch_array($wynik, MYSQLI_ASSOC);
    }

    public function save($xml) {
        global $dbc;
        for ($i = 0; $i < count($xml->product); $i++) {
            $productElem = $this->getProduct($xml->product[$i]->id);
            if ($productElem) {
                if ($xml->product[$i]->cena_pln != $productElem['price_pln']) {
                    $tabela = Config::read('db.prefix') . 'shop_product';
                    $row_name = array();
                    $row_value = array();
                    array_push($row_name, 'price_pln');
                    array_push($row_value, $xml->product[$i]->cena_pln);
                    update_sql($tabela, $row_name, $row_value, '`idrek`=\'' . $productElem['idrek'] . '\'');
                    echo 'Aktualizacja ceny dla produkty' . $productElem['idrek'] . '<br />';
                }
            } else {
                $photoInfo = $this->getPhotoByOldId($productElem['old_par_id']);
                if ($photoInfo) {
                    if ($photoInfo['price_pln'] != $xml->product[$i]->cena_pln) {
                        $tabela = Config::read('db.prefix') . 'shop_photo';
                        $row_name = array();
                        $row_value = array();
                        array_push($row_name, 'price_pln');
                        array_push($row_value, $xml->product[$i]->cena_pln);
                        update_sql($tabela, $row_name, $row_value, '`product_id`=\'' . $photoInfo['product_id'] . '\' AND `photo_id`=\'' . $photoInfo['photo_id'] . '\'');
                        echo 'Aktualizacja ceny dla zdjećia ' . $photoInfo['photo_id'] . '<br />';
                    }
                } else {
                    echo 'Brak produktu <br />';
                }
            }
        }
    }

}
