<?php
function BBCodeToHTML($text){

	
	$patterns[] = "#&#";
	$replacements[] = '&amp;';

	$patterns[] = "#<#";
	$replacements[] = '&lt;';

	$patterns[] = "#>#";
	$replacements[] = '&gt;';

	$patterns[] = "#  #si";
	$replacements[] = '&nbsp;&nbsp;';

	$patterns[] = "#\t#si";
	$replacements[] = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';

	$patterns[] = "#\[(\/)indent\]#si";
	$replacements[] = '<$1blockquote>';

	$patterns[] = "#\[(sub|sup|strike|blockquote|b|i|u)\]#si";
	$replacements[] = '<$1>';

	$patterns[] = "#\[\/(sub|sup|strike|blockquote|b|i|u)\]#si";
	$replacements[] = '</$1>';

	$patterns[] = "#\[font=(.*?)\]#si";
	$replacements[] = '<font face="$1">';

	$patterns[] = "#\[color=(.*?)\]#si";
	$replacements[] = '<font color="$1">';

	$patterns[] = "#\[size=(.*?)\]#si";
	$replacements[] = '<font style="font-size:$1">';

	$patterns[] = "#\[highlight=(.*?)\]#si";
	$replacements[] = '<font style="background-color:$1">';

	$patterns[] = "#\[\/(font|color|size|highlight)\]#si";
	$replacements[] = '</font>';

	$patterns[] = "#\[center\]#si";
	$replacements[] = '<div align="center">';

	$patterns[] = "#\[left\]#si";
	$replacements[] = '<div align="left">';

	$patterns[] = "#\[right\]#si";
	$replacements[] = '<div align="right">';

	$patterns[] = "#\[justify\]#si";
	$replacements[] = '<div align="justify">';

	$patterns[] = "#\[\/(center|left|right|justify)\]#si";
	$replacements[] = '</div>';

	$patterns[] = "#\[email=(.*?)\]#si";
	$replacements[] = '<a href="mailto:$1" target="_blank">';

	$patterns[] = "#\[email\](.*?)\[\/email\]#si";
	$replacements[] = '<a href="mailto:$1" target="_blank">$1[/email]';

	$patterns[] = "#\[url=(.*?)\]#si";
	$replacements[] = '<a href="$1" target="_blank" rel="nofollow">';

	$patterns[] = "#\[url\](.*?)\[\/url\]#si";
	$replacements[] = '<a href="$1" target="_blank" rel="nofollow">$1[/url]';

	$patterns[] = "#\[img\](.*?)\[\/img\]#si";
	$replacements[] = '<img src="$1" alt="" />';

	$patterns[] = "#\[img=(.*?)\]\[\/img\]#si";
	$replacements[] = '<img src="$1" alt="" />';

	$patterns[] = "#\n+(\[list\])#si";
	$replacements[] = '[LIST]';

	$patterns[] = "#\n+(\[list=1\])#si";
	$replacements[] = '[LIST=1]';

	$patterns[] = "#\n+(\[\/list\])#si";
	$replacements[] = '[/LIST]';

	$patterns[] = "#\[list\]\n+#si";
	$replacements[] = '[LIST]';

	$patterns[] = "#\[list=1\]\n+#si";
	$replacements[] = '[LIST=1]';

	$patterns[] = "#\[\/list\]\n+#si";
	$replacements[] = '[\/LIST]';

	$patterns[] = "#\[hr\]#si";
	$replacements[] = '<hr />';

	$patterns[] = "#\[\/(email|url)\]#si";
	$replacements[] = '</a>';

	$patterns[] = "#\[list=1\]#si";
	$replacements[] = '<ol>';

	$patterns[] = "#\[list\]#si";
	$replacements[] = '<ul>';

	$patterns[] = "#\[\*\]#si";
	$replacements[] = '<li>';

	$patterns[] = "#\n#si";
	$replacements[] = '<br />';

	$patterns[] = "#\r#si";
	$replacements[] = '<br />';

	$patterns[] = "#<br[^>]*><li>#si";
	$replacements[] = '<li>';

	$patterns[] = "#<br[^>]*> <li>#si";
	$replacements[] = '<li>';

	$patterns[] = "#<br[^>]*><\/li>#si";
	$replacements[] = '</li>';

	$patterns[] = "#\[\/list\]#si";
	$replacements[] = '</list>';

	$patterns[] = "#\[FLASH=(.*?),(.*?)\](.*?)\[\/FLASH\]#si";
	$replacements[] = '<object width="$1" height="$2"><param name="movie" value="$3"></param><param name="wmode" value="transparent"></param><embed src="$3" type="application/x-shockwave-flash" wmode="transparent" width="$1" height="$2"></embed></object>';

//        "\r",'<br />',$text);
//        $text=str_replace("\n",'<br />',$text);

	$text = preg_replace($patterns, $replacements, $text);



	$text=str_replace(":)",'<img src="http://pultusk.biz/js/tiny_mce/plugins/emotions/img/smiley-smile.gif" border="0" alt=":)" class="emiticon" />', $text);

	$text=str_replace( ":(",'<img src="http://pultusk.biz/js/tiny_mce/plugins/emotions/img/smiley-frown.gif" border="0" alt=":(" class="emiticon" />', $text);

	$text=str_replace(":D", '<img src="http://pultusk.biz/js/tiny_mce/plugins/emotions/img/smiley-sealed.gif" border="0" alt=":D" class="emiticon" />', $text);

	$text=str_replace(":d",'<img src="http://pultusk.biz/js/tiny_mce/plugins/emotions/img/smiley-sealed.gif" border="0" alt=":D" class="emiticon" />', $text);	
	
	$text=str_replace( ":P",'<img src="http://pultusk.biz/js/tiny_mce/plugins/emotions/img/smiley-tongue-out.gif" border="0" alt=":P" class="emiticon" />', $text);

	$text=str_replace( ":p", '<img src="http://pultusk.biz/js/tiny_mce/plugins/emotions/img/smiley-tongue-out.gif" border="0" alt=":P" class="emiticon" />', $text);	
	
	$text=str_replace( ":O",'<img src="http://pultusk.biz/js/tiny_mce/plugins/emotions/img/smiley-surprised.gif" border="0" alt=":O" class="emiticon" />', $text);	

	$text=str_replace( ":o", '<img src="http://pultusk.biz/js/tiny_mce/plugins/emotions/img/smiley-surprised.gif" border="0" alt=":O" class="emiticon" />', $text);		
	
	$text=str_replace( ";)",'<img src="http://pultusk.biz/js/tiny_mce/plugins/emotions/img/smiley-wink.gif" border="0" alt=";)" class="emiticon" />', $text);		

	$text=str_replace( ":B",'<img src="http://pultusk.biz/js/tiny_mce/plugins/emotions/img/smiley-cool.gif" border="0" alt=":B" class="emiticon" />', $text);		

	$text=str_replace( ":b",'<img src="http://pultusk.biz/js/tiny_mce/plugins/emotions/img/smiley-cool.gif" border="0" alt=":B" class="emiticon" />', $text);	

	
	if (preg_match("/<ol/si",$text) || preg_match("/<ul/si",$text)){
		$array=split("<",$text);
		$output="";
		$x=0;
		foreach($array as $line){
			if($x>0)$line="<".$line;
			if(preg_match("/<ol/i",$line)){
				$temp="</ol>";
			}
			elseif(preg_match("/<ul/i",$line)){
				$temp="</ul>";
			}
			if(preg_match("/<\/list>/i",$line)){
				$line=str_replace("</list>",$temp,$line);
			}
			$output.=$line;
			$x++;
		}
	}
	else{
		$output=$text;
	}

	return $output;
}