<?php
function itp_debbuger($errno, $errstr, $errfile, $errline) {
    switch ($errno) {
        case E_NOTICE:
        case E_USER_NOTICE:
            $errors = "Ostrzeżenie";
            break;
        case E_WARNING:
        case E_USER_WARNING:
            $errors = "Uwaga";
            break;
        case E_ERROR:
        case E_USER_ERROR:
            $errors = "Błąd krytyczny";
            break;
        default:
            $errors = "Nieznany błąd";
            break;
        }

    if (ini_get("display_errors"))
        printf ("<div style=\"border: 1px solid #dadada; background-color:FA7F19; padding:5px; font-family:Verdana,Helvetica,Tahoma,Arial,sans-serif;  width:750px;\">\n<b>%s</b>: %s w <b>%s</b> linia <b>%d</b></div>\n", $errors, $errstr, $errfile, $errline);
    if (ini_get('log_errors'))
        error_log(sprintf("PHP %s:  %s w %s linia %d", $errors, $errstr, $errfile, $errline));
    return true;
}

if (CMS_DEBBUGER==true)
	set_error_handler("itp_debbuger");