<?php

include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'function_create_link.php';
include_once $configDate[CMSCONFIG]['dir'] . $configDate[CMSCONFIG]['dir_modules'] . 'structure/class/structure.php';

/**
 * Description of announcmentCategory
 *
 * @author IT-Poland.com Jacek Pecko
 */
class shopCategory {
    #$showSubCat - jeżeli nie ma dzieci pokaż inne podkategorie
    #zmienione na potrzeby web-rynek i prezentacji tam podkategorii

    protected $childId = array();

    public function showCategory($catId, $site, $showSubCat = TRUE) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'shop_category';
        $dane = mysqli_query($dbc, "SELECT `idrek`,`title`, `structureid`, `parentid` FROM $tabela WHERE `idrek`=" . $catId . " AND `active`='Y';");
        $row = mysqli_fetch_array($dane, MYSQLI_ASSOC);
        if ($row['idrek'] > 0) {
            $element = array();
            $element['catId'] = $row['idrek'];
            $element['idrek'] = $row['idrek'];
            $element['title'] = $row['title'];
            $element['structureId'] = $row['structureid'];
            $element['url'] = create_link($row['structureid'], TRUE);

            $licznik = 0;
            $tabela = Config::read('db.prefix') . 'shop_category';
            $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `structureid` FROM $tabela where `parentid`='" . $catId . "' and  `active`='Y' order by `waga`;");
            while ($rekord = mysqli_fetch_array($wynik, MYSQLI_ASSOC)) {
                $element['element'][$licznik]['idrek'] = $rekord['idrek'];
                $element['element'][$licznik]['title'] = $rekord['title'];
                $element['element'][$licznik]['structureid'] = $rekord['structureid'];
                $element['element'][$licznik]['url'] = create_link($rekord['structureid'], TRUE);
                $element['element'][$licznik]['count'] = $this->getCountActiveProduct($rekord['idrek']);
                if ($rekord['structureid'] == $site['idrek'])
                    $element['element'][$licznik]['select'] = true;
                else
                    $element['element'][$licznik]['select'] = false;
                $licznik++;
            }

            if ($licznik == 0 && $showSubCat == TRUE) {
                $catId2 = $row['parentid'];
                $licznik = 0;
                $tabela = Config::read('db.prefix') . 'shop_category';
                $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `structureid` FROM $tabela where `parentid`='" . $catId2 . "' and  `active`='Y' order by `waga`;");
                while ($rekord = mysqli_fetch_array($wynik, MYSQLI_ASSOC)) {
                    $element['element'][$licznik]['idrek'] = $rekord['idrek'];
                    $element['element'][$licznik]['title'] = $rekord['title'];
                    $element['element'][$licznik]['structureid'] = $rekord['structureid'];
                    $element['element'][$licznik]['url'] = create_link($rekord['structureid'], TRUE);
                    $element['element'][$licznik]['count'] = $this->getCountActiveProduct($rekord['idrek']);
                    if ($rekord['idrek'] == $catId)
                        $element['element'][$licznik]['select'] = true;
                    else
                        $element['element'][$licznik]['select'] = false;
                    $licznik++;
                }
            }

            $element['parent'] = $this->getCategory($row['parentid'], TRUE);

            //pobiranie innych dzieci z tego drzewa
            $element['otherChild'] = $this->getCategoryChild($row['parentid'], "Y");

            return $element;
        } else {

            return false;
        }
    }

    public function getCategoryChild($catId, $active = "Y") {
        global $dbc;
        if ($active == "Y")
            $activeNew = TRUE;
        else
            $activeNew = FALSE;

        $category = array();
        $licznik = 0;
        $tabela = Config::read('db.prefix') . 'shop_category';
        if ($active == "Y")
            $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `parentid`, `sel` FROM $tabela where `parentid`='" . $catId . "' and  `active`='Y' order by `waga`;");
        elseif ($active == "N")
            $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `parentid`, `sel` FROM $tabela where `parentid`='" . $catId . "' and  `active`='N' order by `waga`;");
        //elseif ($active == "ALL")
        else
            $wynik = mysqli_query($dbc, "SELECT `idrek`, `title`, `parentid`, `sel` FROM $tabela where `parentid`='" . $catId . "' order by `waga`;");
        while ($rekord = mysqli_fetch_array($wynik, MYSQLI_ASSOC)) {
            $category[$licznik] = $this->getCategory($rekord['idrek'], $activeNew);
            // $category[$licznik]['title'] = $rekord['title'];
            // $category[$licznik]['parentid'] = $rekord['parentid'];
            // $category[$licznik]['child'] = $this->getCategoryChild($rekord['idrek'], $active);
            // $category[$licznik]['sel'] = $rekord['sel'];
            $licznik++;
        }
        if ($licznik > 0) {
            return $category;
        } else {
            return FALSE;
        }
    }

    //funckja zliczająca aktywne ogłoszenia w kategorii
    public function getCountActiveProduct($catId = FALSE) {
        global $dbc;
        $tabela_shop_prod_cat = Config::read('db.prefix') . 'shop_product_category';
        $tabela = Config::read('db.prefix') . 'shop_product';
        $tabela_category = Config::read('db.prefix') . 'shop_category';
        $tabela_shop_photo = Config::read('db.prefix') . 'shop_photo';


        $idgroup[0] = $catId;
        $grouptofor[0] = $catId;
        $stop = true;
        while ($stop == true) {
            for ($i = 0; $i < count($grouptofor); $i++) {
                $idgroup_temp = array();
                $idparent = $grouptofor[$i];
                $wynik = mysqli_query($dbc, "SELECT `idrek`, `active` from $tabela_category WHERE `parentid`='$idparent';");
                while ($rekord = mysqli_fetch_array($wynik)) {
                    array_push($idgroup_temp, $rekord[0]);
                    if (!in_array($rekord[0], $idgroup) AND $rekord['active'] == "Y") {
                        array_push($idgroup, $rekord[0]);
                    }
                }
            }
            $grouptofor = $idgroup_temp;
            if (count($grouptofor) == 0)
                $stop = false;
        }

        //LEFT OUTER JOIN table2 ON table1.column_name=table2.column_name
        $category_quest.='AND (';

        for ($i = 0; $i < count($idgroup); $i++) {
            $category_quest.="$tabela_shop_prod_cat.category_id='" . $idgroup[$i] . "'";
            if ($i < (count($idgroup) - 1))
                $category_quest.=" OR ";
        }
        $category_quest.=")";



        $ile = 0;
        $tabela = Config::read('db.prefix') . 'shop_product';
        $dane = mysqli_query($dbc, "SELECT COUNT(*) FROM $tabela LEFT OUTER JOIN $tabela_shop_prod_cat ON $tabela.idrek=$tabela_shop_prod_cat.product_id where `active` = 'Y' $category_quest;");
        $row2 = mysqli_fetch_array($dane);
        $ile = $row2[0];
        return $ile;
    }

    //funckja zwraca id kategorii podrzednych
    public function getIdChildCat($what) {
        global $dbc;
        $catId = array();
        $arr = array();
        array_push($catId, $what);
        $cat_doouble = $this->getIdChildCatDouble($what, $arr);

        for ($i = 0; $i < count($cat_doouble); $i++) {
            $catId[$i + 1] = $cat_doouble[$i];
        }



        return $catId;
    }

    private function getIdChildCatDouble($what, $arr) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'shop_category';
        $sql = "SELECT `idrek` FROM " . $tabela . " where `parentid` = '$what';";
        $core = Core::getInstance();
        $stmt = $core->dbh->prepare($sql);
        $stmt->execute();
        while ($row = $stmt->fetch()) {
            array_push($arr, $row['idrek']);
            if ($this->isChildCat($row['idrek'])) {
                $arrTemp = $this->getIdChildCatDouble($row['idrek'], $arr);
                $it = new RecursiveIteratorIterator(new RecursiveArrayIterator($arrTemp));
                foreach ($it as $v) {
                    if (!in_array($v, $arr) and ! is_array($v)) {
                        array_push($arr, $v);
                    }
                }
            }
        }
        $stmt->closeCursor();
        return $arr;
    }

    public function isChildCat($what) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'shop_category';
        $sql = "SELECT `idrek` FROM " . $tabela . " where `parentid` = '$what';";
        $core = Core::getInstance();
        $sth = $core->dbh->prepare($sql);
        $sth->execute();
        $count = $sth->rowCount();
        if ($count > 0) {
            return TRUE;
        } else {
            return FALSE;
        }
    }

    public function getCategory($id, $onlyActive = FALSE) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'shop_category';
        if ($onlyActive == TRUE)
            $dane = mysqli_query($dbc, "SELECT `idrek`,`title`, `structureid` FROM $tabela WHERE `idrek`=" . $id . " AND `active`='Y';");
        else
            $dane = mysqli_query($dbc, "SELECT `idrek`,`title`, `structureid` FROM $tabela WHERE `idrek`=" . $id . ";");


        $category = mysqli_fetch_array($dane, MYSQLI_ASSOC);
        if ($category['idrek'] > 0) {

            $tabela = Config::read('db.prefix') . 'shop_category';
            $wynik = mysqli_query($dbc, "SELECT `idrek`,`title`, `parentid`, `structureid` FROM $tabela WHERE `idrek`='$id';");
            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
            $elementsname = $row['title'];
            $parentId = $row['parentid'];


            $category['url'] = structure::getAdressById($row['structureid'], TRUE);

            return $category;
        } else {
            return false;
        }
    }

}
