<?php

include_once '';

/**
 * Description of CreateSiteMaps
 *
 * @author Jacek
 */

include_once Config::read('system.dir').Config::read('system.moduleDir').'function_create_link';

class structureCreateSiteMaps extends SiteMaps {
    
    public function createSiteMap($moduleName = 'structure') {
        $dir = $this->crateDir($moduleName);
        $tabela = Config::read('db.prefix') . 'structure AS `structure`';
        $elements = array();
        $licznik = 0;
        $wynik = mysqli_query($dbc, "SELECT idrek, created_date, modifited_date FROM $tabela WHERE `active`='T' AND show_in_sitemap='T' GROUP BY idrek;");
        while ($rekord = mysqli_fetch_array($wynik)) {
            $elements[$licznik]['idrek'] = $rekord['idrek'];

            if ($date[$i]['modifited_date'] > 0)
                $elements[$licznik]['date'] = $rekord['modifited_date'];
            else
                $elements[$licznik]['date'] = $rekord['created_date'];

            $elements[$licznik]['url'] = 'http://'.create_link($rekord['idrek']);

            $licznik++;
        }

        if (count($elements) > 0) {
            return $this->saveSiteMap($elements, $dir, $moduleName);
        } else {
            return false;
        }
    }

}
