<?php

/**
 * Description of SiteMaps
 *
 * @author IT-Poland.com Jacek Pecko
 */
class userCreateSiteMaps extends SiteMaps {

    public function createSiteMap($moduleName = false) {
        global $dbc;
        $dir = $this->crateDir($moduleName);

        $licznik = 0;
        $tabela = Config::read('db.prefix') . 'users';
        $wynik = mysqli_query($dbc, "SELECT `idrek`,`nick`, `created_date` FROM $tabela WHERE `idgroup`='12' OR `idgroup`='3' OR `idgroup`='2';");
        while ($rekord = mysqli_fetch_array($wynik)) {
            $elements[$licznik]['idrek'] = $rekord['idrek'];
            $elements[$licznik]['date'] = $rekord['created_date'];

            $elements[$licznik]['url'] = 'http://' . Config::read('site.domain') . '/uzytkownicy/' . $rekord['nick'] . '/';
            //tworzenie urla - KONIEC

            $licznik++;
        }

        if (count($elements) > 0) {
            return $this->saveSiteMap($elements, $dir, $moduleName);
        } else {
            return false;
        }
    }

}
