<?php

class search_user extends search implements SearchInterface {

    public function query($what) {
        global $dbc;
        $query_temp = trim($what['query']);
        include(Config::read('system.dir') . Config::read('system.moduleDir') . 'array_url_pl_to_replace.php');
        $query_temp = strtr($query_temp, $url_pl_to_replace);
        $query_temp = str_replace("%20", " ", $query_temp);
        $query_arr = explode(" ", $query_temp);
        $query_sql = '';
        for ($i = 0; $i < count($query_arr); $i++) {

            $query_sql.="`nick` LIKE '%" . $query_arr[$i] . "%'";
            $query_sql.=" or (`name` LIKE '%" . $query_arr[$i] . "%' and `show_only_login`='N')";
            $query_sql.=" or (`surname` LIKE '%" . $query_arr[$i] . "%' and `show_only_login`='N')";
            if ($i < (count($query_arr) - 1))
                $query_sql.=' OR ';
        }
        return $query_sql;
    }

    public function count_query($url_arr) {
        global $dbc;
        $tabela = Config::read('db.prefix') . 'users';
        $query = $this->query($url_arr);
        $wynik = mysqli_query($dbc, "SELECT count(*) FROM $tabela WHERE (" . $query . ") AND (`idgroup`='2' or `idgroup`='3' or `idgroup`='12');");
        $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
        return $row[0];
    }

    public function result($url_arr) {
        global $dbc;
        include_once(Config::read('system.dir') . Config::read('system.moduleDir') . "function_create_link.php");
        include_once(Config::read('system.dir') . Config::read('system.moduleDir') . "function_get_diff.php");
        include_once(Config::read('system.dir') . Config::read('system.moduleDir') . "function_date_diff.php");

        //nadawanie meta danych
        global $site;
        $site['meta_title'] = $this->getQueryString($url_arr);
        //nadawanie meta danych - KONIEC		

        $results = array();

        $sql_limit = '';
        if ($this->_config['paging'] == 'Y' AND $this->_config['numberbysite'] > 0) {
            $ile = $this->count_query($url_arr);
            $ile = $ile - $this->_config['shift'];
            if ((!isset($url_arr['nr'])) OR ( $url_arr['nr'] == ''))
                $nr = 1;
            else {
                $nr = addslashes($url_arr['nr']);
            }
            $stron = $ile / $this->_config['numberbysite'];
            $stron = ceil($stron);
            $od_ilu = (($nr - 1) * $this->_config['numberbysite']) + $this->_config['shift'];
            //koniec stronicowanie

            $sql_limit = " LIMIT $od_ilu," . $this->_config['numberbysite'];
        }

        $query = $this->query($url_arr);

        $sql_orderby = '`nick`';
        $sql_sortto = 'ASC';

        $elements = array();
        $licznik = 0;
        $tabela = Config::read('db.prefix') . 'users';
        $wynik = mysqli_query($dbc, "SELECT `idrek`, `nick`, `name`, `surname`, `sex`, `photo_id`, `show_only_login`, `point`, `piont_month`, `date_born`, `created_date` FROM $tabela WHERE (" . $query . ") AND (`idgroup`='2' or `idgroup`='3' or `idgroup`='12') ORDER BY $sql_orderby $sql_sortto $sql_limit;");
        while ($rekord = mysqli_fetch_array($wynik)) {
            $elements[$licznik]['idrek'] = $rekord['idrek'];
            $elements[$licznik]['url'] = 'http://' . $rekord['nick'] . '.' . Config::read('site.domain');
            $elements[$licznik]['nick'] = $rekord['nick'];
            $elements[$licznik]['name'] = $rekord['name'];
            $elements[$licznik]['surname'] = $rekord['surname'];
            $elements[$licznik]['sex'] = $rekord['sex'];
            $elements[$licznik]['photo_id'] = $rekord['photo_id'];
            $elements[$licznik]['show_only_login'] = $rekord['show_only_login'];
            $elements[$licznik]['point'] = $rekord['point'];
            $elements[$licznik]['piont_month'] = $rekord['piont_month'];
            $elements[$licznik]['created_date'] = $rekord['created_date'];
            //wiek
            if ($rekord['date_born'] > 1) {
                $date_born = date_diff($rekord['date_born'], time());
                $elements[$licznik]['date_born_year'] = $date_born['year'];
            }
            //wiek - KONIEC		

            $elements[$licznik]['get_diff'] = get_diff($rekord['created_date']);

            $licznik++;
        }

        $results['url'] = 'module,user,query,' . $url_arr['query'];
        $results['sites'] = $stron;
        $results['sitenr'] = $nr;
        $results['elements'] = $elements;
        return $results;
    }

}
