<?php

##############################################
#  Moduł "Użytkownicy - Panel logowania"  1.0#
#  Autor: Jacek Pecko IT-Poland.com          #
##############################################
//$module['conf_id']
//$module['placment_name']

include_once Config::read('system.dir') . Config::read('system.moduleDir') . '/function_what_new.php';
include_once Config::read('system.dir') . Config::read('system.moduleDir') . '/class_cms_photo.php';
include_once Config::read('system.dir') . Config::read('system.moduleDir') . '/user_reg_form/class/UserRegistration.class.php';
include_once Config::read('system.dir') . Config::read('system.moduleDir') . '/user_login_panel/class/importDlUser.php';
include_once Config::read('system.dir') . Config::read('system.moduleDir') . '/function_send_mail.php';
include_once Config::read('system.dir') . Config::read('system.moduleDir') . '/function_check_email.php';

$img_obj = new cms_photo;
$userObj = new User();
$importDlUserObj = new importDlUser();
$login_done = false;
$bug = array();

//zczytywanie configa głównego
$tabela = Config::read('db.prefix') . 'modules';
$wynik = mysqli_query($dbc, "SELECT `idrek`, `template_dir` FROM $tabela WHERE `badge` = 'user_login_panel';");
$row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
$template_dir = $row['template_dir'];


/* Wylogowywanie */
if (isset($_POST ['logout_button']) OR $url_arr['logout'] == 1) {
    if ($userObj->logoutUser()) {
        header('Location: http://' . Config::read('site.domain'));
        exit();
    }
    $login_done = true;
}



if (isset($_POST['go_loginOld'])) {

    /* Import konta */
    if ($_POST['new_email'] == '') {
        $smarty->assign("old_id", addslashes($_POST['old_id']));
        $smarty->assign("old_pass", $_POST['old_pass']);
        $bug['login'] = 'Nie wpisałeś adresu e-mail.';
    } else {
        if ($importDlUserObj->isEmailFree(addslashes($_POST['new_email']))) {
            if (check_email(addslashes($_POST['new_email']))) {
                $userId = $importDlUserObj->importAccount(addslashes($_POST['old_id']), $_POST['old_pass'], addslashes($_POST['new_email']));
                $userDate = array(
                    'idrek' => $userId,
                    'show_only_login' => 'N',
                );

                $userObj->logedUser($userDate);
                header('HTTP/1.1 301 Moved Permanently');
                header('Location: /panel/');
            } else {
                $smarty->assign("old_id", addslashes($_POST['old_id']));
                $smarty->assign("old_pass", $_POST['old_pass']);
                $bug['login'] = 'Wpisano nieprawidłowy adres email';
            }
        } else {
            $smarty->assign("old_id", addslashes($_POST['old_id']));
            $smarty->assign("old_pass", $_POST['old_pass']);
            $bug['login'] = 'Adres e-mail jest już zajęty.';
        }
    }
} else if (isset($_POST['go_login'])) {
    /* Logowanie */
    $tabela = Config::read('db.prefix') . 'users';
    $email = addslashes($_POST['si_email']);
    $haslo = addslashes($_POST['si_password']);
    $wynik = mysqli_query($dbc, "SELECT `idrek`, `idgroup`, `photo_id`, `sex`, `nick`, `name`, `surname`, `show_only_login` FROM $tabela WHERE `mail` = '$email' AND `haslo` = PASSWORD('$haslo') AND (`idgroup` = '14' OR `idgroup` = '12' OR `idgroup` = '2' OR `idgroup` = '3');");
    $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
    if ($row[0] > 0) {
        $userDate = array(
            'idrek' => $row['idrek'],
            'show_only_login' => 'N',
        );

        $userObj->logedUser($userDate);
        header('HTTP/1.1 301 Moved Permanently');
        header('Location: /panel/');
    } else {
        //Import kont ze starego systemu
        $tabelaOld = 'old_user';
        $wynik = mysqli_query($dbc, "SELECT `id`, `nick`, `data_rej`, `mail` FROM $tabelaOld WHERE (`mail` = '$email' OR `nick` = '$email') AND `haslo` = PASSWORD('$haslo') AND (`ok` = '1' OR `active` = 'Y') AND `import` = 'N';");
        $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
        if ($row['id'] > 0) {
            if ($row['mail'] == '') {
                $smarty->assign("old_id", $row['id']);
                $smarty->assign("old_pass", $haslo);
            } else {
                $userId = $importDlUserObj->importAccount($row['id'], $haslo);
                $userDate = array(
                    'idrek' => $userId,
                    'show_only_login' => 'N',
                );

                $userObj->logedUser($userDate);
                header('HTTP/1.1 301 Moved Permanently');
                header('Location: /panel/');
            }
        } else {
            $bug['login'] = 'Błędny login lub hasło!';
            $smarty->assign("showLogForm", TRUE);
            $smarty->assign("bug", $bug);
        }
    }
}

/* rejestracja */
if (isset($_POST['go_reg'])) {
    $testForm = true;
    $bugReg = array();
    $userRegObj = new UserRegistration();
    $email = addslashes($_POST['su_email']);
    if (!$userRegObj->isEmailFree($email)) {
        $bugReg['email'] = 'Adres e-mail jest już zajęty.';
        $testForm = FALSE;
    }

    $passCheck = $userObj->isPassCorect(addslashes($_POST['su_password']), addslashes($_POST['su_password_repeat']));

    if ($passCheck !== TRUE) {
        $bugReg['pass'] = $passCheck;
        $testForm = FALSE;
    }

    if ($_POST['su_law'] != 1) {
        $bugReg['low'] = 'Zgoda na przetwarzanie danych osobowych jest konieczna.';
        $testForm = FALSE;
    }

    if ($testForm == FALSE) {
        $smarty->assign("bugReg", $bugReg);
        $smarty->assign("showRegForm", TRUE);
    } else {
        if ($_POST['su_subscribe'] == 1)
            $subscribe = TRUE;
        else
            $subscribe = FALSE;
        $elem = array(
            'email' => $email,
            'pass' => addslashes($_POST['su_password']),
            'subscribe' => $subscribe
        );
        $userRegObj->registUser($smarty, $elem);
        $smarty->assign("showRegFormPositive", TRUE);
        $smarty->assign("showRegForm", TRUE);
    }
}



//zczytywanie configa modułu
$tabela = Config::read('db.prefix') . 'user_login_panel_conf';
$wynik = mysqli_query($dbc, "SELECT `idrek`, `template_not_loged`, `template_loged`, `template_login` FROM $tabela WHERE `idrek` = '" . $module['conf_id'] . "';
        ");
$row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
if ($row['idrek'] > 0) {
    $template_not_loged = $row['template_not_loged'];
    $template_loged = $row['template_loged'];
    $template_login = $row['template_login'];


    if ((Config::read('user.group') == 14 OR Config::read('user.group') == 12 OR Config::read('user.group') == 3 OR Config::read('user.group') == 2) AND $login_done == false) {  //zalogowani\		
        $tabela = Config::read('db.prefix') . 'users';
        $wynik = mysqli_query($dbc, "SELECT `idrek`, `nick`, `name`, `surname`, `photo_id`, `show_only_login` FROM $tabela WHERE `idrek` = '" . Config::read('user.id') . "';
        ");
        $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);

        $login_panel = array();
        $login_panel['idrek'] = $row['idrek'];
        $login_panel['photo_id'] = $row['photo_id'];
        if ($row['show_only_login'] == "Y")
            $login_panel['nick'] = $row[
                    'nick'];
        else
            $login_panel['nick'] = $row['name'] . ' ' . $row['surname'];
        $login_panel['subdomain'] = $row['nick'];
        /*
          $tabela = Config::read('db.prefix') . 'pm';
          $wynik = mysqli_query($dbc, "SELECT COUNT(*) FROM $tabela WHERE `toid` = '" . Config::read('user.id') . "' AND `type` = 'INBOX' AND `read` = 'N';
          ");
          $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
          $login_panel['messages'] = $row[0];
         */
        //$smarty->assign("login_panel", $login_panel);
        //$smarty->registerObject('cms_photo', $img_obj);        
        //$temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $template_loged . '.tpl.html');
        header('HTTP/1.1 301 Moved Permanently');
        header('Location: /panel/');
    } else if ($login_done == true) {
        $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $template_login . '.tpl.html');
    } else {  //nie zalogowani
        $smarty->assign("bug_lp", $bug);
        $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $template_not_loged . '.tpl.html');
    }
}
