<?php

##########################################
#  Moduł "Użytkownicy - rejestracja"  1.0#
#  Autor: Jacek Pecko IT-Poland.com      #
##########################################
//$module['conf_id']
//$module['placment_name']

include_once Config::read('system.dir') . Config::read('system.moduleDir') . "class_cms_token.php";
include_once Config::read('system.dir') . Config::read('system.moduleDir') . "function_check_email.php";
include_once Config::read('system.dir') . Config::read('system.moduleDir') . "function_check_login.php";
include_once Config::read('system.dir') . Config::read('system.moduleDir') . "function_limit.php";
include_once Config::read('system.dir') . Config::read('system.moduleDir') . "function_send_mail.php";
include_once Config::read('system.dir') . Config::read('system.moduleFunction') . "mysql_41_password.php";


$token_obj = new cms_token;
$img_obj = new cms_photo;

$smarty->registerObject('cms_token', $token_obj);
$smarty->registerObject('cms_photo', $img_obj);

$show_form = true;

//zczytywanie configa głównego
$tabela = Config::read('db.prefix') . 'modules';
$wynik = mysqli_query($dbc, "SELECT `idrek`,`template_dir` FROM $tabela WHERE `badge`='user_reg_form';");
$row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
$template_dir = $row['template_dir'];
//zczytywanie configa modułu
$tabela = Config::read('db.prefix') . 'user_reg_form_conf';
$wynik = mysqli_query($dbc, "SELECT `idrek`,`template`,`template_post`, `template_mail`,`photo_base_id` FROM $tabela WHERE `idrek`='" . $module['conf_id'] . "';");
$row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
if ($row['idrek'] > 0) {
    $template_form = $row['template'];
    $template_post = $row['template_post'];
    $template_mail = $row['template_mail'];
    $photo_base_id = $row['photo_base_id'];

    if (isset($_POST['go_form'])) {
        $test_save = true;
        $login = strip_tags($_POST['login']);
        $show_only_login = $_POST['show_only_login'];
        $haslo = $_POST['haslo'];
        $haslo_rep = $_POST['haslo_rep'];
        $imie = strip_tags($_POST['imie']);
        $nazwisko = strip_tags($_POST['nazwisko']);
        $plec = $_POST['plec'];
        $miasto = strip_tags($_POST['miasto']);
        $data_ur = strip_tags($_POST['data_ur']);
        $email = strip_tags($_POST['email']);
        $file_upload = $_POST['file_upload'][0];
        $about_me = strip_tags($_POST['about_me']);
        $token_hidden = $_POST['token_hidden'];
        $token = $_POST['token'];
        $regulamin = $_POST['regulamin'];

        //sprawdzanie token
        if (CMSCONFIG != 'localDev') {
            $response = addslashes($_POST["g-recaptcha-response"]);
            $url = 'https://www.google.com/recaptcha/api/siteverify';
            $data = array(
                'secret' => Config::read('recaptcha.secretKey'),
                'response' => addslashes($_POST["g-recaptcha-response"])
            );
            $options = array(
                'http' => array(
                    'method' => 'POST',
                    'content' => http_build_query($data)
                )
            );
            $context = stream_context_create($options);
            $verify = file_get_contents($url, false, $context);
            $captcha_success = json_decode($verify);


            if ($captcha_success->success == false) {
                $bug['token'] = 'Captcha wykryla, że jesteś robotem.';
                $test_save = false;
            }
        }
        //sprawdzanie token - KONIEC
        //sprawdzanie Email
        if (check_email($email) == false) {
            $bug['email'] = 'Nieprawidłowy adres e-mail.';
            $test_save = false;
        } else {
            $tabela = Config::read('db.prefix') . 'users';
            $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `mail`='$email';");
            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
            if ($row['idrek'] > 0) {
                $bug['email'] = 'Podany adres email był jest już zarejestrowany dla innego konta.';
                $test_save = false;
            } else {
                $tabelaOld = 'old_user';
                $wynik = mysqli_query($dbc, "SELECT `id` FROM $tabelaOld WHERE `mail`='$email';");
                $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
                if ($row['id']) {
                    $bug['email'] = 'Podany adres email był jest już zarejestrowany dla innego konta.';
                    $test_save = false;
                }
            }
        }
        //sprawdzanie email - KONIEC
        //sprawdzanie hasła
        if (strlen($haslo) < 3) {
            $bug['haslo'] = 'Hasło musi mieć przynajmniej trzy znaki.';
            $test_save = false;
        } elseif ($haslo != $haslo_rep) {
            $bug['haslo_rep'] = 'Hasła muszą być identyczne.';
            $test_save = false;
        } elseif ($haslo == $login) {
            $bug['haslo_rep'] = 'Hasło nie może być identyczne z loginem.';
            $test_save = false;
        }
        //sprawdzanie hasła - KONIEC
        //sprawdzanie imie
        /*    if (strlen($imie)<3){
          $bug['imie']='Nie wpisałeś(-aś) imienia.';
          $test_save=false;
          }
          //sprawdzanie imie - KONIEC

          //sprawdzanie nazwisko
          if (strlen($nazwisko)<3){
          $bug['nazwisko']='Nie wpisałeś(-aś) nazwiska.';
          $test_save=false;
          }
         */ //sprawdzanie nazwiska - KONIEC
        //sprawdzanie miasto
        /*   if (strlen($miasto)<3){
          $bug['miasto']='Nie wpisałeś(-aś) miasta.';
          $test_save=false;
          } */
        //sprawdzanie miasto - KONIEC		
        //sprawdzanie płeć
        /*
          if ($plec!="M" AND $plec!="W"){
          $bug['plec']='Nie podałeś(-aś) płci.';
          $test_save=false;
          }
          //sprawdzanie płeć - KONIEC

          if ($token!=limit(md5($token_hidden),6)){
          $bug['token']='Wpisany tekst nie zgadza się z tym na rysunku.';
          $test_save=false;
          }
         */


        if ($regulamin != true) {
            $bug['regulamin'] = 'Zaakceptowanie regulaminu serwisu jest obowiązkowe.';
            $test_save = false;
        }

        if ($test_save == true) {



            $invite_by = 0;
            $tabela = Config::read('db.prefix') . 'user_invite';
            $wynik = mysqli_query($dbc, "SELECT `idrek`,`userid` FROM $tabela WHERE `user_email`='$email';");
            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
            if ($row['idrek'] > 0) {
                $invite_by = $row['userid'];
            }

            /*
              if (strlen($file_upload)>0){
              $tabela=Config::read('db.prefix').'baza_images_category_photos';
              $temp=explode(".",$file_upload);
              $row_name=array();
              $row_value=array();
              array_push ( $row_name, 'hash');
              array_push ( $row_value, $temp[0]);
              array_push ( $row_name, 'kon');
              array_push ( $row_value, $temp[1]);
              array_push ( $row_name, 'cat');
              array_push ( $row_value, $photo_base_id);
              array_push ( $row_name, 'name');
              array_push ( $row_value, 'Avatar - '.$login);
              array_push ( $row_name, 'created_by');
              array_push ( $row_value, '0');
              array_push ( $row_name, 'created_date');
              array_push ( $row_value, time());
              insert_sql($tabela,$row_name,$row_value);
              $photo_id=mysqli_insert_id($dbc);
              }else{    //jeśli brak było wybranego avatara jest on losowany
              if ($plec=="M"){
              $tabela=Config::read('db.prefix').'baza_images_category_photos';
              $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `cat`='9' ORDER BY RAND() LIMIT 1;");
              $row = mysqli_fetch_array ($wynik, MYSQLI_BOTH);
              $photo_id=$row['idrek'];
              }elseif ($plec=="W"){
              $tabela=Config::read('db.prefix').'baza_images_category_photos';
              $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `cat`='8' ORDER BY RAND() LIMIT 1;");
              $row = mysqli_fetch_array ($wynik, MYSQLI_BOTH);
              $photo_id=$row['idrek'];
              }else{
              $photo_id=151;
              }
              }

              $tabela=Config::read('db.prefix').'geo_city';
              $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `name`='$miasto';");
              $row = mysqli_fetch_array ($wynik, MYSQLI_BOTH);
              if ($row['idrek']>0){
              $city_id=$row['idrek'];
              }else{
              $tabela=Config::read('db.prefix').'geo_city';
              $row_name=array();
              $row_value=array();
              array_push ( $row_name, 'name');
              array_push ( $row_value, $miasto);
              insert_sql($tabela,$row_name,$row_value);
              $city_id=mysqli_insert_id($dbc);
              }
             */
            //data urodzenia
            if (strlen($data_ur) == 10) {
                $temp = explode(".", $data_ur);
                $date_ur_mk = time(0, 0, 0, $temp[1], $temp[0], $temp[2]);
            } else {
                $date_ur_mk = '';
            }

            //zgody
            if ($_POST['zg1'] == true)
                $zg1 = 'Y';
            else
                $zg1 = 'N';

            if ($_POST['zg2'] == true)
                $zg2 = 'Y';
            else
                $zg2 = 'N';





            $key = limit(md5(uniqid(time())), 10);

            $tabela = Config::read('db.prefix') . 'users';
            $row_name = array();
            $row_value = array();
            array_push($row_name, 'nick');
            array_push($row_value, $email);
            array_push($row_name, 'show_only_login');
            array_push($row_value, 'N');
            array_push($row_name, 'haslo');
            array_push($row_value, mysql_41_password($haslo));
            array_push($row_name, 'mail');
            array_push($row_value, $email);
            array_push($row_name, 'idgroup');
            array_push($row_value, 16);
            array_push($row_name, 'ip');
            array_push($row_value, $_SERVER['REMOTE_ADDR']);
            array_push($row_name, 'host');
            array_push($row_value, gethostbyaddr($_SERVER['REMOTE_ADDR']));
            array_push($row_name, 'key');
            array_push($row_value, $key);
            array_push($row_name, 'zg1');
            array_push($row_value, $zg1);
            array_push($row_name, 'zg2');
            array_push($row_value, $zg2);
            array_push($row_name, 'created_by');
            array_push($row_value, '0');
            array_push($row_name, 'created_date');
            array_push($row_value, time());
            insert_sql($tabela, $row_name, $row_value);
            
            $user_id = mysqli_insert_id($dbc);



            $content = '<h2>Aktywacja konta ' . Config::read('site.domainVisible') . '</h2><br /><br />'
                    . 'Witaj,<br />'
                    . 'dziękujemy za rejestracje w serwisie ' . Config::read('site.domainVisible') . '<br /><br />'
                    . 'Aby dokończyć proces kliknij w poniższy link:<br />'
                    . '<a href="https://' . Config::read('site.domain') . '/account-activation/active_key,' . $key . '.html" target="_blank">https://' . Config::read('site.domain') . '/account-activation/active_key,' . $key . '.html</a><br /><br />'
                    . '<br /><br />'
                    . 'Pozdrawiamy<br />';
            send_mail($email, Config::read('email.name'), Config::read('email.adress'), 'Potwierdzenie rejestracji w serwisie ' . Config::read('site.domainVisible'), $content);
            
            
            $content = '<h2>Rejestracja konta ' . Config::read('site.domainVisible') . '</h2><br /><br />'
                    . 'Użytkownk '.$email.' zarejestrował konto.';
                                        
            send_mail(Config::read('system.adminEmail'), Config::read('email.name'), Config::read('email.adress'), 'Rejestracji w serwisie ' . Config::read('site.domainVisible'), $content);                
                            
            
            $show_form = false;
        }
    }



    if ($show_form == true) {
        if ((Config::read('user.group') == 14 OR Config::read('user.group') == 12 OR Config::read('user.group') == 3 OR Config::read('user.group') == 2) AND $login_done == false) {  //zalogowani
            $smarty->assign("user_loged", true);
            $smarty->assign("redir_url", 'https://' . CMS_DOMAIN . '/uzytkownicy/' . $row['nick'] . '/');
        }

        $img_obj = new cms_photo;
        $userObj = new User();
        $fbStatus = array();
        $fbStatus ['firstLogin'] = true;
        $fbStatus ['firstIsLogied'] = false;

        //Facebook Login

        $configFb = array();
        $configFb['appId'] = Config::read('fb.apiId');
        $configFb['secret'] = Config::read('fb.secret');

        $smarty->assign("bug", $bug);
        $smarty->assign("site", $site);
        $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $template_form . '.tpl.html');
    } else {
        $temp_content[$module['placment_name']] = $smarty->fetch(Config::read('system.frontTemplate') . $template_dir . '/' . $template_post . '.tpl.html');
    }
}