<?php

include_once("modules/function_check_email.php");
include_once("modules/function_check_login.php");
include_once("modules/function_limit.php");
include_once("modules/function_mysqli_41_password.php");




$show_form = true;
$img_obj = new cms_photo;

if (!isset($_GET['what'])) {
    $show_form = false;
} else {
    $idrek = addslashes($_GET['what']);
    $idgroup = addslashes($_GET['group']);

    #zapisanie wyników
    if (isset($_POST['go_form'])) {
        $test_save = true;
        $login = $_POST['login'];
        $show_only_login = $_POST['show_only_login'];
        if (strlen($_POST['haslo']) > 0) {
            $haslo = $_POST['haslo'];
            $haslo_rep = $_POST['haslo_rep'];
        }

        $imie = $_POST['imie'];
        $nazwisko = $_POST['nazwisko'];
        $plec = $_POST['plec'];
        $miasto = $_POST['miasto'];
        $data_ur = $_POST['data_ur'];
        $email = $_POST['email'];

        if (strlen($_POST['file_upload'][0]) > 5) {
            $file_upload = $_POST['file_upload'][0];
        }

        $about_me = $_POST['about_me'];
        $idgroup = $_POST['idgroup'];

        //sprawdzanie loginu
        if (strlen($login) < 3) {
            $bug['login'] = 'Login musi mieć przynajniej trzy znaki.';
            $test_save = false;
        } else if (preg_match("/^[A-Za-z0-9_]{3,20}$/", $login) === 0) {
            $bug['login'] = 'Podany przez Ciebie login jest nie prawidłowy. Dozwolone są jedynie litery (bez polskich znaków), cyfry oraz "-".';
            $test_save = false;
        }
        if (strlen($login) > 25) {
            $bug['login'] = 'Login nie może mieć więcej niż 25 znaków.';
            $test_save = false;
        } else {
            //test czy konto o takim nicku już istnieje			
            $tabela = Config::read('db.prefix') . 'users';
            $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `nick`='$login' AND `idrek`!=" . $_GET['what'] . ";");
            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
            if ($row['idrek'] > 0) {
                $bug['login'] = 'Podany przez Ciebie login jest już zajęty.';
                $test_save = false;
            }
            //test czy login istnieje w blokadzie loginów
            $tabela = Config::read('db.prefix') . 'loginblock';
            $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `login`='$login';");
            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
            if ($row['idrek'] > 0) {
                $bug['login'] = 'Podany przez Ciebie login jest już zajęty.';
                $test_save = false;
            }
        }
        //sprawdzanie loginu - KONIEC
        //sprawdzanie pokaż tylko login
        if ($show_only_login != "Y" AND $show_only_login != "N") {
            $bug['show_only_login'] = 'Nie wybrałeś(-aś) żadnej opcji.';
            $test_save = false;
        }
        //sprawdzanie pokaż tylko login - KONIEC			
        //sprawdzanie Email
        if (check_email($email) == false) {
            $bug['email'] = 'Nieprawidłowy adres e-mail.';
            $test_save = false;
        } else {
            $tabela = Config::read('db.prefix') . 'users';
            $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `mail`='$email' AND `idrek`!=" . $_GET['what'] . ";");
            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
            if ($row['idrek'] > 0) {
                $bug['email'] = 'Podany adres email był jest już zarejestrowany dla innego konta.';
                $test_save = false;
            }
        }
        //sprawdzanie email - KONIEC		

        if (isset($haslo)) {
            //sprawdzanie hasła
            if (strlen($haslo) < 3) {
                $bug['haslo'] = 'Hasło musi mieć przynajmniej trzy znaki.';
                $test_save = false;
            } elseif ($haslo != $haslo_rep) {
                $bug['haslo_rep'] = 'Hasła muszą być identyczne.';
                $test_save = false;
            } elseif ($haslo == $login) {
                $bug['haslo_rep'] = 'Hasło nie może być identyczne z loginem.';
                $test_save = false;
            }
            //sprawdzanie hasła - KONIEC		
        }

        //sprawdzanie imie
        if (strlen($imie) < 3) {
            $bug['imie'] = 'Nie wpisałeś(-aś) imienia.';
            $test_save = false;
        }
        //sprawdzanie imie - KONIEC		
        //sprawdzanie nazwisko
        if (strlen($nazwisko) < 3) {
            $bug['nazwisko'] = 'Nie wpisałeś(-aś) nazwiska.';
            $test_save = false;
        }
        //sprawdzanie nazwiska - KONIEC
        //sprawdzanie miasto
        if (strlen($miasto) < 3) {
            $bug['miasto'] = 'Nie wpisałeś(-aś) miasta.';
            $test_save = false;
        }
        //sprawdzanie miasto - KONIEC		
        //sprawdzanie płeć
        if ($plec != "M" AND $plec != "W") {
            $bug['plec'] = 'Nie podałeś(-aś) płci.';
            $test_save = false;
        }
        //sprawdzanie płeć - KONIEC			

        if ($test_save == true) {
            $user_id = Config::read('user.id');

            //data urodzenia
            if (strlen($data_ur) == 10) {
                $temp = explode(".", $data_ur);
                $date_ur_mk = time(0, 0, 0, $temp[1], $temp[0], $temp[2]);
            } else {
                $date_ur_mk = '';
            }

            if (strlen($file_upload) > 0) {
                $tabela = Config::read('db.prefix') . 'baza_images_category_photos';
                $temp = explode(".", $file_upload);
                $row_name = array();
                $row_value = array();
                array_push($row_name, 'hash');
                array_push($row_value, $temp[0]);
                array_push($row_name, 'kon');
                array_push($row_value, $temp[1]);
                array_push($row_name, 'cat');
                array_push($row_value, $photo_base_id);
                array_push($row_name, 'name');
                array_push($row_value, 'Avatar - ' . $login);
                array_push($row_name, 'created_by');
                array_push($row_value, '0');
                array_push($row_name, 'created_date');
                array_push($row_value, time());
                insert_sql($tabela, $row_name, $row_value);
                $photo_id = mysqli_insert_id($dbc);
            }

            $tabela = Config::read('db.prefix') . 'geo_city';
            $wynik = mysqli_query($dbc, "SELECT `idrek` FROM $tabela WHERE `name`='$miasto';");
            $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
            if ($row['idrek'] > 0) {
                $city_id = $row['idrek'];
            } else {
                $tabela = Config::read('db.prefix') . 'geo_city';
                $row_name = array();
                $row_value = array();
                array_push($row_name, 'name');
                array_push($row_value, $miasto);
                insert_sql($tabela, $row_name, $row_value);
                $city_id = mysqli_insert_id($dbc);
            }

            $row_name = array();
            $row_value = array();
            array_push($row_name, 'nick');
            array_push($row_value, $login);
            if (isset($haslo)) {
                array_push($row_name, 'haslo');
                array_push($row_value, mysqli_41_password($haslo));
            }
            array_push($row_name, 'mail');
            array_push($row_value, $email);
            array_push($row_name, 'idgroup');
            array_push($row_value, $idgroup);
            array_push($row_name, 'name');
            array_push($row_value, $imie);
            array_push($row_name, 'surname');
            array_push($row_value, $nazwisko);
            array_push($row_name, 'sex');
            array_push($row_value, $plec);
            array_push($row_name, 'city_id');
            array_push($row_value, $city_id);
            array_push($row_name, 'date_born');
            array_push($row_value, $date_ur_mk);
            if (isset($photo_id)) {
                array_push($row_name, 'photo_id');
                array_push($row_value, $photo_id);
            }
            array_push($row_name, 'about_me');
            array_push($row_value, $about_me);
            array_push($row_name, 'modifited_by');
            array_push($row_value, $user_id);
            array_push($row_name, 'modifited_date');
            array_push($row_value, time());
            $tabela = Config::read('db.prefix') . 'users';
            update_sql($tabela, $row_name, $row_value, '`idrek`=\'' . $_GET['what'] . '\'');
            $show_form = false;
        }
    }

    $tabela = Config::read('db.prefix') . 'users';
    $wynik = mysqli_query($dbc, "SELECT `idrek`, `nick`,`mail`,`idgroup`, `name`, `surname`, `sex`, `city_id`, `date_born`, `photo_id`, `about_me`, `show_only_login`, `created_by`,`created_date`,`modifited_by`,`modifited_date` FROM $tabela WHERE `idrek`='$idrek';");
    $row = mysqli_fetch_array($wynik, MYSQLI_BOTH);
    if ($row['idrek'] < 1) {
        $show_form = false;
    } else {
        #Główka
        array_push($insert_tmp['path_name'], "Grupy użytkowników");
        array_push($insert_tmp['path_adres'], "?pages=user_group");
        array_push($insert_tmp['path_name'], "Użytkownicy");
        $path_tmp = '?pages=users';
        if (isset($_GET['group']))
            $path_tmp .= '&what=' . $_GET['group'];
        array_push($insert_tmp['path_adres'], $path_tmp);
        array_push($insert_tmp['path_name'], "Edycja użytkownika");
        array_push($insert_tmp['path_adres'], "?pages=users_edit&what=" . $_GET['what']);

        $insert_tmp['title'] = 'Edycja użytkownika';

        $form['login'] = $row['nick'];
        $form['idgroup'] = $row['idgroup'];
        $form['show_only_login'] = $row['show_only_login'];
        $form['imie'] = $row['name'];
        $form['nazwisko'] = $row['surname'];
        $form['plec'] = $row['sex'];

        $city_id = $row['city_id'];
        $tabela_city = Config::read('db.prefix') . 'geo_city';
        $wynik_city = mysqli_query($dbc, "SELECT `name` FROM $tabela_city WHERE `idrek`='$city_id';");
        $row_city = mysqli_fetch_array($wynik_city, MYSQLI_BOTH);
        if (strlen($row_city['name']) > 0)
            $form['miasto'] = $row_city['name'];

        if ($row['date_born'] > 0)
            $form['data_ur'] = $row['date_born'];

        $form['email'] = $row['mail'];

        $form['photoid'] = $row['photo_id'];
        $tabela_img = Config::read('db.prefix') . 'baza_images_category_photos';
        $wynik_img = mysqli_query($dbc, "SELECT `hash`,`kon` FROM $tabela_img WHERE `idrek`='" . $row['photo_id'] . "';");
        $row_img = mysqli_fetch_array($wynik_img, MYSQLI_BOTH);
        $form['filename'] = $row_img['hash'] . '.' . $row_img['kon'];

        $form['about_me'] = $row['about_me'];

        $form['created_date'] = $row['created_date'];
        $form['modifited_date'] = $row['modifited_date'];

        //utworzone
        if ($row['created_by'] > 0) {
            $user_id = $row['created_by'];
            $tabela_user = Config::read('db.prefix') . 'users';
            $wynik_user = mysqli_query($dbc, "SELECT `nick` FROM $tabela_user WHERE `idrek`='$user_id';");
            $row_user = mysqli_fetch_array($wynik_user, MYSQLI_NUM);
            $form['created_by_name'] = $row_user[0];
            $form['created_by_id'] = $user_id;
        }
        if ($row['modifited_by'] > 0) {
            $user_id = $row['modifited_by'];
            $tabela_user = Config::read('db.prefix') . 'users';
            $wynik_user = mysqli_query($dbc, "SELECT `nick` FROM $tabela_user WHERE `idrek`='$user_id';");
            $row_user = mysqli_fetch_array($wynik_user, MYSQLI_NUM);
            $form['modifited_by_name'] = $row_user[0];
            $form['modifited_by_id'] = $user_id;
        }

        $smarty->assign("form", $form);
    }
}

if ($show_form == true) {
    #zczytywanie grup
    $licznik = 0;
    $tabela = Config::read('db.prefix') . 'group';
    $wynik = mysqli_query($dbc, "SELECT `idrek`,`name` FROM $tabela ORDER BY `name`;");
    while ($rekord = mysqli_fetch_array($wynik)) {
        $group[$licznik]['idrek'] = $rekord['idrek'];
        $group[$licznik]['name'] = $rekord['name'];
        if (isset($_POST['idgroup']) AND $_POST['idgroup'] == $rekord['idrek'])
            $group[$licznik]['select'] = "Y";
        else if (!isset($_POST['idgroup']) AND $form['idgroup'] == $rekord['idrek'])
            $group[$licznik]['select'] = "Y";
        else
            $group[$licznik]['select'] = "N";
        $licznik++;
    }
    $smarty->registerObject('cms_photo', $img_obj);
    $smarty->assign("group", $group);
    $content = $smarty->fetch('admin/html/users_edit.tpl.html');
} else {
    $smarty->assign("backto", '?pages=users&what=' . $idgroup);
    $content = $smarty->fetch('admin/html/save.tpl.html');
}