<?php

/**
 * Description of session
 *
 * @author IT-Poland.com Jacek Pecko
 */


require 'config.php';
$inputDirCSS = CM_DIR . '/files/css/source/';
$inputDirjs = CM_DIR . '/files/js/source/';
$outputDirCSS = CM_DIR . '/files/css/compress/';
$outputDirJS = CM_DIR . '/files/js/compress/';


if ($_GET['type'] == 'css') {
    if (file_exists($outputDirCSS . $_GET['name'] . '.css')) {
        echo file_get_contents($outputDirCSS . $_GET['name'] . '.css');
    } else {
        require CM_DIR . '/class/Cssmin.php';
        $nameArr = explode(",", $_GET['name']);
        $content = '';
        for ($i = 0; $i < count($nameArr); $i++) {
            if (file_exists($inputDirCSS . $nameArr[$i] . '.css')) {    
                $content .= '/*'.$nameArr[$i] .'*/';
                $content .= file_get_contents($inputDirCSS . $nameArr[$i] . '.css');
            }
        }        
        if ($content!=''){
            $compressor = new CSSmin();
            $compressor->set_memory_limit('256M');
            $compressor->set_max_execution_time(120);
            $output_css = $compressor->run($content, 2000);
            file_put_contents($outputDirCSS . $_GET['name'] . '.css', $output_css);
        }
        echo $output_css;
    }
} else if ($_GET['type'] == 'js') {
    if (file_exists($outputDirJS . $_GET['name'] . '.js')) {
        echo file_get_contents($outputDirJS . $_GET['name'] . '.js');
    } else {
        require CM_DIR . '/class/Cssmin.php';
        $nameArr = explode(",", $_GET['name']);
        $content = '';
        for ($i = 0; $i < count($nameArr); $i++) {
            if (file_exists($inputDirJS . $nameArr[$i] . '.js')) { 
                $content .= '/*'.$nameArr[$i] .'*/';
                $content .= file_get_contents($inputDirJS . $nameArr[$i] . '.js');
            }
        }        
        if ($content!=''){
            $compressor = new CSSmin();
            $compressor->set_memory_limit('256M');
            $compressor->set_max_execution_time(120);
            $output_js = $compressor->run($content, 2000);
            file_put_contents($outputDirCSS . $_GET['name'] . '.js', $output_js);
        }
        echo $output_js;
    }
}







