<?php

#####################################################################
## IT-Poland.com Jacek Pecko                                       ##
## ¶cieżka do zdjęcia powinna mieć następuj±ca postać              ##
## img_[hash_zdjecia]_[szerokosc]_[wysokosc]_[x1]_##
##[y1]_[x2]_[y2]_[kolor_tła]_[0 1 czy ma być watermark].[końcówka] ##
##Skrypt sprawdza czy w katalogu z tempem znaduje się takie zdjęci ##
## W wypadku, gdy go nie ma to tworzy je, zapisuje tam i wy¶wietla ##
#####################################################################
ini_set("memory_limit", "64M");
include_once('config.php');
//echo $_GET['vars'];

if (isset($_GET['vars'])) {
    $kon = $_GET['kon'];

    $tmp_part = explode("_", $_GET['vars']);
    $kod = $tmp_part[0];
    $szer = $tmp_part[1];
    if ($szer > 1024)
        $szer = 1024;
    $wys = $tmp_part[2];
    if ($wys > 768)
        $wys = 768;
    $x1 = $tmp_part[3];
    $y1 = $tmp_part[4];
    $x2 = $tmp_part[5];
    $y2 = $tmp_part[6];
    $kolor_tla = $tmp_part[7];
    $watermark_add = $tmp_part[8];
    $check_sum = $tmp_part[9];

    $suma_controlna_all = md5($kod . $kon . $szer . $wys . $watermark_add . $x1 . $y1 . $x2 . $y2);
    $suma_controlna = '';
    for ($i = 0; $i < 5; $i++)
        $suma_controlna.=$suma_controlna_all{$i};

    if ($suma_controlna == $check_sum) {

        if ((strlen($kod) == 32) AND ( $szer > -1) AND ( $wys > -1) AND ( $x1 > -1) AND ( $y1 > -1) AND ( $x2 > -1) AND ( $y2 > -1) AND ( strlen($kolor_tla) == 6) AND ( ($watermark_add == 0) OR ( $watermark_add == 1))) {

            $nazwa = 'img_' . $kod . '_' . $szer . '_' . $wys . '_' . $x1 . '_' . $y1 . '_' . $x2 . '_' . $y1 . '_' . $kolor_tla . '_' . $watermark_add . '_' . $suma_controlna . '.' . $kon;
            $dir_tmp = CM_DIR;
            $dir_upload = CM_UPLOAD;
            for ($i = 0; $i < 4; $i++) {
                $dir_tmp = $dir_tmp . '/' . $kod[$i];
                $dir_upload = $dir_upload . '/' . $kod[$i];
                if (!is_dir($dir_tmp)) {
                    mkdir($dir_tmp, 0777);
                    chmod($dir_tmp, 0777);
                } else {
                    chmod($dir_tmp, 0777);
                }
            }

            if (file_exists($dir_tmp . '/' . $nazwa)) {  //gdy istnieje plik w tempie
                $file_content = @file_get_contents($dir_tmp . '/' . $nazwa);
                header("Content-type: image/png");
                echo $file_content;
            } else {   //gdy nie sitnieje plik w tempie
                if (file_exists($dir_upload . '/' . $kod . '.' . $kon)) {  //gdy istnieje plik w tempie
                    $myImage = imagecreatefromjpeg($dir_upload . '/' . $kod . '.' . $kon);
                    $imgsize = getimagesize($dir_upload . '/' . $kod . '.' . $kon);
                    $width_org = $imgsize[0];
                    $height_org = $imgsize[1];

                    if (($szer > 0) AND ( $wys > 0)) {

                        $imgsize = getimagesize($dir_upload . '/' . $kod . '.' . $kon);
                        $width_org = $imgsize[0];
                        $height_org = $imgsize[1];


                        $width = $szer;
                        $height = $wys;
                        $thumb = imagecreatetruecolor($width, $height);

                        if (($x1 == 0) AND ( $y1 == 0) AND ( $x2 == 0) AND ( $y2 == 0)) {


                            if ($width > $height) {
                                $newWidth_org = $width;
                                $newHeight_org = ($newWidth_org * $height_org) / $width_org;
                            } else {
                                $newHeight_org = $height;
                                $newWidth_org = ($newHeight_org * $width_org) / $height_org;
                            }


                            if (($x2 == 0) OR ( $y2 == 0)) {

                                $x2 = imagesx($myImage);
                                $y2 = imagesy($myImage);
                            }

                            if ($x2 >= imagesx($myImage))
                                $x2 = imagesx($myImage);

                            if ($y2 >= imagesy($myImage))
                                $y2 = imagesy($myImage);


                            $poz_x = ($szer - $newWidth_org) / 2;
                            if ($poz_x < 1)
                                $poz_x = (($newWidth_org - $width) / 2) * (-1);

                            $poz_y = ($wys - $newHeight_org) / 2;
                            if ($poz_y < 1)
                                $poz_y = (($newHeight_org - $height) / 2) * (-1);


                            imagecopyresized($thumb, $myImage, $poz_x, $poz_y, $x1, $y1, $newWidth_org, $newHeight_org, $x2, $y2);
                            imagecopyresampled($thumb, $myImage, $poz_x, $poz_y, $x1, $y1, $newWidth_org, $newHeight_org, $x2, $y2);
                        } else {
                            $sz_new = $x2 - $x1;
                            $wy_new = $y2 - $y1;
                            imagecopyresized($thumb, $myImage, 0, 0, $x1, $y1, $szer, $wys, $sz_new, $wy_new);
                            imagecopyresampled($thumb, $myImage, 0, 0, $x1, $y1, $szer, $wys, $sz_new, $wy_new);
                        }

                        $myImage = $thumb;
                    } elseif (($szer > 0) AND ( $wys == 0)) {
                        $x_old = imagesx($myImage);
                        $y_old = imagesy($myImage);

                        $wys = ($szer * $y_old) / $x_old;
                        $thumb = imagecreatetruecolor($szer, $wys);
                        //imagecopyresized($thumb, $myImage, 0, 0, 0, 0, $szer, $wys, $x_old, $y_old);
                        imagecopyresampled($thumb, $myImage, 0, 0, 0, 0, $szer, $wys, $x_old, $y_old);
                        $myImage = $thumb;
                    } elseif (($szer == 0) AND ( $wys > 0)) {
                        $x_old = imagesx($myImage);
                        $y_old = imagesy($myImage);

                        $szer = ($wys * $x_old) / $y_old;
                        $thumb = imagecreatetruecolor($szer, $wys);
                        //imagecopyresized($thumb, $myImage, 0, 0, 0, 0, $szer, $wys, $x_old, $y_old);
                        imagecopyresampled($thumb, $myImage, 0, 0, 0, 0, $szer, $wys, $x_old, $y_old);
                        $myImage = $thumb;
                    }
                    //if (($watermark_add==true) OR (($szer==0) AND ($wys==0)) OR ($szer>400)  OR ($wys>400) )
                    if ($watermark_add == true) {

                        if (CM_WATERMARK != '') {
                            $temp_w = explode('.', CM_WATERMARK);
                            $kon_w = $temp_w[1];
                            if ($kon_w == 'png')
                                $myCopyright = imagecreatefrompng(CM_DIR . '/' . CM_WATERMARK);
                            elseif (($kon_w == 'jpg') OR ( $kon_w == 'jpeg'))
                                $myCopyright = imagecreatefromjpeg(CM_DIR . '/' . CM_WATERMARK);
                            if ($kon_w == 'gif')
                                $myCopyright = imagecreatefromgif(CM_DIR . '/' . CM_WATERMARK);


                            $destWidth = imagesx($myImage);
                            $destHeight = imagesy($myImage);
                            $srcWidth = imagesx($myCopyright);
                            $srcHeight = imagesy($myCopyright);
                            $destX = $destWidth - $srcWidth;
                            $destY = $destHeight - $srcHeight;
                            $white = imagecolorexact($myCopyright, 255, 255, 255);
                            imagecolortransparent($myCopyright, $white);
                            imagecopymerge($myImage, $myCopyright, $destX, $destY, 0, 0, $srcWidth, $srcHeight, 40);
                            imagedestroy($myCopyright);
                        }
                    }


                    @imagejpeg($myImage, $dir_tmp . '/' . $nazwa, 95);

                    header("Content-type: image/png");
                    imagejpeg($myImage, NULL, 95);
                    imagedestroy($myImage);
                }
                else {
                    header("Status: 404 Not Found");
                }
            }
        } else {
            header("Status: 404 Not Found");
        }
    } else {
        header("Status: 404 Not Found");
    }
} else {
    header("Status: 404 Not Found");
}
