<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
require_once '_inc.php';
function generateCSS($path, $filesArr) {
    $files = array();
    $minOutput = '';
    $toUrl = '';
    for ($i = 0; $i < count($filesArr); $i++) {
        array_push($files, CM_DIR . '/files/css/' . $path . '/' . $filesArr[$i] . '.css');
        $toUrl .= $filesArr[$i];
        if ($i < count($filesArr)-1){
            $toUrl .= ',';
        }
    }

    //$files = glob(CM_DIR . '/files/css/' . $path . '/*.css');
    $cssmin = new CSSmin();

    $i = 0;
    
    foreach ($files as $file) {
        $src = file_get_contents($file);
        $minOutput .= "\n\r" . '/* ' . $filesArr[$i] . '  */' . "\n\r";
        $minOutput .= trim($cssmin->run($src));
        $i++;
    }
       
    file_put_contents(CM_DIR . '/files/css/generate/'.$path.'::'.$toUrl.'.css', $minOutput);
    echo $minOutput;
}

if (isset($_GET['path']) AND isset($_GET['files'])) {
    $file = str_replace(".css", "", $_GET['files']);
    $arrTemp = explode(",", $file);
    generateCSS($_GET['path'], $arrTemp);
}