{config_load file="front.conf" section="setup"}
{if $form== null}
    <div class="single-blog-post mb-5">
        <div class="left">
            <h2>Brak dostępu</h2>
        </div>
        <div class="right">
            <a class="btn apland-btn" href="/panel/" title="Powrót">Powrót</a>
        </div>
    </div>      
{else}
    <div class="single-blog-post mb-5">
        <div class="left">
            <h2>Twoje liczniki - Edycja</h2>
            <h3>
                {if $form.rodzaj==1}
                    Licznik tekstowy
                {elseif $form.rodzaj==2}
                    Licznik graficzny
                {elseif $form.rodzaj==3}
                    Licznik animowany
                {/if}
            </h3>
        </div>
        <div class="right">
            <a class="btn apland-btn" href="/panel/" title="Powrót">Powrót</a>
        </div>
    </div>    
    <br clear="all" />
    <div class="row">
        {if $save==true}
            <div role="alert" class="alert alert-info">
                <button data-dismiss="alert" class="close" type="button">×</button>
                <span>Zmiany zostały zapisane.</span>
            </div>
        {/if}

        {foreach from=$bug item=i name=bug_for}
            {if $smarty.foreach.bug_for.first}
                <div role="alert" class="alert alert-danger">
                    <button data-dismiss="alert" class="close" type="button">×</button>
                    <strong>Uwaga:</strong>	
                    <ul>
                    {/if}
                    <li>{$i}</li>
                        {if $smarty.foreach.bug_for.last}
                    </ul>	
                </div>
            {/if}					
        {/foreach}      

        <form method="POST" class="w-100">
            <input type="hidden" name="rodzaj" value="{$form.rodzaj}">
            <div class="form-group">
                <label for="formName">Nazwa licznika: <span> *</span></label>
                <input id="formName" name="nazwa" maxlength="254" value="{if !$form.nazwa || $form.nazwa==''}Mój licznik{else}{$form.nazwa}{/if}" type="text" class="form-control">
            </div>

            <div class="form-group">
                <label for="formCategory">Kategoria strony gdzie będzie umieszczony licznik: <span> *</span></label>
                <select name="category" id="formCategory" class="form-control">
                    {foreach from=$category key=myId item=i name=tabela}
                        <option value="{$i.idrek}"{if $form.category == $i.idrek} selected=""{/if}>{$i.name}</option>
                    {/foreach} 
                </select>
            </div>        

            <div class="form-group">
                <label for="formWartosc">Wartość początkowa:</label>
                <input id="formWartosc" name="wartosc" maxlength="254" value="{if !$form.wartosc || $form.wartosc==''}0{else}{$form.wartosc}{/if}" type="number" min="0" class="form-control">
            </div>        
            <div class="form-group">
                <label for="powiadomienie">Wyślij mi powiadomienie po (0 - nigdy):</label>
                <input id="powiadomienie" name="powiadomienie" maxlength="254" value="{if !$form.powiadomienie || $form.powiadomienie==''}0{else}{$form.powiadomienie}{/if}"  type="number" min="0" class="form-control">
            </div>       

            {if $form.rodzaj==1}
                <div class="form-group">
                    <label for="czcion_kolor">Kolor czcionki:</label>
                    <input id="czcion_kolor" name="czcion_kolor" maxlength="254" value="{if !$form.czcion_kolor || $form.czcion_kolor==''}#000000{else}{$form.czcion_kolor}{/if}" type="color" class="colorpicker">
                </div>

                <div class="form-group">
                    <label for="czcion_wielkosc">Wielkość czcionki:</label>
                    <select name="czcion_wielkosc" id="czcion_wielkosc" class="form-control" >
                        {for $size=1 to 40}
                            <option value="{$size}"{if (!$form.czcion_wielkosc || $form.czcion_wielkosc=='') && $size == 15} selected{else if $form.czcion_wielkosc==$size} selected{/if}>{$size} px</option>
                        {/for}
                    </select>                
                </div>


                <div class="form-group">
                    <label for="czcion_kroj">Krój czcionki:</label>

                    <select name="czcion_kroj" id="czcion_kroj" class="form-control">
                        <option value="1"{if !$form.czcion_kroj || $form.czcion_kroj=='' || $form.czcion_kroj == 1} selected=""{/if}>Arial</option>
                        <option value="2"{if $form.czcion_kroj == 2} selected=""{/if}>Arial Black</option>
                        <option value="3"{if $form.czcion_kroj == 3} selected=""{/if}>Century Gothic</option>
                        <option value="4"{if $form.czcion_kroj == 4} selected=""{/if}>Comic Sans MS</option>
                        <option value="5"{if $form.czcion_kroj == 5} selected=""{/if}>Times New Roman</option>
                    </select>                
                </div>                


                <div class="form-group">
                    <table class="table">
                        <tr>
                            <td class="center"><strong>Pogrubiony</strong></td>
                            <td class="center"><i>Pochylony</i></td>
                            <td class="center"><u>Podkreślony</u></td>
                        </tr>
                        <tr>
                            <td class="center"><input type="checkbox" id="bui_b" name="bui_b" value="1"{if $form.bui_b==1} checked{/if}/></td>
                            <td class="center"><input type="checkbox" id="bui_i" name="bui_i" value="1"{if $form.bui_i==1} checked{/if}/></td>
                            <td class="center"><input type="checkbox" id="bui_u" name="bui_u" value="1"{if $form.bui_u==1} checked{/if}/></td>
                        </tr>                    
                    </table>
                </div>


            {elseif $form.rodzaj==2}
                <div class="form-group">
                    <label for="graf_ktory">Wybierz licznik graficzny:</label>
                    <input type="hidden" name="graf_ktory" value="{$form.graf_ktory}" id="counterSelect" />
                    <input type="button" id="selectGraph" class="btn apland-btn btn-4" value="Wybierz">
                    <div id="cGraphPrev"><img src="{#dir_img#}/wzory/{$form.graf_ktory}.jpg" alt="" /></div>
                </div>    
            {elseif $form.rodzaj==3}
                <input type="hidden" name="wys_flash" value="{$form.wys_flash}" id="wys_flash" />
                <input type="hidden" name="sze_flash" value="{$form.sze_flash}" id="sze_flash" />
                <div class="form-group">
                    <label for="licznikAnimSkala">Wielkość licznik animowany:</label>
                    <select name="licznikAnimSkala" id="licznikAnimSkala" class="form-control">
                        <option value="1"{if !$form.licznikAnimSkala || $form.licznikAnimSkala=='' || $form.licznikAnimSkala == 1} selected=""{/if}>Rozmiar 1</option>
                        <option value="2"{if $form.licznikAnimSkala == 2} selected=""{/if}>Rozmiar 2</option>
                        <option value="3"{if $form.licznikAnimSkala == 3} selected=""{/if}>Rozmiar 3</option>
                        <option value="4"{if $form.licznikAnimSkala == 4} selected=""{/if}>Rozmiar 4</option>
                        <option value="5"{if $form.licznikAnimSkala == 5} selected=""{/if}>Rozmiar 5</option>
                        <option value="6"{if $form.licznikAnimSkala == 6} selected=""{/if}>Rozmiar 6</option>
                        <option value="7"{if $form.licznikAnimSkala == 7} selected=""{/if}>Rozmiar 7</option>
                        <option value="8"{if $form.licznikAnimSkala == 8} selected=""{/if}>Rozmiar 8</option>
                        <option value="9"{if $form.licznikAnimSkala == 9} selected=""{/if}>Rozmiar 9</option>                                        
                        <option value="10"{if $form.licznikAnimSkala == 10} selected=""{/if}>Rozmiar 10</option>   
                    </select>
                </div>

                <div class="form-group">
                    <label for="licznik_flash">Wybierz licznik animowany:</label>
                    <select name="licznik_flash" id="licznik_flash" class="form-control">
                        <option value="1"{if !$form.licznik_flash || $form.licznik_flash=='' || $form.licznik_flash == 1} selected=""{/if}>Licznik nr1</option>
                        <option value="2"{if $form.licznik_flash == 2} selected=""{/if}>Licznik nr2</option>
                        <option value="3"{if $form.licznik_flash == 3} selected=""{/if}>Licznik nr3</option>
                        <option value="4"{if $form.licznik_flash == 4} selected=""{/if}>Licznik nr4</option>
                        <option value="5"{if $form.licznik_flash == 5} selected=""{/if}>Licznik nr5</option>
                        <option value="6"{if $form.licznik_flash == 6} selected=""{/if}>Licznik nr6</option>
                        <option value="7"{if $form.licznik_flash == 7} selected=""{/if}>Licznik nr7</option>
                        <option value="8"{if $form.licznik_flash == 8} selected=""{/if}>Licznik nr8</option>
                        <option value="9"{if $form.licznik_flash == 9} selected=""{/if}>Licznik nr9</option>
                        <option value="10"{if $form.licznik_flash == 10} selected=""{/if}>Licznik nr10</option>
                        <option value="11"{if $form.licznik_flash == 11} selected=""{/if}>Licznik nr11</option>
                        <option value="12"{if $form.licznik_flash == 12} selected=""{/if}>Licznik nr12</option>
                    </select>
                </div>
                <div id="prevGAnim"></div>
                <div>
                    <em>*Jeśli nie widzisz licznka oznacza to, że Twoja przeglądarka nie obsługuje technologii flash</em>
                </div>
            {/if}        

            <div class="section_sub_btn paddingTop_50">
                <input class="btn apland-btn w-100" name="goForm" type="submit" value="Zarejestruj się">
            </div>




        </form>
    </div>


    <script>
        var showPrevCounter = {$form.rodzaj};
    </script>
{/if}
