{config_load file="front.conf" section="setup"}

<section class="rev-slider-container">
    <div class="rev-slider" id="fw-shop-slider">
        <ul>

            {foreach from=$item.elem key=myId item=i name=tabela}
                {if $smarty.foreach.tabela.index==0}
                    <li data-transition="curtain-1" data-slotamount="5" data-masterspeed="700" data-title="{$i.text1}"> 
                        <a href="{$i.text6}" title="{$i.text1}">
                            <!-- Main Image -->
                            <img src="{$i.bg_photo_url}" alt="BG">

                            <!-- Layer 1 -->
                            <div class="tp-caption skewfromrightshort fadeout tp-resizeme text-light"
                                 data-x="100"
                                 data-y="282" 
                                 data-speed="500"
                                 data-start="1500"
                                 data-easing="Power3.easeInOut"
                                 data-splitin="chars"
                                 data-splitout="none"
                                 data-elementdelay="0.1"
                                 data-endelementdelay="0.1"
                                 data-endspeed="300"
                                 style="z-index: 5; max-width: auto; max-height: auto; white-space: nowrap; font-size: 100px; font-weight: 300;">
                                <h2>{$i.text2}</h2>
                            </div>

                            <!-- Layer 2 -->
                            <div class="tp-caption skewfromrightshort fadeout tp-resizeme text-light"
                                 data-x="100"
                                 data-y="390" 
                                 data-speed="700"
                                 data-start="1800"
                                 data-easing="Power3.easeInOut"
                                 data-splitin="chars"
                                 data-splitout="none"
                                 data-elementdelay="0.1"
                                 data-endelementdelay="0.1"
                                 data-endspeed="300"
                                 style="z-index: 5; max-width: auto; max-height: auto; white-space: nowrap; font-size: 100px; font-weight: 300; font-style: italic;">
                                <h2>{$i.text3}</h2>
                            </div>

                            <!-- Layer 3 -->
                            <div class="tp-caption lfr tp-resizeme"
                                 data-x="770"
                                 data-y="top"
                                 data-speed="500"
                                 data-start="2900"
                                 data-easing="Power4.easeOut"
                                 data-endspeed="300"
                                 data-endeasing="Power1.easeIn"
                                 style="z-index: 1;">
                                <img src="{#dir_img#}homepage/shop/fullwidth-slider/slide1/layer01.png" alt="Layer">
                            </div>

                            <!-- Layer 4 -->
                            <div class="tp-caption customin fadeout tp-resizeme"
                                 data-x="1240"
                                 data-y="230" 
                                 data-customin="x:0;y:0;z:0;rotationX:0;rotationY:0;rotationZ:0;scaleX:0;scaleY:0;skewX:0;skewY:0;opacity:0;transformPerspective:600;transformOrigin:50% 50%;"
                                 data-speed="600"
                                 data-start="3400"
                                 data-easing="Power3.easeInOut"
                                 data-splitin="none"
                                 data-splitout="none"
                                 data-endspeed="100"
                                 style="z-index: 2;">
                                <img src="{$i.photo_url}" alt="{$i.text1}">
                            </div>
                            <!-- Layer 5 -->
                            <div class="tp-caption sfb"
                                 data-x="1240"
                                 data-y="210"
                                 data-speed="800"
                                 data-start="4200"
                                 data-easing="Power4.easeOut"
                                 data-endspeed="400"
                                 data-endeasing="Power1.easeIn"
                                 style="z-index: 3;">
                                <span class="tp-resizeme text-light" style="font-size: 40px;">{$i.text4}</span>
                            </div>

                            <!-- Layer 6 -->
                            <div class="tp-caption sfb"
                                 data-x="1230"
                                 data-y="70"
                                 data-speed="800"
                                 data-start="4400"
                                 data-easing="Power4.easeOut"
                                 data-endspeed="400"
                                 data-endeasing="Power1.easeIn"
                                 style="z-index: 3;">
                                <h2 style="font-size: 60px;" class="tp-resizeme shop-price text-light">{$i.text5}</h2>
                            </div>
                        </a>
                    </li>
                {elseif $smarty.foreach.tabela.index==1}
                    <!-- Slide -->
                    <li data-transition="boxslide" data-slotamount="5" data-masterspeed="700" data-title="{$i.text1}"> 
                        <a href="{$i.text6}" title="{$i.text1}">
                            <!-- Main Image -->
                            <img src="{$i.bg_photo_url}" alt="BG">

                            <!-- Layer 1 -->
                            <div class="tp-caption sfl tp-resizeme text-light"
                                 data-x="100"
                                 data-y="160"
                                 data-speed="500"
                                 data-start="1100"
                                 data-easing="Power4.easeOut"
                                 data-endspeed="300"
                                 data-endeasing="Power1.easeIn">
                                <h2 style="font-size: 59px;">{$i.text2}</h2>
                            </div>

                            <!-- Layer 2 -->
                            <div class="tp-caption sfb tp-resizeme text-light"
                                 data-x="100"
                                 data-y="300"
                                 data-speed="500"
                                 data-start="1300"
                                 data-easing="Power4.easeOut"
                                 data-endspeed="300"
                                 data-endeasing="Power1.easeIn">
                                <h2 style="font-size: 59px; font-weight: bold; font-style: italic;">{$i.text3}</h2>
                            </div>

                            <!-- Layer 3 -->
                            <div class="tp-caption lfr tp-resizeme"
                                 data-x="right"
                                 data-y="top"
                                 data-speed="500"
                                 data-start="1500"
                                 data-easing="Power4.easeOut"
                                 data-endspeed="300"
                                 data-endeasing="Power1.easeIn"
                                 style="z-index: 1;">
                                <img src="{#dir_img#}homepage/shop/fullwidth-slider/slide2/layer01.png" alt="Layer">
                            </div>

                            <!-- Layer 4 -->
                            <div class="tp-caption customin fadeout tp-resizeme"
                                 data-x="970"
                                 data-y="365" 
                                 data-customin="x:0;y:0;z:0;rotationX:0;rotationY:0;rotationZ:0;scaleX:0;scaleY:0;skewX:0;skewY:0;opacity:0;transformPerspective:600;transformOrigin:50% 50%;"
                                 data-speed="600"
                                 data-start="2000"
                                 data-easing="Power3.easeInOut"
                                 data-splitin="none"
                                 data-splitout="none"
                                 data-endspeed="100"
                                 style="z-index: 2;">
                                <img src="{$i.photo_url}" alt="{$i.text1}">
                            </div>

                            <!-- Layer 5 -->
                            <div class="tp-caption sfb"
                                 data-x="1210"
                                 data-y="280"
                                 data-speed="800"
                                 data-start="2800"
                                 data-easing="Power4.easeOut"
                                 data-endspeed="400"
                                 data-endeasing="Power1.easeIn"
                                 style="z-index: 3;">
                                <span class="tp-resizeme text-light" style="font-size: 45px;">{$i.text4}</span>
                            </div>

                            <!-- Layer 6 -->
                            <div class="tp-caption sfb"
                                 data-x="1200"
                                 data-y="150"
                                 data-speed="800"
                                 data-start="3000"
                                 data-easing="Power4.easeOut"
                                 data-endspeed="400"
                                 data-endeasing="Power1.easeIn"
                                 style="z-index: 3;">
                                <h2 style="font-size: 60px;" class="tp-resizeme shop-price text-light">{$i.text5}</h2>
                            </div>
                        </a>
                    </li>
                    {*
                {else}
                    <li data-transition="papercut" data-slotamount="5" data-masterspeed="700" data-title="{$i.text1}"> 
                        <a href="{$i.text6}" title="{$i.text1}">
                            <!-- Main Image -->
                            <img src="{$i.bg_photo_url}" alt="BG">

                            <!-- Layer 1 -->
                            <div class="tp-caption sfb text-light tp-resizeme"
                                 data-x="700"
                                 data-y="335"
                                 data-speed="800"
                                 data-start="1200"
                                 data-easing="Power4.easeOut"
                                 data-endspeed="400"
                                 data-endeasing="Power1.easeIn">
                                <h2 style="font-size: 110px;">{$i.text2}-</h2>
                            </div>

                            <!-- Layer 2 -->
                            <div class="tp-caption sfb text-light tp-resizeme"
                                 data-x="700"
                                 data-y="465"
                                 data-speed="800"
                                 data-start="1400"
                                 data-easing="Power4.easeOut"
                                 data-endspeed="400"
                                 data-endeasing="Power1.easeIn">
                                <h2 style="font-size: 70px;">{$i.text3}!</h2>
                            </div>

                            <!-- Layer 3 -->
                            <div class="tp-caption customin fadeout tp-resizeme"
                                 data-x="left"
                                 data-y="30" 
                                 data-customin="x:0;y:0;z:0;rotationX:0;rotationY:0;rotationZ:0;scaleX:0;scaleY:0;skewX:0;skewY:0;opacity:0;transformPerspective:600;transformOrigin:50% 50%;"
                                 data-speed="800"
                                 data-start="1800"
                                 data-easing="Power3.easeInOut"
                                 data-splitin="none"
                                 data-splitout="none"
                                 data-endspeed="100">
                                <img src="{$i.photo_url}" alt="{$i.text1}">
                            </div>

                            <!-- Layer 5 -->
                            <div class="tp-caption sfb"
                                 data-x="710"
                                 data-y="260"
                                 data-speed="800"
                                 data-start="2800"
                                 data-easing="Power4.easeOut"
                                 data-endspeed="400"
                                 data-endeasing="Power1.easeIn"
                                 style="z-index: 3;">
                                <span class="tp-resizeme text-light" style="font-size: 40px;">{$i.text4}</span>
                            </div>

                            <!-- Layer 6 -->
                            <div class="tp-caption sfb"
                                 data-x="700"
                                 data-y="130"
                                 data-speed="800"
                                 data-start="3000"
                                 data-easing="Power4.easeOut"
                                 data-endspeed="400"
                                 data-endeasing="Power1.easeIn"
                                 style="z-index: 3;">
                                <h2 style="font-size: 110px;" class="tp-resizeme shop-price text-light">{$i.text5}</h2>
                            </div>
                        </a>
                    </li>*}
                {/if}
            {/foreach}     
        </ul>
    </div>
</section>