{config_load file="front.conf" section="setup"}
<section class="container space-bottom-2x space-top-2x">

    <div class="row">
        <div class="col-lg-8 col-md-7 space-bottom">
            <div class="real24">
                REALIZACJA 24H
            </div>
            <div class="product-showcase-slider">
                <!-- masterslider -->
                <div class="master-slider ms-skin-default" id="ms-product-showcase">
                    {foreach from=$item.photos key=myId item=i name=tabela}         
                        <div class="ms-slide">
                            <img src="{#dir_img#}blank.gif" data-src="{cms_photo->show_image format='product-full' id=$i.photo_id}" alt="{$item.name|replace:'"':''}" />  
                            {if $item.photos|@count>1} <img class="ms-thumb" src="{cms_photo->show_image format='product-min' id=$i.photo_id}" alt="{$item.name|replace:'"':''}"  {if $i.price_pln!=0}rel="{$i.price_pln|string_format:"%.2f"}"{/if} data-value="{$i.photo_id}" />{/if}
                        </div>
                    {/foreach}   
                </div>

            </div>
        </div>
        <div class="col-lg-4 col-md-5">        
            <div>
                <span class="shop-price">{$item.price_pln|string_format:"%.2f"} PLN</span><span> + 23% VAT</span>
            </div>
            <input type="hidden" id="pid" value="{$item.idrek}" />
            <input type="hidden" id="pname" value="{$item.name|replace:'"':''}" />
            <input type="hidden" id="pcategory" value="{$item.categorys.0.title|replace:'"':''}" />
            <input type="hidden" id="pprice" value="{$item.price_pln|string_format:"%.2f"}" />
            <input type="hidden" id="masterPrice" value="{$item.price_pln|string_format:"%.2f"}" />
            <input type="hidden" id="photoId" value="{$item.photos.0.photo_id}" />
            
            
            <div id="cardAreaAdd"{* if $item.inCard==TRUE} style="display: none;"{/if *}>
                <button class="btn btn-plus btn-primary waves-effect waves-light" id="cardAdd">
                    Dodaj do koszyka
                </button>
                <div class="count-input space-bottom">
                    <a class="incr-btn" data-action="decrease" href="#">&ndash;</a>
                    <input class="quantity" id="cardCount" type="text" value="1" >
                    <a class="incr-btn" data-action="increase" href="#">+</a>
                </div>
            </div>
            <div id="cardAreaRemove" class="space-bottom"{* if $item.inCard==FALSE *} style="display: none;"{* /if *}>
                Ten produkt znajduje się już w Twoim koszyku.
                <button class="btn btn-gradient bg-gradient-success waves-effect waves-light" id="cardRemove">
                    Usuń z koszyka
                </button>

            </div>
            <p>
                Dostępne
            </p>
            {foreach from=$item.categorys key=myId item=i name=tabela}
                {if $smarty.foreach.tabela.first}    
                    <p>
                        <span class="inline va-middle">Kategorie:&nbsp;&nbsp;</span>
                    {/if}  
                    <a href="{$i.url}" class="tag tag-primary space-bottom-none">{$i.title}</a>
                    {if $smarty.foreach.tabela.last}  
                    </p>
                {/if}
            {/foreach}
            
            <div class="space-bottom">
                <strong>Zapytaj o cenę z nadrukiem</strong><br /><br />
                Tel. +48 23 692 10 56<br />
                <a href="mailto:agami@agami24.pl">agami@agami24.pl</a>
                <br /><br />
                Jesteśmy do Państwa dyspozycji<br /> od poniedziałku do piątku<br /> w godzinach 8:00-16:00.
                
            </div>             
        </div>
    </div>
</section>
{if $item.description && $item.description!= ''}    
<section>
    <div class="container">
        <div class="block-title on-light no-borders space-bottom-2x">
            <h3>Opis</h3>
        </div>  
        <div>
            {$item.description}
            <br /><br />
        </div>
    </div>
</section>
{/if}

<!-- Share -->
<section class="section-fw section-css-parallax space-bottom-3x" style="background-image: url({#dir_img#}demo/demo-bg-dark.jpg);">
    <div class="overlay"></div>
    <div class="container">
        <div class="content-box content-box-horizontal space-top">
            <div class="content-cell text-center lead">
                <div class="social-buttons">
                    <a href="https://twitter.com/home?status={$item.url}" class="sb-twitter" target="_blank" title="Udostępnij na Twiterze"><i class="bi-twitter"></i></a>
                    <a href="https://plus.google.com/share?url={$item.url}" class="sb-google-plus" target="_blank" title="Udostępnij na Google Plus"><i class="bi-gplus"></i></a>
                    <a href="https://www.facebook.com/sharer/sharer.php?u={$item.url}" class="sb-facebook" target="_blank"  title="Udostępnij na Facebook"><i class="bi-facebook"></i></a>
                </div>
            </div>
        </div>
    </div>
</section>


{foreach from=$item.similar key=myId item=i name=tabela}
    {if $smarty.foreach.tabela.first}          
    <section>
        <div class="container">    
        <div class="block-title on-light no-borders text-left space-bottom-2x">
            <h3>Może Cię zainteresować</h3>
            <small>Zobacz co jeszcze dla Ciebie przygotowaliśmy</small>
        </div>            
    {/if}

        <div class="widgets-row widget sugest">
            <div class="w-item">
                <div class="w-item-thumb">
                    <a href="{$i.url}" title="{$i.name}">
                        <img src="{cms_photo->show_image format='shop-similar' id=$i.photos[0]['photo_id']}" alt="{$i.name}"> 
                    </a>
                </div>
                <div class="w-item-content">
                    <h4 class="w-item-title"><a href="{$i.url}" title="{$i.name}">{$i.name}</a></h4>
                    <span class="w-item-price-current">{$i.price_pln|string_format:"%.2f"} PLN</span>
                </div>
            </div>            
        </div>
    {if $smarty.foreach.tabela.last}                       
        </div>
    </section>        
    {/if}                    
{/foreach}
