{config_load file="front.conf" section="setup"}



<section class="container space-bottom space-top-2x">      
    <div class="row">
        <div class="center space-bottom-2x">Aby kontynuować należy się najpierw zalogować do serwisu.</div>
        <div class="col-sm-6 space-bottom-2x">
            <h3 class="space-bottom">Zaloguj się</h3>

            {if $bug}
                <div role="alert" class="alert alert-danger alert-dismissible fade in space-bottom">
                    <button data-dismiss="alert" class="close" type="button">×</button>
                    <strong>Uwaga!</strong> 
                    {foreach from=$bug item=i name=bug_for}
                        {if $smarty.foreach.bug_for.first}
                            <ul>
                            {/if}
                            <li>{$i}</li>
                                {if $smarty.foreach.bug_for.last}
                            </ul>
                        {/if}                                        
                    {/foreach}
                </div>
            {/if}           

            <div class="padding-bottom bg-solid-white body-alt">
                <form method="post" id="login-form" autocomplete="off">
                    <input type="hidden" name="url_redir" value="/koszyk/step,2.html" />
                    <div class="form-group">
                        <label for="si_email"><strong>Email</strong></label>
                        <input type="email" name="si_email" id="si_email" class="form-control" placeholder="Email" required>
                    </div>
                    <div class="form-group">
                        <label for="si_password"><strong>Hasło</strong></label>
                        <input type="password" name="si_password" id="si_password" class="form-control" placeholder="Hasło" required>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-lg-7 col-lg-offset-5 col-md-8 col-md-offset-4 col-sm-12">
                                    <button type="submit" name="go_login" class="btn btn-pill btn-block btn-primary waves-effect waves-light">Zaloguj się</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>        

        <div class="col-sm-6 space-bottom-3x">
            <h3 class="space-bottom">Zarejestruj się</h3>
            <form method="post" id="signup-form2">
                <div class="form-group">
                    <label for="su_email"><strong>Email</strong></label>
                    <input type="email" name="su_email" id="su_email" class="form-control" placeholder="Email" required>
                </div>
                <div class="form-group">
                    <label for="su_password"><strong>Hasło</strong></label>
                    <input type="password" name="su_password" id="su_password" class="form-control" placeholder="Hasło" required>
                </div>
                <div class="form-group">
                    <label for="su_password_repeat"><strong>Powtórz hasło</strong></label>
                    <input type="password" name="su_password_repeat" id="su_password_repeat" class="form-control" placeholder="Powtórz hasło" required>
                </div>
                <div class="form-group">
                    <label class="checkbox">
                        <input type="checkbox" name="su_subscribe" value="1"> Chcę otrzymywać informacje o nowościach
                    </label>
                    <label class="checkbox">
                        <input type="checkbox" name="su_law" value="1"> Wyrażam zgodę na przetwarzanie swoich danych osobowych do celów marketingowych zgodnie z ustawą z dnia 29 sierpnia 1997 r. o ochronie danych osobowych (Dz.U. nr 133, poz. 883) przez P.H.U. AGAMI.Usługi Poligraficzne, Handel Mirosław Tkaczyk, ul. Sikorskiego 6, 06-100 Pułtusk, NIP 568-115-91-86
                    </label>                      
                </div>
                <div class="row">
                    <div class="col-md-6 col-md-offset-6">
                        <div class="row">
                            <div class="col-lg-7 col-lg-offset-5 col-md-8 col-md-offset-4 col-sm-12">
                                <button type="submit" class="btn btn-pill btn-block btn-primary waves-effect waves-light" name="go_reg">Zarejestruj się</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</section>