{config_load file="front.conf" section="setup"}
<section class="container space-bottom-2x space-top-2x">
    <div class="block-title on-light no-borders">
        <h2>Lista Twoich Zamówień</h2>
    </div>
    {foreach from=$items key=myId item=i name=tabela}
        {if $smarty.foreach.tabela.first}
            <table class="table">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Data</th>
                        <th>Status</th>
                        <th>Suma</th>
                        {*<th>Elementów zamówienia</th>*}
                    </tr>
                </thead>
                <tbody>
                {/if}
                <tr>
                    <th scope="row">{$i.idrek}</th>
                    <td>{$i.created_date|date_format:"%d-%m-%Y %H:%M"}</td>
                    <td>{if $i.status=='NEW'}Oczekujące na weryfikacje{elseif $i.status=='PROGRESS'}W trakcie realizacja{elseif $i.status=='DONE'}Zrealizowane{elseif $i.status=='CANCEL'}Anulowane{/if}</td>
                    <td>{$i.products.sum} PLN</td>
                    {*<td>{$i.products.count}</td>*}
                </tr>
                {if $smarty.foreach.tabela.last}            
                </tbody>
            </table>    
        {/if}
    {foreachelse}
        <div class="content-box content-box-alt shadow bg-gradient-danger text-center text-light">
            <div class="icon icon-2x pe-7s-bell"></div>
            <h2>Brak elementów do wyświetlenia!</h2>
            <p class="size-sm space-bottom">Niestety nic jeszcze nie zamówiłeś(-aś) Zapraszamy do zapoznania się z naszą ofertą.</p>

            <a class="btn btn-gradient bg-gradient-custom3 waves-effect waves-light" href="/oferta/">Przejdź do oferty</a>
        </div>
    {/foreach}
</section>